
// -----------
// This file was generated by riscv_ctg (https://gitlab.com/incoresemi/riscv-compliance/riscv_ctg)
// version   : 0.4.1
// timestamp : Wed Dec 16 04:49:48 2020 GMT
// usage     : riscv_ctg \
//                  -- cgf ('/scratch/git-repo/incoresemi/riscv-compliance/riscv_ctg/sample_cgfs/dataset.cgf', '/scratch/git-repo/incoresemi/riscv-compliance/riscv_ctg/sample_cgfs/rv64ic.cgf') \
//                  -- xlen 64 \
// -----------
//
// -----------
// Copyright (c) 2020. RISC-V International. All rights reserved.
// SPDX-License-Identifier: BSD-3-Clause
// -----------
//
// This assembly file tests the c.swsp instruction of the RISC-V C extension for the cswsp covergroup.
// 
#include "model_test.h"
#include "arch_test.h"
RVTEST_ISA("RV64IC")

.section .text.init
.globl rvtest_entry_point
rvtest_entry_point:
RVMODEL_BOOT
RVTEST_CODE_BEGIN

#ifdef TEST_CASE_1

RVTEST_CASE(0,"//check ISA:=regex(.*64.*);check ISA:=regex(.*I.*C.*);def TEST_CASE_1=True;",cswsp)

RVTEST_SIGBASE( x1,signature_x1_1)

inst_0:
// rs2==x15, rs2_val == (-2**(xlen-1)), imm_val > 0, rs2_val == -9223372036854775808
// opcode:c.swsp; op1:x2; op2:x15; op2val:-0x8000000000000000; immval:0xfc
TEST_STORE(x1,x12,0,x2,x15,-0x8000000000000000,0xfc,0,c.swsp,0)

inst_1:
// rs2==x19, rs2_val == 0, 
// opcode:c.swsp; op1:x2; op2:x19; op2val:0x0; immval:0x28
TEST_STORE(x1,x12,0,x2,x19,0x0,0x28,8,c.swsp,0)

inst_2:
// rs2==x3, rs2_val == (2**(xlen-1)-1), rs2_val == 9223372036854775807
// opcode:c.swsp; op1:x2; op2:x3; op2val:0x7fffffffffffffff; immval:0x3c
TEST_STORE(x1,x12,0,x2,x3,0x7fffffffffffffff,0x3c,16,c.swsp,0)

inst_3:
// rs2==x5, rs2_val == 1, imm_val == 84
// opcode:c.swsp; op1:x2; op2:x5; op2val:0x1; immval:0x54
TEST_STORE(x1,x12,0,x2,x5,0x1,0x54,24,c.swsp,0)

inst_4:
// rs2==x10, imm_val == 0, 
// opcode:c.swsp; op1:x2; op2:x10; op2val:0x9; immval:0x0
TEST_STORE(x1,x12,0,x2,x10,0x9,0x0,32,c.swsp,0)

inst_5:
// rs2==x13, rs2_val == 2, imm_val == 32
// opcode:c.swsp; op1:x2; op2:x13; op2val:0x2; immval:0x20
TEST_STORE(x1,x12,0,x2,x13,0x2,0x20,40,c.swsp,0)

inst_6:
// rs2==x22, rs2_val == 4, 
// opcode:c.swsp; op1:x2; op2:x22; op2val:0x4; immval:0x34
TEST_STORE(x1,x12,0,x2,x22,0x4,0x34,48,c.swsp,0)

inst_7:
// rs2==x4, rs2_val == 8, 
// opcode:c.swsp; op1:x2; op2:x4; op2val:0x8; immval:0x48
TEST_STORE(x1,x12,0,x2,x4,0x8,0x48,56,c.swsp,0)

inst_8:
// rs2==x9, rs2_val == 16, imm_val == 220
// opcode:c.swsp; op1:x2; op2:x9; op2val:0x10; immval:0xdc
TEST_STORE(x1,x12,0,x2,x9,0x10,0xdc,64,c.swsp,0)

inst_9:
// rs2==x26, rs2_val == 32, imm_val == 4
// opcode:c.swsp; op1:x2; op2:x26; op2val:0x20; immval:0x4
TEST_STORE(x1,x12,0,x2,x26,0x20,0x4,72,c.swsp,0)

inst_10:
// rs2==x30, rs2_val == 64, imm_val == 16
// opcode:c.swsp; op1:x2; op2:x30; op2val:0x40; immval:0x10
TEST_STORE(x1,x12,0,x2,x30,0x40,0x10,80,c.swsp,0)

inst_11:
// rs2==x29, rs2_val == 128, 
// opcode:c.swsp; op1:x2; op2:x29; op2val:0x80; immval:0x30
TEST_STORE(x1,x12,0,x2,x29,0x80,0x30,88,c.swsp,0)

inst_12:
// rs2==x31, rs2_val == 256, 
// opcode:c.swsp; op1:x2; op2:x31; op2val:0x100; immval:0x18
TEST_STORE(x1,x12,0,x2,x31,0x100,0x18,96,c.swsp,0)

inst_13:
// rs2==x23, rs2_val == 512, imm_val == 124
// opcode:c.swsp; op1:x2; op2:x23; op2val:0x200; immval:0x7c
TEST_STORE(x1,x12,0,x2,x23,0x200,0x7c,104,c.swsp,0)

inst_14:
// rs2==x14, rs2_val == 1024, 
// opcode:c.swsp; op1:x2; op2:x14; op2val:0x400; immval:0x3c
TEST_STORE(x1,x12,0,x2,x14,0x400,0x3c,112,c.swsp,0)

inst_15:
// rs2==x28, rs2_val == 2048, 
// opcode:c.swsp; op1:x2; op2:x28; op2val:0x800; immval:0x10
TEST_STORE(x1,x12,0,x2,x28,0x800,0x10,120,c.swsp,0)

inst_16:
// rs2==x8, rs2_val == 4096, 
// opcode:c.swsp; op1:x2; op2:x8; op2val:0x1000; immval:0x14
TEST_STORE(x1,x12,0,x2,x8,0x1000,0x14,128,c.swsp,0)

inst_17:
// rs2==x21, rs2_val == 8192, 
// opcode:c.swsp; op1:x2; op2:x21; op2val:0x2000; immval:0x2c
TEST_STORE(x1,x12,0,x2,x21,0x2000,0x2c,136,c.swsp,0)

inst_18:
// rs2==x6, rs2_val == 16384, imm_val == 64
// opcode:c.swsp; op1:x2; op2:x6; op2val:0x4000; immval:0x40
TEST_STORE(x1,x12,0,x2,x6,0x4000,0x40,144,c.swsp,0)

inst_19:
// rs2==x11, rs2_val == 32768, 
// opcode:c.swsp; op1:x2; op2:x11; op2val:0x8000; immval:0xfc
TEST_STORE(x1,x12,0,x2,x11,0x8000,0xfc,152,c.swsp,0)

inst_20:
// rs2==x25, rs2_val == 65536, imm_val == 168
// opcode:c.swsp; op1:x2; op2:x25; op2val:0x10000; immval:0xa8
TEST_STORE(x1,x12,0,x2,x25,0x10000,0xa8,160,c.swsp,0)

inst_21:
// rs2==x20, rs2_val == 131072, 
// opcode:c.swsp; op1:x2; op2:x20; op2val:0x20000; immval:0xdc
TEST_STORE(x1,x12,0,x2,x20,0x20000,0xdc,168,c.swsp,0)

inst_22:
// rs2==x24, rs2_val == 262144, 
// opcode:c.swsp; op1:x2; op2:x24; op2val:0x40000; immval:0xdc
TEST_STORE(x1,x12,0,x2,x24,0x40000,0xdc,176,c.swsp,0)

inst_23:
// rs2==x16, rs2_val == 524288, 
// opcode:c.swsp; op1:x2; op2:x16; op2val:0x80000; immval:0x4
TEST_STORE(x1,x12,0,x2,x16,0x80000,0x4,184,c.swsp,0)

inst_24:
// rs2==x7, rs2_val == 1048576, imm_val == 188
// opcode:c.swsp; op1:x2; op2:x7; op2val:0x100000; immval:0xbc
TEST_STORE(x1,x12,0,x2,x7,0x100000,0xbc,192,c.swsp,0)

inst_25:
// rs2==x27, rs2_val == 2097152, 
// opcode:c.swsp; op1:x2; op2:x27; op2val:0x200000; immval:0x1c
TEST_STORE(x1,x12,0,x2,x27,0x200000,0x1c,200,c.swsp,0)

inst_26:
// rs2==x18, rs2_val == 4194304, imm_val == 8
// opcode:c.swsp; op1:x2; op2:x18; op2val:0x400000; immval:0x8
TEST_STORE(x1,x4,0,x2,x18,0x400000,0x8,208,c.swsp,0)
RVTEST_SIGBASE( x3,signature_x3_0)

inst_27:
// rs2==x1, rs2_val == 8388608, 
// opcode:c.swsp; op1:x2; op2:x1; op2val:0x800000; immval:0x18
TEST_STORE(x3,x4,0,x2,x1,0x800000,0x18,0,c.swsp,0)

inst_28:
// rs2==x17, rs2_val == 16777216, imm_val == 236
// opcode:c.swsp; op1:x2; op2:x17; op2val:0x1000000; immval:0xec
TEST_STORE(x3,x4,0,x2,x17,0x1000000,0xec,8,c.swsp,0)

inst_29:
// rs2==x12, rs2_val == 33554432, 
// opcode:c.swsp; op1:x2; op2:x12; op2val:0x2000000; immval:0x0
TEST_STORE(x3,x4,0,x2,x12,0x2000000,0x0,16,c.swsp,0)

inst_30:
// rs2_val == 67108864, 
// opcode:c.swsp; op1:x2; op2:x10; op2val:0x4000000; immval:0x28
TEST_STORE(x3,x4,0,x2,x10,0x4000000,0x28,24,c.swsp,0)

inst_31:
// rs2_val == 134217728, 
// opcode:c.swsp; op1:x2; op2:x10; op2val:0x8000000; immval:0x7c
TEST_STORE(x3,x4,0,x2,x10,0x8000000,0x7c,32,c.swsp,0)

inst_32:
// rs2_val == 268435456, 
// opcode:c.swsp; op1:x2; op2:x10; op2val:0x10000000; immval:0x48
TEST_STORE(x3,x4,0,x2,x10,0x10000000,0x48,40,c.swsp,0)

inst_33:
// rs2_val == 536870912, 
// opcode:c.swsp; op1:x2; op2:x10; op2val:0x20000000; immval:0xc
TEST_STORE(x3,x4,0,x2,x10,0x20000000,0xc,48,c.swsp,0)

inst_34:
// rs2_val == 1073741824, 
// opcode:c.swsp; op1:x2; op2:x10; op2val:0x40000000; immval:0x54
TEST_STORE(x3,x4,0,x2,x10,0x40000000,0x54,56,c.swsp,0)

inst_35:
// rs2_val == 2147483648, 
// opcode:c.swsp; op1:x2; op2:x10; op2val:0x80000000; immval:0x34
TEST_STORE(x3,x4,0,x2,x10,0x80000000,0x34,64,c.swsp,0)

inst_36:
// rs2_val == 4294967296, 
// opcode:c.swsp; op1:x2; op2:x10; op2val:0x100000000; immval:0x14
TEST_STORE(x3,x4,0,x2,x10,0x100000000,0x14,72,c.swsp,0)

inst_37:
// rs2_val == 8589934592, 
// opcode:c.swsp; op1:x2; op2:x10; op2val:0x200000000; immval:0x38
TEST_STORE(x3,x4,0,x2,x10,0x200000000,0x38,80,c.swsp,0)

inst_38:
// rs2_val == 17179869184, 
// opcode:c.swsp; op1:x2; op2:x10; op2val:0x400000000; immval:0x3c
TEST_STORE(x3,x4,0,x2,x10,0x400000000,0x3c,88,c.swsp,0)

inst_39:
// rs2_val == 34359738368, imm_val == 128
// opcode:c.swsp; op1:x2; op2:x10; op2val:0x800000000; immval:0x80
TEST_STORE(x3,x4,0,x2,x10,0x800000000,0x80,96,c.swsp,0)

inst_40:
// rs2_val == 68719476736, 
// opcode:c.swsp; op1:x2; op2:x10; op2val:0x1000000000; immval:0x18
TEST_STORE(x3,x4,0,x2,x10,0x1000000000,0x18,104,c.swsp,0)

inst_41:
// rs2_val == 137438953472, 
// opcode:c.swsp; op1:x2; op2:x10; op2val:0x2000000000; immval:0x4c
TEST_STORE(x3,x4,0,x2,x10,0x2000000000,0x4c,112,c.swsp,0)

inst_42:
// rs2_val == 274877906944, 
// opcode:c.swsp; op1:x2; op2:x10; op2val:0x4000000000; immval:0x28
TEST_STORE(x3,x4,0,x2,x10,0x4000000000,0x28,120,c.swsp,0)

inst_43:
// rs2_val == 549755813888, 
// opcode:c.swsp; op1:x2; op2:x10; op2val:0x8000000000; immval:0x3c
TEST_STORE(x3,x4,0,x2,x10,0x8000000000,0x3c,128,c.swsp,0)

inst_44:
// rs2_val == 1099511627776, 
// opcode:c.swsp; op1:x2; op2:x10; op2val:0x10000000000; immval:0x4
TEST_STORE(x3,x4,0,x2,x10,0x10000000000,0x4,136,c.swsp,0)

inst_45:
// rs2_val == 2199023255552, 
// opcode:c.swsp; op1:x2; op2:x10; op2val:0x20000000000; immval:0x44
TEST_STORE(x3,x4,0,x2,x10,0x20000000000,0x44,144,c.swsp,0)

inst_46:
// rs2_val == 4398046511104, 
// opcode:c.swsp; op1:x2; op2:x10; op2val:0x40000000000; immval:0xbc
TEST_STORE(x3,x4,0,x2,x10,0x40000000000,0xbc,152,c.swsp,0)

inst_47:
// rs2_val == 8796093022208, 
// opcode:c.swsp; op1:x2; op2:x10; op2val:0x80000000000; immval:0x44
TEST_STORE(x3,x4,0,x2,x10,0x80000000000,0x44,160,c.swsp,0)

inst_48:
// rs2_val == 17592186044416, 
// opcode:c.swsp; op1:x2; op2:x10; op2val:0x100000000000; immval:0x44
TEST_STORE(x3,x4,0,x2,x10,0x100000000000,0x44,168,c.swsp,0)

inst_49:
// rs2_val == 35184372088832, 
// opcode:c.swsp; op1:x2; op2:x10; op2val:0x200000000000; immval:0xdc
TEST_STORE(x3,x4,0,x2,x10,0x200000000000,0xdc,176,c.swsp,0)

inst_50:
// rs2_val == 70368744177664, 
// opcode:c.swsp; op1:x2; op2:x10; op2val:0x400000000000; immval:0x28
TEST_STORE(x3,x4,0,x2,x10,0x400000000000,0x28,184,c.swsp,0)

inst_51:
// rs2_val == 140737488355328, 
// opcode:c.swsp; op1:x2; op2:x10; op2val:0x800000000000; immval:0x4
TEST_STORE(x3,x4,0,x2,x10,0x800000000000,0x4,192,c.swsp,0)

inst_52:
// rs2_val == 281474976710656, 
// opcode:c.swsp; op1:x2; op2:x10; op2val:0x1000000000000; immval:0x4
TEST_STORE(x3,x4,0,x2,x10,0x1000000000000,0x4,200,c.swsp,0)

inst_53:
// rs2_val == 562949953421312, 
// opcode:c.swsp; op1:x2; op2:x10; op2val:0x2000000000000; immval:0x30
TEST_STORE(x3,x4,0,x2,x10,0x2000000000000,0x30,208,c.swsp,0)

inst_54:
// rs2_val == 1125899906842624, 
// opcode:c.swsp; op1:x2; op2:x10; op2val:0x4000000000000; immval:0x24
TEST_STORE(x3,x4,0,x2,x10,0x4000000000000,0x24,216,c.swsp,0)

inst_55:
// rs2_val == 2251799813685248, 
// opcode:c.swsp; op1:x2; op2:x10; op2val:0x8000000000000; immval:0x18
TEST_STORE(x3,x4,0,x2,x10,0x8000000000000,0x18,224,c.swsp,0)

inst_56:
// rs2_val == 4503599627370496, 
// opcode:c.swsp; op1:x2; op2:x10; op2val:0x10000000000000; immval:0xec
TEST_STORE(x3,x4,0,x2,x10,0x10000000000000,0xec,232,c.swsp,0)

inst_57:
// rs2_val == 9007199254740992, 
// opcode:c.swsp; op1:x2; op2:x10; op2val:0x20000000000000; immval:0x2c
TEST_STORE(x3,x4,0,x2,x10,0x20000000000000,0x2c,240,c.swsp,0)

inst_58:
// rs2_val == 18014398509481984, 
// opcode:c.swsp; op1:x2; op2:x10; op2val:0x40000000000000; immval:0x24
TEST_STORE(x3,x4,0,x2,x10,0x40000000000000,0x24,248,c.swsp,0)

inst_59:
// rs2_val == 36028797018963968, 
// opcode:c.swsp; op1:x2; op2:x10; op2val:0x80000000000000; immval:0x0
TEST_STORE(x3,x4,0,x2,x10,0x80000000000000,0x0,256,c.swsp,0)

inst_60:
// rs2_val == 72057594037927936, 
// opcode:c.swsp; op1:x2; op2:x10; op2val:0x100000000000000; immval:0x8
TEST_STORE(x3,x4,0,x2,x10,0x100000000000000,0x8,264,c.swsp,0)

inst_61:
// rs2_val == 144115188075855872, 
// opcode:c.swsp; op1:x2; op2:x10; op2val:0x200000000000000; immval:0x34
TEST_STORE(x3,x4,0,x2,x10,0x200000000000000,0x34,272,c.swsp,0)

inst_62:
// rs2_val == 288230376151711744, 
// opcode:c.swsp; op1:x2; op2:x10; op2val:0x400000000000000; immval:0x30
TEST_STORE(x3,x4,0,x2,x10,0x400000000000000,0x30,280,c.swsp,0)

inst_63:
// rs2_val == 576460752303423488, 
// opcode:c.swsp; op1:x2; op2:x10; op2val:0x800000000000000; immval:0x80
TEST_STORE(x3,x4,0,x2,x10,0x800000000000000,0x80,288,c.swsp,0)

inst_64:
// rs2_val == 1152921504606846976, 
// opcode:c.swsp; op1:x2; op2:x10; op2val:0x1000000000000000; immval:0xc
TEST_STORE(x3,x4,0,x2,x10,0x1000000000000000,0xc,296,c.swsp,0)

inst_65:
// rs2_val == 2305843009213693952, 
// opcode:c.swsp; op1:x2; op2:x10; op2val:0x2000000000000000; immval:0x30
TEST_STORE(x3,x4,0,x2,x10,0x2000000000000000,0x30,304,c.swsp,0)

inst_66:
// rs2_val == 4611686018427387904, 
// opcode:c.swsp; op1:x2; op2:x10; op2val:0x4000000000000000; immval:0x8
TEST_STORE(x3,x4,0,x2,x10,0x4000000000000000,0x8,312,c.swsp,0)

inst_67:
// rs2_val == -2, 
// opcode:c.swsp; op1:x2; op2:x10; op2val:-0x2; immval:0xc
TEST_STORE(x3,x4,0,x2,x10,-0x2,0xc,320,c.swsp,0)

inst_68:
// rs2_val == -3, 
// opcode:c.swsp; op1:x2; op2:x10; op2val:-0x3; immval:0x14
TEST_STORE(x3,x4,0,x2,x10,-0x3,0x14,328,c.swsp,0)

inst_69:
// rs2_val == -5, 
// opcode:c.swsp; op1:x2; op2:x10; op2val:-0x5; immval:0x14
TEST_STORE(x3,x4,0,x2,x10,-0x5,0x14,336,c.swsp,0)

inst_70:
// rs2_val == -9, 
// opcode:c.swsp; op1:x2; op2:x10; op2val:-0x9; immval:0x8
TEST_STORE(x3,x4,0,x2,x10,-0x9,0x8,344,c.swsp,0)

inst_71:
// rs2_val == -576460752303423489, imm_val == 248
// opcode:c.swsp; op1:x2; op2:x10; op2val:-0x800000000000001; immval:0xf8
TEST_STORE(x3,x4,0,x2,x10,-0x800000000000001,0xf8,352,c.swsp,0)

inst_72:
// rs2_val == -1152921504606846977, 
// opcode:c.swsp; op1:x2; op2:x10; op2val:-0x1000000000000001; immval:0x7c
TEST_STORE(x3,x4,0,x2,x10,-0x1000000000000001,0x7c,360,c.swsp,0)

inst_73:
// rs2_val == -2305843009213693953, 
// opcode:c.swsp; op1:x2; op2:x10; op2val:-0x2000000000000001; immval:0x80
TEST_STORE(x3,x4,0,x2,x10,-0x2000000000000001,0x80,368,c.swsp,0)

inst_74:
// rs2_val == -4611686018427387905, 
// opcode:c.swsp; op1:x2; op2:x10; op2val:-0x4000000000000001; immval:0x40
TEST_STORE(x3,x4,0,x2,x10,-0x4000000000000001,0x40,376,c.swsp,0)

inst_75:
// rs2_val == 6148914691236517205, 
// opcode:c.swsp; op1:x2; op2:x10; op2val:0x5555555555555555; immval:0x28
TEST_STORE(x3,x4,0,x2,x10,0x5555555555555555,0x28,384,c.swsp,0)

inst_76:
// rs2_val == -6148914691236517206, 
// opcode:c.swsp; op1:x2; op2:x10; op2val:-0x5555555555555556; immval:0xf8
TEST_STORE(x3,x4,0,x2,x10,-0x5555555555555556,0xf8,392,c.swsp,0)

inst_77:
// imm_val == 244, 
// opcode:c.swsp; op1:x2; op2:x10; op2val:0x10; immval:0xf4
TEST_STORE(x3,x4,0,x2,x10,0x10,0xf4,400,c.swsp,0)

inst_78:
// rs2_val == -17, 
// opcode:c.swsp; op1:x2; op2:x10; op2val:-0x11; immval:0x30
TEST_STORE(x3,x4,0,x2,x10,-0x11,0x30,408,c.swsp,0)

inst_79:
// rs2_val == -33, 
// opcode:c.swsp; op1:x2; op2:x10; op2val:-0x21; immval:0x10
TEST_STORE(x3,x4,0,x2,x10,-0x21,0x10,416,c.swsp,0)

inst_80:
// rs2_val == -65, 
// opcode:c.swsp; op1:x2; op2:x10; op2val:-0x41; immval:0x54
TEST_STORE(x3,x4,0,x2,x10,-0x41,0x54,424,c.swsp,0)

inst_81:
// rs2_val == -129, 
// opcode:c.swsp; op1:x2; op2:x10; op2val:-0x81; immval:0x4c
TEST_STORE(x3,x4,0,x2,x10,-0x81,0x4c,432,c.swsp,0)

inst_82:
// rs2_val == -257, 
// opcode:c.swsp; op1:x2; op2:x10; op2val:-0x101; immval:0x44
TEST_STORE(x3,x4,0,x2,x10,-0x101,0x44,440,c.swsp,0)

inst_83:
// rs2_val == -513, 
// opcode:c.swsp; op1:x2; op2:x10; op2val:-0x201; immval:0x1c
TEST_STORE(x3,x4,0,x2,x10,-0x201,0x1c,448,c.swsp,0)

inst_84:
// rs2_val == -1025, 
// opcode:c.swsp; op1:x2; op2:x10; op2val:-0x401; immval:0x0
TEST_STORE(x3,x4,0,x2,x10,-0x401,0x0,456,c.swsp,0)

inst_85:
// rs2_val == -2049, 
// opcode:c.swsp; op1:x2; op2:x10; op2val:-0x801; immval:0xc
TEST_STORE(x3,x4,0,x2,x10,-0x801,0xc,464,c.swsp,0)

inst_86:
// rs2_val == -4097, 
// opcode:c.swsp; op1:x2; op2:x10; op2val:-0x1001; immval:0x4c
TEST_STORE(x3,x4,0,x2,x10,-0x1001,0x4c,472,c.swsp,0)

inst_87:
// rs2_val == -8193, 
// opcode:c.swsp; op1:x2; op2:x10; op2val:-0x2001; immval:0x34
TEST_STORE(x3,x4,0,x2,x10,-0x2001,0x34,480,c.swsp,0)

inst_88:
// rs2_val == -16385, 
// opcode:c.swsp; op1:x2; op2:x10; op2val:-0x4001; immval:0x4c
TEST_STORE(x3,x4,0,x2,x10,-0x4001,0x4c,488,c.swsp,0)

inst_89:
// rs2_val == -32769, 
// opcode:c.swsp; op1:x2; op2:x10; op2val:-0x8001; immval:0x48
TEST_STORE(x3,x4,0,x2,x10,-0x8001,0x48,496,c.swsp,0)

inst_90:
// rs2_val == -65537, 
// opcode:c.swsp; op1:x2; op2:x10; op2val:-0x10001; immval:0xec
TEST_STORE(x3,x4,0,x2,x10,-0x10001,0xec,504,c.swsp,0)

inst_91:
// rs2_val == -131073, 
// opcode:c.swsp; op1:x2; op2:x10; op2val:-0x20001; immval:0x54
TEST_STORE(x3,x4,0,x2,x10,-0x20001,0x54,512,c.swsp,0)

inst_92:
// rs2_val == -262145, 
// opcode:c.swsp; op1:x2; op2:x10; op2val:-0x40001; immval:0x34
TEST_STORE(x3,x4,0,x2,x10,-0x40001,0x34,520,c.swsp,0)

inst_93:
// rs2_val == -524289, 
// opcode:c.swsp; op1:x2; op2:x10; op2val:-0x80001; immval:0x30
TEST_STORE(x3,x4,0,x2,x10,-0x80001,0x30,528,c.swsp,0)

inst_94:
// rs2_val == -1048577, 
// opcode:c.swsp; op1:x2; op2:x10; op2val:-0x100001; immval:0xf8
TEST_STORE(x3,x4,0,x2,x10,-0x100001,0xf8,536,c.swsp,0)

inst_95:
// rs2_val == -2097153, 
// opcode:c.swsp; op1:x2; op2:x10; op2val:-0x200001; immval:0x38
TEST_STORE(x3,x4,0,x2,x10,-0x200001,0x38,544,c.swsp,0)

inst_96:
// rs2_val == -4194305, 
// opcode:c.swsp; op1:x2; op2:x10; op2val:-0x400001; immval:0xfc
TEST_STORE(x3,x4,0,x2,x10,-0x400001,0xfc,552,c.swsp,0)

inst_97:
// rs2_val == -8388609, 
// opcode:c.swsp; op1:x2; op2:x10; op2val:-0x800001; immval:0xc
TEST_STORE(x3,x4,0,x2,x10,-0x800001,0xc,560,c.swsp,0)

inst_98:
// rs2_val == -16777217, 
// opcode:c.swsp; op1:x2; op2:x10; op2val:-0x1000001; immval:0x24
TEST_STORE(x3,x4,0,x2,x10,-0x1000001,0x24,568,c.swsp,0)

inst_99:
// rs2_val == -33554433, 
// opcode:c.swsp; op1:x2; op2:x10; op2val:-0x2000001; immval:0x38
TEST_STORE(x3,x4,0,x2,x10,-0x2000001,0x38,576,c.swsp,0)

inst_100:
// rs2_val == -67108865, 
// opcode:c.swsp; op1:x2; op2:x10; op2val:-0x4000001; immval:0x18
TEST_STORE(x3,x4,0,x2,x10,-0x4000001,0x18,584,c.swsp,0)

inst_101:
// rs2_val == -134217729, 
// opcode:c.swsp; op1:x2; op2:x10; op2val:-0x8000001; immval:0xdc
TEST_STORE(x3,x4,0,x2,x10,-0x8000001,0xdc,592,c.swsp,0)

inst_102:
// rs2_val == -268435457, 
// opcode:c.swsp; op1:x2; op2:x10; op2val:-0x10000001; immval:0x2c
TEST_STORE(x3,x4,0,x2,x10,-0x10000001,0x2c,600,c.swsp,0)

inst_103:
// rs2_val == -536870913, 
// opcode:c.swsp; op1:x2; op2:x10; op2val:-0x20000001; immval:0xfc
TEST_STORE(x3,x4,0,x2,x10,-0x20000001,0xfc,608,c.swsp,0)

inst_104:
// rs2_val == -1073741825, 
// opcode:c.swsp; op1:x2; op2:x10; op2val:-0x40000001; immval:0x30
TEST_STORE(x3,x4,0,x2,x10,-0x40000001,0x30,616,c.swsp,0)

inst_105:
// rs2_val == -2147483649, 
// opcode:c.swsp; op1:x2; op2:x10; op2val:-0x80000001; immval:0xf4
TEST_STORE(x3,x4,0,x2,x10,-0x80000001,0xf4,624,c.swsp,0)

inst_106:
// rs2_val == -4294967297, 
// opcode:c.swsp; op1:x2; op2:x10; op2val:-0x100000001; immval:0xf4
TEST_STORE(x3,x4,0,x2,x10,-0x100000001,0xf4,632,c.swsp,0)

inst_107:
// rs2_val == -8589934593, 
// opcode:c.swsp; op1:x2; op2:x10; op2val:-0x200000001; immval:0x1c
TEST_STORE(x3,x4,0,x2,x10,-0x200000001,0x1c,640,c.swsp,0)

inst_108:
// rs2_val == -17179869185, 
// opcode:c.swsp; op1:x2; op2:x10; op2val:-0x400000001; immval:0xec
TEST_STORE(x3,x4,0,x2,x10,-0x400000001,0xec,648,c.swsp,0)

inst_109:
// rs2_val == -34359738369, 
// opcode:c.swsp; op1:x2; op2:x10; op2val:-0x800000001; immval:0x44
TEST_STORE(x3,x4,0,x2,x10,-0x800000001,0x44,656,c.swsp,0)

inst_110:
// rs2_val == -68719476737, 
// opcode:c.swsp; op1:x2; op2:x10; op2val:-0x1000000001; immval:0x80
TEST_STORE(x3,x4,0,x2,x10,-0x1000000001,0x80,664,c.swsp,0)

inst_111:
// rs2_val == -137438953473, 
// opcode:c.swsp; op1:x2; op2:x10; op2val:-0x2000000001; immval:0x80
TEST_STORE(x3,x4,0,x2,x10,-0x2000000001,0x80,672,c.swsp,0)

inst_112:
// rs2_val == -274877906945, 
// opcode:c.swsp; op1:x2; op2:x10; op2val:-0x4000000001; immval:0x14
TEST_STORE(x3,x4,0,x2,x10,-0x4000000001,0x14,680,c.swsp,0)

inst_113:
// rs2_val == -549755813889, 
// opcode:c.swsp; op1:x2; op2:x10; op2val:-0x8000000001; immval:0x18
TEST_STORE(x3,x4,0,x2,x10,-0x8000000001,0x18,688,c.swsp,0)

inst_114:
// rs2_val == -1099511627777, 
// opcode:c.swsp; op1:x2; op2:x10; op2val:-0x10000000001; immval:0x18
TEST_STORE(x3,x4,0,x2,x10,-0x10000000001,0x18,696,c.swsp,0)

inst_115:
// rs2_val == -2199023255553, 
// opcode:c.swsp; op1:x2; op2:x10; op2val:-0x20000000001; immval:0x0
TEST_STORE(x3,x4,0,x2,x10,-0x20000000001,0x0,704,c.swsp,0)

inst_116:
// rs2_val == -4398046511105, 
// opcode:c.swsp; op1:x2; op2:x10; op2val:-0x40000000001; immval:0x34
TEST_STORE(x3,x4,0,x2,x10,-0x40000000001,0x34,712,c.swsp,0)

inst_117:
// rs2_val == -8796093022209, 
// opcode:c.swsp; op1:x2; op2:x10; op2val:-0x80000000001; immval:0x4
TEST_STORE(x3,x4,0,x2,x10,-0x80000000001,0x4,720,c.swsp,0)

inst_118:
// rs2_val == -17592186044417, 
// opcode:c.swsp; op1:x2; op2:x10; op2val:-0x100000000001; immval:0x44
TEST_STORE(x3,x4,0,x2,x10,-0x100000000001,0x44,728,c.swsp,0)

inst_119:
// rs2_val == -35184372088833, 
// opcode:c.swsp; op1:x2; op2:x10; op2val:-0x200000000001; immval:0x34
TEST_STORE(x3,x4,0,x2,x10,-0x200000000001,0x34,736,c.swsp,0)

inst_120:
// rs2_val == -70368744177665, 
// opcode:c.swsp; op1:x2; op2:x10; op2val:-0x400000000001; immval:0x7c
TEST_STORE(x3,x4,0,x2,x10,-0x400000000001,0x7c,744,c.swsp,0)

inst_121:
// rs2_val == -140737488355329, 
// opcode:c.swsp; op1:x2; op2:x10; op2val:-0x800000000001; immval:0xa8
TEST_STORE(x3,x4,0,x2,x10,-0x800000000001,0xa8,752,c.swsp,0)

inst_122:
// rs2_val == -281474976710657, 
// opcode:c.swsp; op1:x2; op2:x10; op2val:-0x1000000000001; immval:0xf8
TEST_STORE(x3,x4,0,x2,x10,-0x1000000000001,0xf8,760,c.swsp,0)

inst_123:
// rs2_val == -562949953421313, 
// opcode:c.swsp; op1:x2; op2:x10; op2val:-0x2000000000001; immval:0x48
TEST_STORE(x3,x4,0,x2,x10,-0x2000000000001,0x48,768,c.swsp,0)

inst_124:
// rs2_val == -1125899906842625, 
// opcode:c.swsp; op1:x2; op2:x10; op2val:-0x4000000000001; immval:0x4c
TEST_STORE(x3,x4,0,x2,x10,-0x4000000000001,0x4c,776,c.swsp,0)

inst_125:
// rs2_val == -2251799813685249, 
// opcode:c.swsp; op1:x2; op2:x10; op2val:-0x8000000000001; immval:0x10
TEST_STORE(x3,x4,0,x2,x10,-0x8000000000001,0x10,784,c.swsp,0)

inst_126:
// rs2_val == -4503599627370497, 
// opcode:c.swsp; op1:x2; op2:x10; op2val:-0x10000000000001; immval:0x7c
TEST_STORE(x3,x4,0,x2,x10,-0x10000000000001,0x7c,792,c.swsp,0)

inst_127:
// rs2_val == -9007199254740993, 
// opcode:c.swsp; op1:x2; op2:x10; op2val:-0x20000000000001; immval:0x48
TEST_STORE(x3,x4,0,x2,x10,-0x20000000000001,0x48,800,c.swsp,0)

inst_128:
// rs2_val == -18014398509481985, 
// opcode:c.swsp; op1:x2; op2:x10; op2val:-0x40000000000001; immval:0xa8
TEST_STORE(x3,x4,0,x2,x10,-0x40000000000001,0xa8,808,c.swsp,0)

inst_129:
// rs2_val == -36028797018963969, 
// opcode:c.swsp; op1:x2; op2:x10; op2val:-0x80000000000001; immval:0x4c
TEST_STORE(x3,x4,0,x2,x10,-0x80000000000001,0x4c,816,c.swsp,0)

inst_130:
// rs2_val == -72057594037927937, 
// opcode:c.swsp; op1:x2; op2:x10; op2val:-0x100000000000001; immval:0xbc
TEST_STORE(x3,x4,0,x2,x10,-0x100000000000001,0xbc,824,c.swsp,0)

inst_131:
// rs2_val == -144115188075855873, 
// opcode:c.swsp; op1:x2; op2:x10; op2val:-0x200000000000001; immval:0x2c
TEST_STORE(x3,x4,0,x2,x10,-0x200000000000001,0x2c,832,c.swsp,0)

inst_132:
// rs2_val == -288230376151711745, 
// opcode:c.swsp; op1:x2; op2:x10; op2val:-0x400000000000001; immval:0x24
TEST_STORE(x3,x4,0,x2,x10,-0x400000000000001,0x24,840,c.swsp,0)
#endif


RVTEST_CODE_END
RVMODEL_HALT

RVTEST_DATA_BEGIN
.align 4
rvtest_data:
.word 0xbabecafe
RVTEST_DATA_END

RVMODEL_DATA_BEGIN


signature_x1_0:
    .fill 0*(XLEN/32),4,0xdeadbeef


signature_x1_1:
    .fill 27*(XLEN/32),4,0xdeadbeef


signature_x3_0:
    .fill 106*(XLEN/32),4,0xdeadbeef

#ifdef rvtest_mtrap_routine

mtrap_sigptr:
    .fill 64*(XLEN/32),4,0xdeadbeef

#endif

#ifdef rvtest_gpr_save

gpr_save:
    .fill 32*(XLEN/32),4,0xdeadbeef

#endif

RVMODEL_DATA_END
