
// -----------
// This file was generated by riscv_ctg (https://gitlab.com/incoresemi/riscv-compliance/riscv_ctg)
// version   : 0.4.1
// timestamp : Wed Dec 16 03:45:17 2020 GMT
// usage     : riscv_ctg \
//                  -- cgf ('/scratch/git-repo/incoresemi/riscv-compliance/riscv_ctg/sample_cgfs/dataset.cgf', '/scratch/git-repo/incoresemi/riscv-compliance/riscv_ctg/sample_cgfs/rv64i.cgf') \
//                  -- xlen 64 \
// -----------
//
// -----------
// Copyright (c) 2020. RISC-V International. All rights reserved.
// SPDX-License-Identifier: BSD-3-Clause
// -----------
//
// This assembly file tests the lh instruction of the RISC-V I extension for the lh-align covergroup.
// 
#include "model_test.h"
#include "arch_test.h"
RVTEST_ISA("RV64I")

.section .text.init
.globl rvtest_entry_point
rvtest_entry_point:
RVMODEL_BOOT
RVTEST_CODE_BEGIN

#ifdef TEST_CASE_1

RVTEST_CASE(0,"//check ISA:=regex(.*64.*);check ISA:=regex(.*I.*);def TEST_CASE_1=True;",lh-align)

RVTEST_SIGBASE( x9,signature_x9_1)

inst_0:
// rs1 == rd, rs1==x13, rd==x13, ea_align == 0 and (imm_val % 4) == 0, imm_val < 0
// opcode:lh op1:x13; dest:x13; immval:-0x800; align:0
TEST_LOAD(x9,x12,0,x13,x13,-0x800,0,lh,0)

inst_1:
// rs1 != rd, rs1==x4, rd==x17, ea_align == 0 and (imm_val % 4) == 1, imm_val > 0
// opcode:lh op1:x4; dest:x17; immval:0x555; align:0
TEST_LOAD(x9,x12,0,x4,x17,0x555,8,lh,0)

inst_2:
// rs1==x23, rd==x10, ea_align == 0 and (imm_val % 4) == 2, 
// opcode:lh op1:x23; dest:x10; immval:0x6; align:0
TEST_LOAD(x9,x12,0,x23,x10,0x6,16,lh,0)

inst_3:
// rs1==x1, rd==x26, ea_align == 0 and (imm_val % 4) == 3, 
// opcode:lh op1:x1; dest:x26; immval:0x7ff; align:0
TEST_LOAD(x9,x12,0,x1,x26,0x7ff,24,lh,0)

inst_4:
// rs1==x30, rd==x25, ea_align == 2 and (imm_val % 4) == 0, 
// opcode:lh op1:x30; dest:x25; immval:0x40; align:2
TEST_LOAD(x9,x12,0,x30,x25,0x40,32,lh,2)

inst_5:
// rs1==x20, rd==x18, imm_val == 0, 
// opcode:lh op1:x20; dest:x18; immval:0x0; align:0
TEST_LOAD(x9,x12,0,x20,x18,0x0,40,lh,0)

inst_6:
// rs1==x5, rd==x4, ea_align == 2 and (imm_val % 4) == 1, 
// opcode:lh op1:x5; dest:x4; immval:0x1; align:2
TEST_LOAD(x9,x12,0,x5,x4,0x1,48,lh,2)

inst_7:
// rs1==x19, rd==x23, ea_align == 2 and (imm_val % 4) == 2, 
// opcode:lh op1:x19; dest:x23; immval:0x6; align:2
TEST_LOAD(x9,x12,0,x19,x23,0x6,56,lh,2)

inst_8:
// rs1==x7, rd==x31, ea_align == 2 and (imm_val % 4) == 3, 
// opcode:lh op1:x7; dest:x31; immval:0x7ff; align:2
TEST_LOAD(x9,x12,0,x7,x31,0x7ff,64,lh,2)

inst_9:
// rs1==x8, rd==x27, 
// opcode:lh op1:x8; dest:x27; immval:-0x800; align:0
TEST_LOAD(x9,x12,0,x8,x27,-0x800,72,lh,0)

inst_10:
// rs1==x11, rd==x15, 
// opcode:lh op1:x11; dest:x15; immval:-0x800; align:0
TEST_LOAD(x9,x12,0,x11,x15,-0x800,80,lh,0)

inst_11:
// rs1==x29, rd==x21, 
// opcode:lh op1:x29; dest:x21; immval:-0x800; align:0
TEST_LOAD(x9,x12,0,x29,x21,-0x800,88,lh,0)

inst_12:
// rs1==x28, rd==x0, 
// opcode:lh op1:x28; dest:x0; immval:-0x800; align:0
TEST_LOAD(x9,x12,0,x28,x0,-0x800,96,lh,0)

inst_13:
// rs1==x18, rd==x6, 
// opcode:lh op1:x18; dest:x6; immval:-0x800; align:0
TEST_LOAD(x9,x12,0,x18,x6,-0x800,104,lh,0)

inst_14:
// rs1==x2, rd==x20, 
// opcode:lh op1:x2; dest:x20; immval:-0x800; align:0
TEST_LOAD(x9,x12,0,x2,x20,-0x800,112,lh,0)

inst_15:
// rs1==x31, rd==x7, 
// opcode:lh op1:x31; dest:x7; immval:-0x800; align:0
TEST_LOAD(x9,x12,0,x31,x7,-0x800,120,lh,0)

inst_16:
// rs1==x10, rd==x24, 
// opcode:lh op1:x10; dest:x24; immval:-0x800; align:0
TEST_LOAD(x9,x12,0,x10,x24,-0x800,128,lh,0)

inst_17:
// rs1==x14, rd==x3, 
// opcode:lh op1:x14; dest:x3; immval:-0x800; align:0
TEST_LOAD(x9,x12,0,x14,x3,-0x800,136,lh,0)

inst_18:
// rs1==x3, rd==x5, 
// opcode:lh op1:x3; dest:x5; immval:-0x800; align:0
TEST_LOAD(x9,x4,0,x3,x5,-0x800,144,lh,0)

inst_19:
// rs1==x26, rd==x12, 
// opcode:lh op1:x26; dest:x12; immval:-0x800; align:0
TEST_LOAD(x9,x4,0,x26,x12,-0x800,152,lh,0)
RVTEST_SIGBASE( x3,signature_x3_0)

inst_20:
// rs1==x6, rd==x16, 
// opcode:lh op1:x6; dest:x16; immval:-0x800; align:0
TEST_LOAD(x3,x4,0,x6,x16,-0x800,0,lh,0)

inst_21:
// rs1==x9, rd==x1, 
// opcode:lh op1:x9; dest:x1; immval:-0x800; align:0
TEST_LOAD(x3,x4,0,x9,x1,-0x800,8,lh,0)

inst_22:
// rs1==x25, rd==x22, 
// opcode:lh op1:x25; dest:x22; immval:-0x800; align:0
TEST_LOAD(x3,x4,0,x25,x22,-0x800,16,lh,0)

inst_23:
// rs1==x15, rd==x9, 
// opcode:lh op1:x15; dest:x9; immval:-0x800; align:0
TEST_LOAD(x3,x4,0,x15,x9,-0x800,24,lh,0)

inst_24:
// rs1==x12, rd==x19, 
// opcode:lh op1:x12; dest:x19; immval:-0x800; align:0
TEST_LOAD(x3,x4,0,x12,x19,-0x800,32,lh,0)

inst_25:
// rs1==x16, rd==x2, 
// opcode:lh op1:x16; dest:x2; immval:-0x800; align:0
TEST_LOAD(x3,x4,0,x16,x2,-0x800,40,lh,0)

inst_26:
// rs1==x24, rd==x8, 
// opcode:lh op1:x24; dest:x8; immval:-0x800; align:0
TEST_LOAD(x3,x4,0,x24,x8,-0x800,48,lh,0)

inst_27:
// rs1==x22, rd==x28, 
// opcode:lh op1:x22; dest:x28; immval:-0x800; align:0
TEST_LOAD(x3,x4,0,x22,x28,-0x800,56,lh,0)

inst_28:
// rs1==x17, rd==x14, 
// opcode:lh op1:x17; dest:x14; immval:-0x800; align:0
TEST_LOAD(x3,x4,0,x17,x14,-0x800,64,lh,0)

inst_29:
// rs1==x21, rd==x11, 
// opcode:lh op1:x21; dest:x11; immval:-0x800; align:0
TEST_LOAD(x3,x4,0,x21,x11,-0x800,72,lh,0)

inst_30:
// rs1==x27, rd==x29, 
// opcode:lh op1:x27; dest:x29; immval:-0x800; align:0
TEST_LOAD(x3,x4,0,x27,x29,-0x800,80,lh,0)

inst_31:
// rd==x30, 
// opcode:lh op1:x16; dest:x30; immval:-0x800; align:0
TEST_LOAD(x3,x4,0,x16,x30,-0x800,88,lh,0)
#endif


RVTEST_CODE_END
RVMODEL_HALT

RVTEST_DATA_BEGIN
.align 4
rvtest_data:
.word 0xbabecafe
RVTEST_DATA_END

RVMODEL_DATA_BEGIN


signature_x9_0:
    .fill 0*(XLEN/32),4,0xdeadbeef


signature_x9_1:
    .fill 20*(XLEN/32),4,0xdeadbeef


signature_x3_0:
    .fill 12*(XLEN/32),4,0xdeadbeef

#ifdef rvtest_mtrap_routine

mtrap_sigptr:
    .fill 64*(XLEN/32),4,0xdeadbeef

#endif

#ifdef rvtest_gpr_save

gpr_save:
    .fill 32*(XLEN/32),4,0xdeadbeef

#endif

RVMODEL_DATA_END
