
// -----------
// This file was generated by riscv_ctg (https://gitlab.com/incoresemi/riscv-compliance/riscv_ctg)
// version   : 0.4.1
// timestamp : Wed Dec 16 03:45:17 2020 GMT
// usage     : riscv_ctg \
//                  -- cgf ('/scratch/git-repo/incoresemi/riscv-compliance/riscv_ctg/sample_cgfs/dataset.cgf', '/scratch/git-repo/incoresemi/riscv-compliance/riscv_ctg/sample_cgfs/rv64i.cgf') \
//                  -- xlen 64 \
// -----------
//
// -----------
// Copyright (c) 2020. RISC-V International. All rights reserved.
// SPDX-License-Identifier: BSD-3-Clause
// -----------
//
// This assembly file tests the sw instruction of the RISC-V I extension for the sw-align covergroup.
// 
#include "model_test.h"
#include "arch_test.h"
RVTEST_ISA("RV64I")

.section .text.init
.globl rvtest_entry_point
rvtest_entry_point:
RVMODEL_BOOT
RVTEST_CODE_BEGIN

#ifdef TEST_CASE_1

RVTEST_CASE(0,"//check ISA:=regex(.*64.*);check ISA:=regex(.*I.*);def TEST_CASE_1=True;",sw-align)

RVTEST_SIGBASE( x5,signature_x5_1)

inst_0:
// rs1 != rs2, rs1==x11, rs2==x26, rs2_val == (-2**(xlen-1)), rs2_val == -9223372036854775808, imm_val < 0, ea_align == 0 and (imm_val % 4) == 0
// opcode: sw; op1:x11; op2:x26; op2val:-0x8000000000000000; immval:-0x8; align:0
TEST_STORE(x5,x12,0,x11,x26,-0x8000000000000000,-0x8,0,sw,0)

inst_1:
// rs1==x7, rs2==x17, rs2_val == 0, imm_val > 0
// opcode: sw; op1:x7; op2:x17; op2val:0x0; immval:0x200; align:0
TEST_STORE(x5,x12,0,x7,x17,0x0,0x200,8,sw,0)

inst_2:
// rs1==x2, rs2==x6, rs2_val == (2**(xlen-1)-1), rs2_val == 9223372036854775807
// opcode: sw; op1:x2; op2:x6; op2val:0x7fffffffffffffff; immval:-0x8; align:0
TEST_STORE(x5,x12,0,x2,x6,0x7fffffffffffffff,-0x8,16,sw,0)

inst_3:
// rs1==x15, rs2==x9, rs2_val == 1, ea_align == 0 and (imm_val % 4) == 1
// opcode: sw; op1:x15; op2:x9; op2val:0x1; immval:0x555; align:0
TEST_STORE(x5,x12,0,x15,x9,0x1,0x555,24,sw,0)

inst_4:
// rs1==x17, rs2==x14, ea_align == 0 and (imm_val % 4) == 2, rs2_val == -33
// opcode: sw; op1:x17; op2:x14; op2val:-0x21; immval:-0x6; align:0
TEST_STORE(x5,x12,0,x17,x14,-0x21,-0x6,32,sw,0)

inst_5:
// rs1==x29, rs2==x27, ea_align == 0 and (imm_val % 4) == 3, rs2_val == 144115188075855872
// opcode: sw; op1:x29; op2:x27; op2val:0x200000000000000; immval:-0x9; align:0
TEST_STORE(x5,x12,0,x29,x27,0x200000000000000,-0x9,40,sw,0)

inst_6:
// rs1==x31, rs2==x25, imm_val == 0, rs2_val == 2
// opcode: sw; op1:x31; op2:x25; op2val:0x2; immval:0x0; align:0
TEST_STORE(x5,x12,0,x31,x25,0x2,0x0,48,sw,0)

inst_7:
// rs1==x26, rs2==x19, rs2_val == 4, 
// opcode: sw; op1:x26; op2:x19; op2val:0x4; immval:0x7ff; align:0
TEST_STORE(x5,x12,0,x26,x19,0x4,0x7ff,56,sw,0)

inst_8:
// rs1==x24, rs2==x29, rs2_val == 8, 
// opcode: sw; op1:x24; op2:x29; op2val:0x8; immval:-0x11; align:0
TEST_STORE(x5,x12,0,x24,x29,0x8,-0x11,64,sw,0)

inst_9:
// rs1==x21, rs2==x1, rs2_val == 16, 
// opcode: sw; op1:x21; op2:x1; op2val:0x10; immval:-0x201; align:0
TEST_STORE(x5,x12,0,x21,x1,0x10,-0x201,72,sw,0)

inst_10:
// rs1==x23, rs2==x4, rs2_val == 32, 
// opcode: sw; op1:x23; op2:x4; op2val:0x20; immval:0x0; align:0
TEST_STORE(x5,x12,0,x23,x4,0x20,0x0,80,sw,0)

inst_11:
// rs1==x28, rs2==x2, rs2_val == 64, 
// opcode: sw; op1:x28; op2:x2; op2val:0x40; immval:-0x800; align:0
TEST_STORE(x5,x12,0,x28,x2,0x40,-0x800,88,sw,0)

inst_12:
// rs1==x3, rs2==x16, rs2_val == 128, 
// opcode: sw; op1:x3; op2:x16; op2val:0x80; immval:0x6; align:0
TEST_STORE(x5,x12,0,x3,x16,0x80,0x6,96,sw,0)

inst_13:
// rs1==x14, rs2==x21, rs2_val == 256, 
// opcode: sw; op1:x14; op2:x21; op2val:0x100; immval:-0x101; align:0
TEST_STORE(x5,x12,0,x14,x21,0x100,-0x101,104,sw,0)

inst_14:
// rs1==x16, rs2==x10, rs2_val == 512, 
// opcode: sw; op1:x16; op2:x10; op2val:0x200; immval:-0x800; align:0
TEST_STORE(x5,x12,0,x16,x10,0x200,-0x800,112,sw,0)

inst_15:
// rs1==x13, rs2==x31, rs2_val == 1024, 
// opcode: sw; op1:x13; op2:x31; op2val:0x400; immval:0x0; align:0
TEST_STORE(x5,x12,0,x13,x31,0x400,0x0,120,sw,0)

inst_16:
// rs1==x10, rs2==x8, rs2_val == 2048, 
// opcode: sw; op1:x10; op2:x8; op2val:0x800; immval:-0x1; align:0
TEST_STORE(x5,x12,0,x10,x8,0x800,-0x1,128,sw,0)

inst_17:
// rs1==x30, rs2==x28, rs2_val == 4096, 
// opcode: sw; op1:x30; op2:x28; op2val:0x1000; immval:0x555; align:0
TEST_STORE(x5,x12,0,x30,x28,0x1000,0x555,136,sw,0)

inst_18:
// rs1==x9, rs2==x20, rs2_val == 8192, 
// opcode: sw; op1:x9; op2:x20; op2val:0x2000; immval:0x80; align:0
TEST_STORE(x5,x12,0,x9,x20,0x2000,0x80,144,sw,0)

inst_19:
// rs1==x18, rs2==x23, rs2_val == 16384, 
// opcode: sw; op1:x18; op2:x23; op2val:0x4000; immval:-0x800; align:0
TEST_STORE(x5,x9,0,x18,x23,0x4000,-0x800,152,sw,0)
RVTEST_SIGBASE( x2,signature_x2_0)

inst_20:
// rs1==x4, rs2==x3, rs2_val == 32768, 
// opcode: sw; op1:x4; op2:x3; op2val:0x8000; immval:0x5; align:0
TEST_STORE(x2,x9,0,x4,x3,0x8000,0x5,0,sw,0)

inst_21:
// rs1==x8, rs2==x12, rs2_val == 65536, 
// opcode: sw; op1:x8; op2:x12; op2val:0x10000; immval:-0x3; align:0
TEST_STORE(x2,x9,0,x8,x12,0x10000,-0x3,8,sw,0)

inst_22:
// rs1==x25, rs2==x5, rs2_val == 131072, 
// opcode: sw; op1:x25; op2:x5; op2val:0x20000; immval:0x6; align:0
TEST_STORE(x2,x9,0,x25,x5,0x20000,0x6,16,sw,0)

inst_23:
// rs1==x27, rs2==x7, rs2_val == 262144, 
// opcode: sw; op1:x27; op2:x7; op2val:0x40000; immval:-0x6; align:0
TEST_STORE(x2,x9,0,x27,x7,0x40000,-0x6,24,sw,0)

inst_24:
// rs1==x22, rs2==x0, rs2_val == 524288, 
// opcode: sw; op1:x22; op2:x0; op2val:0x0; immval:0x4; align:0
TEST_STORE(x2,x9,0,x22,x0,0x0,0x4,32,sw,0)

inst_25:
// rs1==x1, rs2==x15, rs2_val == 1048576, 
// opcode: sw; op1:x1; op2:x15; op2val:0x100000; immval:-0x4; align:0
TEST_STORE(x2,x9,0,x1,x15,0x100000,-0x4,40,sw,0)

inst_26:
// rs1==x5, rs2==x22, rs2_val == 2097152, 
// opcode: sw; op1:x5; op2:x22; op2val:0x200000; immval:0x4; align:0
TEST_STORE(x2,x9,0,x5,x22,0x200000,0x4,48,sw,0)

inst_27:
// rs1==x6, rs2==x24, rs2_val == 4194304, 
// opcode: sw; op1:x6; op2:x24; op2val:0x400000; immval:0x4; align:0
TEST_STORE(x2,x9,0,x6,x24,0x400000,0x4,56,sw,0)

inst_28:
// rs1==x12, rs2==x11, rs2_val == 8388608, 
// opcode: sw; op1:x12; op2:x11; op2val:0x800000; immval:-0x401; align:0
TEST_STORE(x2,x9,0,x12,x11,0x800000,-0x401,64,sw,0)

inst_29:
// rs1==x20, rs2==x30, rs2_val == 16777216, 
// opcode: sw; op1:x20; op2:x30; op2val:0x1000000; immval:0x9; align:0
TEST_STORE(x2,x9,0,x20,x30,0x1000000,0x9,72,sw,0)

inst_30:
// rs1==x19, rs2==x18, rs2_val == 33554432, 
// opcode: sw; op1:x19; op2:x18; op2val:0x2000000; immval:0x20; align:0
TEST_STORE(x2,x9,0,x19,x18,0x2000000,0x20,80,sw,0)

inst_31:
// rs2==x13, rs2_val == 67108864, 
// opcode: sw; op1:x7; op2:x13; op2val:0x4000000; immval:0x6; align:0
TEST_STORE(x2,x9,0,x7,x13,0x4000000,0x6,88,sw,0)

inst_32:
// rs2_val == 134217728, 
// opcode: sw; op1:x10; op2:x11; op2val:0x8000000; immval:0x7ff; align:0
TEST_STORE(x2,x9,0,x10,x11,0x8000000,0x7ff,96,sw,0)

inst_33:
// rs2_val == 268435456, 
// opcode: sw; op1:x10; op2:x11; op2val:0x10000000; immval:0x10; align:0
TEST_STORE(x2,x9,0,x10,x11,0x10000000,0x10,104,sw,0)

inst_34:
// rs2_val == 536870912, 
// opcode: sw; op1:x10; op2:x11; op2val:0x20000000; immval:0x2; align:0
TEST_STORE(x2,x9,0,x10,x11,0x20000000,0x2,112,sw,0)

inst_35:
// rs2_val == 1073741824, 
// opcode: sw; op1:x10; op2:x11; op2val:0x40000000; immval:-0x800; align:0
TEST_STORE(x2,x9,0,x10,x11,0x40000000,-0x800,120,sw,0)

inst_36:
// rs2_val == 2147483648, 
// opcode: sw; op1:x10; op2:x11; op2val:0x80000000; immval:0x20; align:0
TEST_STORE(x2,x9,0,x10,x11,0x80000000,0x20,128,sw,0)

inst_37:
// rs2_val == 4294967296, 
// opcode: sw; op1:x10; op2:x11; op2val:0x100000000; immval:-0x400; align:0
TEST_STORE(x2,x9,0,x10,x11,0x100000000,-0x400,136,sw,0)

inst_38:
// rs2_val == 8589934592, 
// opcode: sw; op1:x10; op2:x11; op2val:0x200000000; immval:-0x21; align:0
TEST_STORE(x2,x9,0,x10,x11,0x200000000,-0x21,144,sw,0)

inst_39:
// rs2_val == 17179869184, 
// opcode: sw; op1:x10; op2:x11; op2val:0x400000000; immval:0x3; align:0
TEST_STORE(x2,x9,0,x10,x11,0x400000000,0x3,152,sw,0)

inst_40:
// rs2_val == 34359738368, 
// opcode: sw; op1:x10; op2:x11; op2val:0x800000000; immval:-0x2; align:0
TEST_STORE(x2,x9,0,x10,x11,0x800000000,-0x2,160,sw,0)

inst_41:
// rs2_val == 68719476736, 
// opcode: sw; op1:x10; op2:x11; op2val:0x1000000000; immval:-0x41; align:0
TEST_STORE(x2,x9,0,x10,x11,0x1000000000,-0x41,168,sw,0)

inst_42:
// rs2_val == 137438953472, 
// opcode: sw; op1:x10; op2:x11; op2val:0x2000000000; immval:-0xa; align:0
TEST_STORE(x2,x9,0,x10,x11,0x2000000000,-0xa,176,sw,0)

inst_43:
// rs2_val == 274877906944, 
// opcode: sw; op1:x10; op2:x11; op2val:0x4000000000; immval:0x8; align:0
TEST_STORE(x2,x9,0,x10,x11,0x4000000000,0x8,184,sw,0)

inst_44:
// rs2_val == 549755813888, 
// opcode: sw; op1:x10; op2:x11; op2val:0x8000000000; immval:-0x101; align:0
TEST_STORE(x2,x9,0,x10,x11,0x8000000000,-0x101,192,sw,0)

inst_45:
// rs2_val == 1099511627776, 
// opcode: sw; op1:x10; op2:x11; op2val:0x10000000000; immval:-0x8; align:0
TEST_STORE(x2,x9,0,x10,x11,0x10000000000,-0x8,200,sw,0)

inst_46:
// rs2_val == 2199023255552, 
// opcode: sw; op1:x10; op2:x11; op2val:0x20000000000; immval:-0x11; align:0
TEST_STORE(x2,x9,0,x10,x11,0x20000000000,-0x11,208,sw,0)

inst_47:
// rs2_val == 4398046511104, 
// opcode: sw; op1:x10; op2:x11; op2val:0x40000000000; immval:0x6; align:0
TEST_STORE(x2,x9,0,x10,x11,0x40000000000,0x6,216,sw,0)

inst_48:
// rs2_val == 8796093022208, 
// opcode: sw; op1:x10; op2:x11; op2val:0x80000000000; immval:-0x4; align:0
TEST_STORE(x2,x9,0,x10,x11,0x80000000000,-0x4,224,sw,0)

inst_49:
// rs2_val == 17592186044416, 
// opcode: sw; op1:x10; op2:x11; op2val:0x100000000000; immval:-0x41; align:0
TEST_STORE(x2,x9,0,x10,x11,0x100000000000,-0x41,232,sw,0)

inst_50:
// rs2_val == 35184372088832, 
// opcode: sw; op1:x10; op2:x11; op2val:0x200000000000; immval:-0x401; align:0
TEST_STORE(x2,x9,0,x10,x11,0x200000000000,-0x401,240,sw,0)

inst_51:
// rs2_val == 70368744177664, 
// opcode: sw; op1:x10; op2:x11; op2val:0x400000000000; immval:-0x401; align:0
TEST_STORE(x2,x9,0,x10,x11,0x400000000000,-0x401,248,sw,0)

inst_52:
// rs2_val == 140737488355328, 
// opcode: sw; op1:x10; op2:x11; op2val:0x800000000000; immval:-0x400; align:0
TEST_STORE(x2,x9,0,x10,x11,0x800000000000,-0x400,256,sw,0)

inst_53:
// rs2_val == 281474976710656, 
// opcode: sw; op1:x10; op2:x11; op2val:0x1000000000000; immval:0x100; align:0
TEST_STORE(x2,x9,0,x10,x11,0x1000000000000,0x100,264,sw,0)

inst_54:
// rs2_val == 562949953421312, 
// opcode: sw; op1:x10; op2:x11; op2val:0x2000000000000; immval:-0x101; align:0
TEST_STORE(x2,x9,0,x10,x11,0x2000000000000,-0x101,272,sw,0)

inst_55:
// rs2_val == 1125899906842624, 
// opcode: sw; op1:x10; op2:x11; op2val:0x4000000000000; immval:-0x8; align:0
TEST_STORE(x2,x9,0,x10,x11,0x4000000000000,-0x8,280,sw,0)

inst_56:
// rs2_val == 2251799813685248, 
// opcode: sw; op1:x10; op2:x11; op2val:0x8000000000000; immval:0x2; align:0
TEST_STORE(x2,x9,0,x10,x11,0x8000000000000,0x2,288,sw,0)

inst_57:
// rs2_val == 4503599627370496, 
// opcode: sw; op1:x10; op2:x11; op2val:0x10000000000000; immval:0x8; align:0
TEST_STORE(x2,x9,0,x10,x11,0x10000000000000,0x8,296,sw,0)

inst_58:
// rs2_val == 9007199254740992, 
// opcode: sw; op1:x10; op2:x11; op2val:0x20000000000000; immval:0x10; align:0
TEST_STORE(x2,x9,0,x10,x11,0x20000000000000,0x10,304,sw,0)

inst_59:
// rs2_val == 18014398509481984, 
// opcode: sw; op1:x10; op2:x11; op2val:0x40000000000000; immval:0x4; align:0
TEST_STORE(x2,x9,0,x10,x11,0x40000000000000,0x4,312,sw,0)

inst_60:
// rs2_val == 36028797018963968, 
// opcode: sw; op1:x10; op2:x11; op2val:0x80000000000000; immval:0x5; align:0
TEST_STORE(x2,x9,0,x10,x11,0x80000000000000,0x5,320,sw,0)

inst_61:
// rs2_val == 72057594037927936, 
// opcode: sw; op1:x10; op2:x11; op2val:0x100000000000000; immval:0x0; align:0
TEST_STORE(x2,x9,0,x10,x11,0x100000000000000,0x0,328,sw,0)

inst_62:
// rs2_val == 288230376151711744, 
// opcode: sw; op1:x10; op2:x11; op2val:0x400000000000000; immval:-0x4; align:0
TEST_STORE(x2,x9,0,x10,x11,0x400000000000000,-0x4,336,sw,0)

inst_63:
// rs2_val == 576460752303423488, 
// opcode: sw; op1:x10; op2:x11; op2val:0x800000000000000; immval:-0x401; align:0
TEST_STORE(x2,x9,0,x10,x11,0x800000000000000,-0x401,344,sw,0)

inst_64:
// rs2_val == 1152921504606846976, 
// opcode: sw; op1:x10; op2:x11; op2val:0x1000000000000000; immval:-0x3; align:0
TEST_STORE(x2,x9,0,x10,x11,0x1000000000000000,-0x3,352,sw,0)

inst_65:
// rs2_val == 2305843009213693952, 
// opcode: sw; op1:x10; op2:x11; op2val:0x2000000000000000; immval:-0x201; align:0
TEST_STORE(x2,x9,0,x10,x11,0x2000000000000000,-0x201,360,sw,0)

inst_66:
// rs2_val == 4611686018427387904, 
// opcode: sw; op1:x10; op2:x11; op2val:0x4000000000000000; immval:0x20; align:0
TEST_STORE(x2,x9,0,x10,x11,0x4000000000000000,0x20,368,sw,0)

inst_67:
// rs2_val == -2, 
// opcode: sw; op1:x10; op2:x11; op2val:-0x2; immval:-0x9; align:0
TEST_STORE(x2,x9,0,x10,x11,-0x2,-0x9,376,sw,0)

inst_68:
// rs2_val == -18014398509481985, 
// opcode: sw; op1:x10; op2:x11; op2val:-0x40000000000001; immval:-0x7; align:0
TEST_STORE(x2,x9,0,x10,x11,-0x40000000000001,-0x7,384,sw,0)

inst_69:
// rs2_val == -36028797018963969, 
// opcode: sw; op1:x10; op2:x11; op2val:-0x80000000000001; immval:0x7ff; align:0
TEST_STORE(x2,x9,0,x10,x11,-0x80000000000001,0x7ff,392,sw,0)

inst_70:
// rs2_val == -72057594037927937, 
// opcode: sw; op1:x10; op2:x11; op2val:-0x100000000000001; immval:0x5; align:0
TEST_STORE(x2,x9,0,x10,x11,-0x100000000000001,0x5,400,sw,0)

inst_71:
// rs2_val == -144115188075855873, 
// opcode: sw; op1:x10; op2:x11; op2val:-0x200000000000001; immval:0x80; align:0
TEST_STORE(x2,x9,0,x10,x11,-0x200000000000001,0x80,408,sw,0)

inst_72:
// rs2_val == -288230376151711745, 
// opcode: sw; op1:x10; op2:x11; op2val:-0x400000000000001; immval:0x555; align:0
TEST_STORE(x2,x9,0,x10,x11,-0x400000000000001,0x555,416,sw,0)

inst_73:
// rs2_val == -576460752303423489, 
// opcode: sw; op1:x10; op2:x11; op2val:-0x800000000000001; immval:0x400; align:0
TEST_STORE(x2,x9,0,x10,x11,-0x800000000000001,0x400,424,sw,0)

inst_74:
// rs2_val == -1152921504606846977, 
// opcode: sw; op1:x10; op2:x11; op2val:-0x1000000000000001; immval:-0x11; align:0
TEST_STORE(x2,x9,0,x10,x11,-0x1000000000000001,-0x11,432,sw,0)

inst_75:
// rs2_val == -2305843009213693953, 
// opcode: sw; op1:x10; op2:x11; op2val:-0x2000000000000001; immval:-0x81; align:0
TEST_STORE(x2,x9,0,x10,x11,-0x2000000000000001,-0x81,440,sw,0)

inst_76:
// rs2_val == -4611686018427387905, 
// opcode: sw; op1:x10; op2:x11; op2val:-0x4000000000000001; immval:-0x4; align:0
TEST_STORE(x2,x9,0,x10,x11,-0x4000000000000001,-0x4,448,sw,0)

inst_77:
// rs2_val == 6148914691236517205, 
// opcode: sw; op1:x10; op2:x11; op2val:0x5555555555555555; immval:-0x81; align:0
TEST_STORE(x2,x9,0,x10,x11,0x5555555555555555,-0x81,456,sw,0)

inst_78:
// rs2_val == -6148914691236517206, 
// opcode: sw; op1:x10; op2:x11; op2val:-0x5555555555555556; immval:0x555; align:0
TEST_STORE(x2,x9,0,x10,x11,-0x5555555555555556,0x555,464,sw,0)

inst_79:
// rs2_val == -3, 
// opcode: sw; op1:x10; op2:x11; op2val:-0x3; immval:0x555; align:0
TEST_STORE(x2,x9,0,x10,x11,-0x3,0x555,472,sw,0)

inst_80:
// rs2_val == -5, 
// opcode: sw; op1:x10; op2:x11; op2val:-0x5; immval:0x5; align:0
TEST_STORE(x2,x9,0,x10,x11,-0x5,0x5,480,sw,0)

inst_81:
// rs2_val == -9, 
// opcode: sw; op1:x10; op2:x11; op2val:-0x9; immval:-0x201; align:0
TEST_STORE(x2,x9,0,x10,x11,-0x9,-0x201,488,sw,0)

inst_82:
// rs2_val == -17, 
// opcode: sw; op1:x10; op2:x11; op2val:-0x11; immval:-0x556; align:0
TEST_STORE(x2,x9,0,x10,x11,-0x11,-0x556,496,sw,0)

inst_83:
// rs2_val == -65, 
// opcode: sw; op1:x10; op2:x11; op2val:-0x41; immval:0x5; align:0
TEST_STORE(x2,x9,0,x10,x11,-0x41,0x5,504,sw,0)

inst_84:
// rs2_val == -129, 
// opcode: sw; op1:x10; op2:x11; op2val:-0x81; immval:-0x2; align:0
TEST_STORE(x2,x9,0,x10,x11,-0x81,-0x2,512,sw,0)

inst_85:
// rs2_val == -257, 
// opcode: sw; op1:x10; op2:x11; op2val:-0x101; immval:-0x556; align:0
TEST_STORE(x2,x9,0,x10,x11,-0x101,-0x556,520,sw,0)

inst_86:
// rs2_val == -513, 
// opcode: sw; op1:x10; op2:x11; op2val:-0x201; immval:0x4; align:0
TEST_STORE(x2,x9,0,x10,x11,-0x201,0x4,528,sw,0)

inst_87:
// rs2_val == -1025, 
// opcode: sw; op1:x10; op2:x11; op2val:-0x401; immval:-0xa; align:0
TEST_STORE(x2,x9,0,x10,x11,-0x401,-0xa,536,sw,0)

inst_88:
// rs2_val == -2049, 
// opcode: sw; op1:x10; op2:x11; op2val:-0x801; immval:0x2; align:0
TEST_STORE(x2,x9,0,x10,x11,-0x801,0x2,544,sw,0)

inst_89:
// rs2_val == -4097, 
// opcode: sw; op1:x10; op2:x11; op2val:-0x1001; immval:-0x556; align:0
TEST_STORE(x2,x9,0,x10,x11,-0x1001,-0x556,552,sw,0)

inst_90:
// rs2_val == -8193, 
// opcode: sw; op1:x10; op2:x11; op2val:-0x2001; immval:0x40; align:0
TEST_STORE(x2,x9,0,x10,x11,-0x2001,0x40,560,sw,0)

inst_91:
// rs2_val == -16385, 
// opcode: sw; op1:x10; op2:x11; op2val:-0x4001; immval:-0x7; align:0
TEST_STORE(x2,x9,0,x10,x11,-0x4001,-0x7,568,sw,0)

inst_92:
// rs2_val == -32769, 
// opcode: sw; op1:x10; op2:x11; op2val:-0x8001; immval:-0x41; align:0
TEST_STORE(x2,x9,0,x10,x11,-0x8001,-0x41,576,sw,0)

inst_93:
// rs2_val == -65537, 
// opcode: sw; op1:x10; op2:x11; op2val:-0x10001; immval:-0x400; align:0
TEST_STORE(x2,x9,0,x10,x11,-0x10001,-0x400,584,sw,0)

inst_94:
// rs2_val == -131073, 
// opcode: sw; op1:x10; op2:x11; op2val:-0x20001; immval:0x5; align:0
TEST_STORE(x2,x9,0,x10,x11,-0x20001,0x5,592,sw,0)

inst_95:
// rs2_val == -262145, 
// opcode: sw; op1:x10; op2:x11; op2val:-0x40001; immval:0x1; align:0
TEST_STORE(x2,x9,0,x10,x11,-0x40001,0x1,600,sw,0)

inst_96:
// rs2_val == -524289, 
// opcode: sw; op1:x10; op2:x11; op2val:-0x80001; immval:-0x556; align:0
TEST_STORE(x2,x9,0,x10,x11,-0x80001,-0x556,608,sw,0)

inst_97:
// rs2_val == -1048577, 
// opcode: sw; op1:x10; op2:x11; op2val:-0x100001; immval:0x200; align:0
TEST_STORE(x2,x9,0,x10,x11,-0x100001,0x200,616,sw,0)

inst_98:
// rs2_val == -2097153, 
// opcode: sw; op1:x10; op2:x11; op2val:-0x200001; immval:-0x3; align:0
TEST_STORE(x2,x9,0,x10,x11,-0x200001,-0x3,624,sw,0)

inst_99:
// rs2_val == -4194305, 
// opcode: sw; op1:x10; op2:x11; op2val:-0x400001; immval:0x4; align:0
TEST_STORE(x2,x9,0,x10,x11,-0x400001,0x4,632,sw,0)

inst_100:
// rs2_val == -8388609, 
// opcode: sw; op1:x10; op2:x11; op2val:-0x800001; immval:-0x4; align:0
TEST_STORE(x2,x9,0,x10,x11,-0x800001,-0x4,640,sw,0)

inst_101:
// rs2_val == -16777217, 
// opcode: sw; op1:x10; op2:x11; op2val:-0x1000001; immval:0x7; align:0
TEST_STORE(x2,x9,0,x10,x11,-0x1000001,0x7,648,sw,0)

inst_102:
// rs2_val == -33554433, 
// opcode: sw; op1:x10; op2:x11; op2val:-0x2000001; immval:-0x3; align:0
TEST_STORE(x2,x9,0,x10,x11,-0x2000001,-0x3,656,sw,0)

inst_103:
// rs2_val == -67108865, 
// opcode: sw; op1:x10; op2:x11; op2val:-0x4000001; immval:-0x5; align:0
TEST_STORE(x2,x9,0,x10,x11,-0x4000001,-0x5,664,sw,0)

inst_104:
// rs2_val == -134217729, 
// opcode: sw; op1:x10; op2:x11; op2val:-0x8000001; immval:-0x201; align:0
TEST_STORE(x2,x9,0,x10,x11,-0x8000001,-0x201,672,sw,0)

inst_105:
// rs2_val == -268435457, 
// opcode: sw; op1:x10; op2:x11; op2val:-0x10000001; immval:-0x41; align:0
TEST_STORE(x2,x9,0,x10,x11,-0x10000001,-0x41,680,sw,0)

inst_106:
// rs2_val == -536870913, 
// opcode: sw; op1:x10; op2:x11; op2val:-0x20000001; immval:-0x556; align:0
TEST_STORE(x2,x9,0,x10,x11,-0x20000001,-0x556,688,sw,0)

inst_107:
// rs2_val == -1073741825, 
// opcode: sw; op1:x10; op2:x11; op2val:-0x40000001; immval:0x200; align:0
TEST_STORE(x2,x9,0,x10,x11,-0x40000001,0x200,696,sw,0)

inst_108:
// rs2_val == -2147483649, 
// opcode: sw; op1:x10; op2:x11; op2val:-0x80000001; immval:0x3ff; align:0
TEST_STORE(x2,x9,0,x10,x11,-0x80000001,0x3ff,704,sw,0)

inst_109:
// rs2_val == -4294967297, 
// opcode: sw; op1:x10; op2:x11; op2val:-0x100000001; immval:-0x201; align:0
TEST_STORE(x2,x9,0,x10,x11,-0x100000001,-0x201,712,sw,0)

inst_110:
// rs2_val == -8589934593, 
// opcode: sw; op1:x10; op2:x11; op2val:-0x200000001; immval:0x7ff; align:0
TEST_STORE(x2,x9,0,x10,x11,-0x200000001,0x7ff,720,sw,0)

inst_111:
// rs2_val == -17179869185, 
// opcode: sw; op1:x10; op2:x11; op2val:-0x400000001; immval:0x8; align:0
TEST_STORE(x2,x9,0,x10,x11,-0x400000001,0x8,728,sw,0)

inst_112:
// rs2_val == -34359738369, 
// opcode: sw; op1:x10; op2:x11; op2val:-0x800000001; immval:-0x7; align:0
TEST_STORE(x2,x9,0,x10,x11,-0x800000001,-0x7,736,sw,0)

inst_113:
// rs2_val == -68719476737, 
// opcode: sw; op1:x10; op2:x11; op2val:-0x1000000001; immval:0x10; align:0
TEST_STORE(x2,x9,0,x10,x11,-0x1000000001,0x10,744,sw,0)

inst_114:
// rs2_val == -137438953473, 
// opcode: sw; op1:x10; op2:x11; op2val:-0x2000000001; immval:0x100; align:0
TEST_STORE(x2,x9,0,x10,x11,-0x2000000001,0x100,752,sw,0)

inst_115:
// rs2_val == -274877906945, 
// opcode: sw; op1:x10; op2:x11; op2val:-0x4000000001; immval:-0x5; align:0
TEST_STORE(x2,x9,0,x10,x11,-0x4000000001,-0x5,760,sw,0)

inst_116:
// rs2_val == -549755813889, 
// opcode: sw; op1:x10; op2:x11; op2val:-0x8000000001; immval:0x400; align:0
TEST_STORE(x2,x9,0,x10,x11,-0x8000000001,0x400,768,sw,0)

inst_117:
// rs2_val == -1099511627777, 
// opcode: sw; op1:x10; op2:x11; op2val:-0x10000000001; immval:-0x4; align:0
TEST_STORE(x2,x9,0,x10,x11,-0x10000000001,-0x4,776,sw,0)

inst_118:
// rs2_val == -2199023255553, 
// opcode: sw; op1:x10; op2:x11; op2val:-0x20000000001; immval:0x2; align:0
TEST_STORE(x2,x9,0,x10,x11,-0x20000000001,0x2,784,sw,0)

inst_119:
// rs2_val == -4398046511105, 
// opcode: sw; op1:x10; op2:x11; op2val:-0x40000000001; immval:0x80; align:0
TEST_STORE(x2,x9,0,x10,x11,-0x40000000001,0x80,792,sw,0)

inst_120:
// rs2_val == -8796093022209, 
// opcode: sw; op1:x10; op2:x11; op2val:-0x80000000001; immval:-0x400; align:0
TEST_STORE(x2,x9,0,x10,x11,-0x80000000001,-0x400,800,sw,0)

inst_121:
// rs2_val == -17592186044417, 
// opcode: sw; op1:x10; op2:x11; op2val:-0x100000000001; immval:0x1; align:0
TEST_STORE(x2,x9,0,x10,x11,-0x100000000001,0x1,808,sw,0)

inst_122:
// rs2_val == -35184372088833, 
// opcode: sw; op1:x10; op2:x11; op2val:-0x200000000001; immval:-0x1; align:0
TEST_STORE(x2,x9,0,x10,x11,-0x200000000001,-0x1,816,sw,0)

inst_123:
// rs2_val == -70368744177665, 
// opcode: sw; op1:x10; op2:x11; op2val:-0x400000000001; immval:-0x3; align:0
TEST_STORE(x2,x9,0,x10,x11,-0x400000000001,-0x3,824,sw,0)

inst_124:
// rs2_val == -140737488355329, 
// opcode: sw; op1:x10; op2:x11; op2val:-0x800000000001; immval:0x9; align:0
TEST_STORE(x2,x9,0,x10,x11,-0x800000000001,0x9,832,sw,0)

inst_125:
// rs2_val == -281474976710657, 
// opcode: sw; op1:x10; op2:x11; op2val:-0x1000000000001; immval:-0x3; align:0
TEST_STORE(x2,x9,0,x10,x11,-0x1000000000001,-0x3,840,sw,0)

inst_126:
// rs2_val == -562949953421313, 
// opcode: sw; op1:x10; op2:x11; op2val:-0x2000000000001; immval:0x10; align:0
TEST_STORE(x2,x9,0,x10,x11,-0x2000000000001,0x10,848,sw,0)

inst_127:
// rs2_val == -1125899906842625, 
// opcode: sw; op1:x10; op2:x11; op2val:-0x4000000000001; immval:0x3; align:0
TEST_STORE(x2,x9,0,x10,x11,-0x4000000000001,0x3,856,sw,0)

inst_128:
// rs2_val == -2251799813685249, 
// opcode: sw; op1:x10; op2:x11; op2val:-0x8000000000001; immval:0x7; align:0
TEST_STORE(x2,x9,0,x10,x11,-0x8000000000001,0x7,864,sw,0)

inst_129:
// rs2_val == -4503599627370497, 
// opcode: sw; op1:x10; op2:x11; op2val:-0x10000000000001; immval:-0x81; align:0
TEST_STORE(x2,x9,0,x10,x11,-0x10000000000001,-0x81,872,sw,0)

inst_130:
// rs2_val == -9007199254740993, 
// opcode: sw; op1:x10; op2:x11; op2val:-0x20000000000001; immval:0x2; align:0
TEST_STORE(x2,x9,0,x10,x11,-0x20000000000001,0x2,880,sw,0)

inst_131:
// rs2_val == 524288, 
// opcode: sw; op1:x10; op2:x11; op2val:0x80000; immval:0x4; align:0
TEST_STORE(x2,x9,0,x10,x11,0x80000,0x4,888,sw,0)
#endif


RVTEST_CODE_END
RVMODEL_HALT

RVTEST_DATA_BEGIN
.align 4
rvtest_data:
.word 0xbabecafe
RVTEST_DATA_END

RVMODEL_DATA_BEGIN


signature_x5_0:
    .fill 0*(XLEN/32),4,0xdeadbeef


signature_x5_1:
    .fill 20*(XLEN/32),4,0xdeadbeef


signature_x2_0:
    .fill 112*(XLEN/32),4,0xdeadbeef

#ifdef rvtest_mtrap_routine

mtrap_sigptr:
    .fill 64*(XLEN/32),4,0xdeadbeef

#endif

#ifdef rvtest_gpr_save

gpr_save:
    .fill 32*(XLEN/32),4,0xdeadbeef

#endif

RVMODEL_DATA_END
