
// -----------
// This file was generated by riscv_ctg (https://gitlab.com/incoresemi/riscv-compliance/riscv_ctg)
// version   : 0.4.1
// timestamp : Wed Dec 16 03:45:17 2020 GMT
// usage     : riscv_ctg \
//                  -- cgf ('/scratch/git-repo/incoresemi/riscv-compliance/riscv_ctg/sample_cgfs/dataset.cgf', '/scratch/git-repo/incoresemi/riscv-compliance/riscv_ctg/sample_cgfs/rv64i.cgf') \
//                  -- xlen 64 \
// -----------
//
// -----------
// Copyright (c) 2020. RISC-V International. All rights reserved.
// SPDX-License-Identifier: BSD-3-Clause
// -----------
//
// This assembly file tests the sub instruction of the RISC-V I extension for the sub covergroup.
// 
#include "model_test.h"
#include "arch_test.h"
RVTEST_ISA("RV64I")

.section .text.init
.globl rvtest_entry_point
rvtest_entry_point:
RVMODEL_BOOT
RVTEST_CODE_BEGIN

#ifdef TEST_CASE_1

RVTEST_CASE(0,"//check ISA:=regex(.*64.*);check ISA:=regex(.*I.*);def TEST_CASE_1=True;",sub)

RVTEST_SIGBASE( x23,signature_x23_1)

inst_0:
// rs1 == rs2 != rd, rs1==x21, rs2==x21, rd==x16, rs1_val > 0 and rs2_val > 0, rs1_val != rs2_val, rs2_val == 2, rs1_val == 549755813888
// opcode: sub ; op1:x21; op2:x21; dest:x16; op1val:0x8000000000;  op2val:0x8000000000
TEST_RR_OP(sub, x16, x21, x21, 0x0, 0x8000000000, 0x8000000000, x23, 0, x28)

inst_1:
// rs2 == rd != rs1, rs1==x18, rs2==x6, rd==x6, rs1_val > 0 and rs2_val < 0, rs1_val == 1152921504606846976, rs2_val == -562949953421313
// opcode: sub ; op1:x18; op2:x6; dest:x6; op1val:0x1000000000000000;  op2val:-0x2000000000001
TEST_RR_OP(sub, x6, x18, x6, 0x1002000000000001, 0x1000000000000000, -0x2000000000001, x23, 8, x28)

inst_2:
// rs1 == rs2 == rd, rs1==x11, rs2==x11, rd==x11, rs1_val < 0 and rs2_val < 0, rs1_val == -576460752303423489
// opcode: sub ; op1:x11; op2:x11; dest:x11; op1val:-0x800000000000001;  op2val:-0x800000000000001
TEST_RR_OP(sub, x11, x11, x11, 0x0, -0x800000000000001, -0x800000000000001, x23, 16, x28)

inst_3:
// rs1 != rs2  and rs1 != rd and rs2 != rd, rs1==x2, rs2==x19, rd==x27, rs1_val < 0 and rs2_val > 0, rs2_val == 2048, rs1_val == -2049
// opcode: sub ; op1:x2; op2:x19; dest:x27; op1val:-0x801;  op2val:0x800
TEST_RR_OP(sub, x27, x2, x19, 0xffffffffffffefff, -0x801, 0x800, x23, 24, x28)

inst_4:
// rs1 == rd != rs2, rs1==x31, rs2==x20, rd==x31, rs1_val == rs2_val, rs1_val == 0, rs1_val==0 and rs2_val==0, rs2_val == 0
// opcode: sub ; op1:x31; op2:x20; dest:x31; op1val:0x0;  op2val:0x0
TEST_RR_OP(sub, x31, x31, x20, 0x0, 0x0, 0x0, x23, 32, x28)

inst_5:
// rs1==x29, rs2==x8, rd==x20, rs2_val == (-2**(xlen-1)), rs2_val == -9223372036854775808, rs1_val == -562949953421313
// opcode: sub ; op1:x29; op2:x8; dest:x20; op1val:-0x2000000000001;  op2val:-0x8000000000000000
TEST_RR_OP(sub, x20, x29, x8, 0x7ffdffffffffffff, -0x2000000000001, -0x8000000000000000, x23, 40, x28)

inst_6:
// rs1==x8, rs2==x1, rd==x19, rs2_val == (2**(xlen-1)-1), rs2_val == 9223372036854775807, rs1_val == -4294967297
// opcode: sub ; op1:x8; op2:x1; dest:x19; op1val:-0x100000001;  op2val:0x7fffffffffffffff
TEST_RR_OP(sub, x19, x8, x1, 0x7fffffff00000000, -0x100000001, 0x7fffffffffffffff, x23, 48, x28)

inst_7:
// rs1==x10, rs2==x3, rd==x9, rs2_val == 1, rs1_val == 16
// opcode: sub ; op1:x10; op2:x3; dest:x9; op1val:0x10;  op2val:0x1
TEST_RR_OP(sub, x9, x10, x3, 0xf, 0x10, 0x1, x23, 56, x28)

inst_8:
// rs1==x24, rs2==x14, rd==x22, rs1_val == (-2**(xlen-1)), rs2_val == -65, rs1_val == -9223372036854775808
// opcode: sub ; op1:x24; op2:x14; dest:x22; op1val:-0x8000000000000000;  op2val:-0x41
TEST_RR_OP(sub, x22, x24, x14, 0x8000000000000041, -0x8000000000000000, -0x41, x23, 64, x28)

inst_9:
// rs1==x1, rs2==x10, rd==x12, rs1_val == (2**(xlen-1)-1), rs1_val == 9223372036854775807, rs2_val == 67108864
// opcode: sub ; op1:x1; op2:x10; dest:x12; op1val:0x7fffffffffffffff;  op2val:0x4000000
TEST_RR_OP(sub, x12, x1, x10, 0x7ffffffffbffffff, 0x7fffffffffffffff, 0x4000000, x23, 72, x28)

inst_10:
// rs1==x22, rs2==x9, rd==x25, rs1_val == 1, rs2_val == 4611686018427387904
// opcode: sub ; op1:x22; op2:x9; dest:x25; op1val:0x1;  op2val:0x4000000000000000
TEST_RR_OP(sub, x25, x22, x9, 0xc000000000000001, 0x1, 0x4000000000000000, x23, 80, x28)

inst_11:
// rs1==x13, rs2==x15, rd==x29, rs2_val == 4, rs1_val == 4, rs1_val==4 and rs2_val==4
// opcode: sub ; op1:x13; op2:x15; dest:x29; op1val:0x4;  op2val:0x4
TEST_RR_OP(sub, x29, x13, x15, 0x0, 0x4, 0x4, x23, 88, x28)

inst_12:
// rs1==x5, rs2==x13, rd==x10, rs2_val == 8, rs1_val == -4097
// opcode: sub ; op1:x5; op2:x13; dest:x10; op1val:-0x1001;  op2val:0x8
TEST_RR_OP(sub, x10, x5, x13, 0xffffffffffffeff7, -0x1001, 0x8, x23, 96, x28)

inst_13:
// rs1==x0, rs2==x5, rd==x7, rs2_val == 16, 
// opcode: sub ; op1:x0; op2:x5; dest:x7; op1val:0x0;  op2val:0x10
TEST_RR_OP(sub, x7, x0, x5, 0xfffffffffffffff0, 0x0, 0x10, x23, 104, x28)

inst_14:
// rs1==x7, rs2==x22, rd==x4, rs2_val == 32, 
// opcode: sub ; op1:x7; op2:x22; dest:x4; op1val:0x4;  op2val:0x20
TEST_RR_OP(sub, x4, x7, x22, 0xffffffffffffffe4, 0x4, 0x20, x23, 112, x28)

inst_15:
// rs1==x15, rs2==x17, rd==x26, rs2_val == 64, 
// opcode: sub ; op1:x15; op2:x17; dest:x26; op1val:0xb504f333;  op2val:0x40
TEST_RR_OP(sub, x26, x15, x17, 0xb504f2f3, 0xb504f333, 0x40, x23, 120, x28)
RVTEST_SIGBASE( x10,signature_x10_0)

inst_16:
// rs1==x28, rs2==x24, rd==x21, rs2_val == 128, rs1_val == -1125899906842625
// opcode: sub ; op1:x28; op2:x24; dest:x21; op1val:-0x4000000000001;  op2val:0x80
TEST_RR_OP(sub, x21, x28, x24, 0xfffbffffffffff7f, -0x4000000000001, 0x80, x10, 0, x11)

inst_17:
// rs1==x6, rs2==x28, rd==x8, rs2_val == 256, rs1_val == 524288
// opcode: sub ; op1:x6; op2:x28; dest:x8; op1val:0x80000;  op2val:0x100
TEST_RR_OP(sub, x8, x6, x28, 0x7ff00, 0x80000, 0x100, x10, 8, x11)

inst_18:
// rs1==x9, rs2==x12, rd==x2, rs2_val == 512, rs1_val == 131072
// opcode: sub ; op1:x9; op2:x12; dest:x2; op1val:0x20000;  op2val:0x200
TEST_RR_OP(sub, x2, x9, x12, 0x1fe00, 0x20000, 0x200, x10, 16, x11)

inst_19:
// rs1==x4, rs2==x26, rd==x28, rs2_val == 1024, rs1_val == 2305843009213693952
// opcode: sub ; op1:x4; op2:x26; dest:x28; op1val:0x2000000000000000;  op2val:0x400
TEST_RR_OP(sub, x28, x4, x26, 0x1ffffffffffffc00, 0x2000000000000000, 0x400, x10, 24, x11)

inst_20:
// rs1==x3, rs2==x29, rd==x30, rs2_val == 4096, rs1_val == 268435456
// opcode: sub ; op1:x3; op2:x29; dest:x30; op1val:0x10000000;  op2val:0x1000
TEST_RR_OP(sub, x30, x3, x29, 0xffff000, 0x10000000, 0x1000, x10, 32, x11)

inst_21:
// rs1==x20, rs2==x2, rd==x17, rs2_val == 8192, 
// opcode: sub ; op1:x20; op2:x2; dest:x17; op1val:0x4;  op2val:0x2000
TEST_RR_OP(sub, x17, x20, x2, 0xffffffffffffe004, 0x4, 0x2000, x10, 40, x11)

inst_22:
// rs1==x26, rs2==x7, rd==x15, rs2_val == 16384, 
// opcode: sub ; op1:x26; op2:x7; dest:x15; op1val:-0x5555555555555555;  op2val:0x4000
TEST_RR_OP(sub, x15, x26, x7, 0xaaaaaaaaaaaa6aab, -0x5555555555555555, 0x4000, x10, 48, x11)

inst_23:
// rs1==x23, rs2==x31, rd==x0, rs2_val == 32768, rs1_val == -18014398509481985
// opcode: sub ; op1:x23; op2:x31; dest:x0; op1val:-0x40000000000001;  op2val:0x8000
TEST_RR_OP(sub, x0, x23, x31, 0, -0x40000000000001, 0x8000, x10, 56, x11)

inst_24:
// rs1==x12, rs2==x30, rd==x1, rs2_val == 65536, rs1_val == 65536
// opcode: sub ; op1:x12; op2:x30; dest:x1; op1val:0x10000;  op2val:0x10000
TEST_RR_OP(sub, x1, x12, x30, 0x0, 0x10000, 0x10000, x10, 64, x11)

inst_25:
// rs1==x16, rs2==x23, rd==x13, rs2_val == 131072, rs1_val == 536870912
// opcode: sub ; op1:x16; op2:x23; dest:x13; op1val:0x20000000;  op2val:0x20000
TEST_RR_OP(sub, x13, x16, x23, 0x1ffe0000, 0x20000000, 0x20000, x10, 72, x11)

inst_26:
// rs1==x27, rs2==x4, rd==x24, rs2_val == 262144, rs1_val == -1048577
// opcode: sub ; op1:x27; op2:x4; dest:x24; op1val:-0x100001;  op2val:0x40000
TEST_RR_OP(sub, x24, x27, x4, 0xffffffffffebffff, -0x100001, 0x40000, x10, 80, x11)

inst_27:
// rs1==x30, rs2==x27, rd==x5, rs2_val == 524288, rs1_val == -134217729
// opcode: sub ; op1:x30; op2:x27; dest:x5; op1val:-0x8000001;  op2val:0x80000
TEST_RR_OP(sub, x5, x30, x27, 0xfffffffff7f7ffff, -0x8000001, 0x80000, x10, 88, x11)

inst_28:
// rs1==x17, rs2==x25, rd==x14, rs2_val == 1048576, 
// opcode: sub ; op1:x17; op2:x25; dest:x14; op1val:0x1000000000000000;  op2val:0x100000
TEST_RR_OP(sub, x14, x17, x25, 0xffffffffff00000, 0x1000000000000000, 0x100000, x10, 96, x11)

inst_29:
// rs1==x25, rs2==x16, rd==x23, rs2_val == 2097152, rs1_val == 8
// opcode: sub ; op1:x25; op2:x16; dest:x23; op1val:0x8;  op2val:0x200000
TEST_RR_OP(sub, x23, x25, x16, 0xffffffffffe00008, 0x8, 0x200000, x10, 104, x11)

inst_30:
// rs1==x19, rs2==x0, rd==x18, rs2_val == 4194304, rs1_val == 35184372088832
// opcode: sub ; op1:x19; op2:x0; dest:x18; op1val:0x200000000000;  op2val:0x0
TEST_RR_OP(sub, x18, x19, x0, 0x200000000000, 0x200000000000, 0x0, x10, 112, x11)
RVTEST_SIGBASE( x1,signature_x1_0)

inst_31:
// rs1==x14, rs2==x18, rd==x3, rs2_val == 8388608, 
// opcode: sub ; op1:x14; op2:x18; dest:x3; op1val:0x10;  op2val:0x800000
TEST_RR_OP(sub, x3, x14, x18, 0xffffffffff800010, 0x10, 0x800000, x1, 0, x2)

inst_32:
// rs2_val == 16777216, rs1_val == 33554432
// opcode: sub ; op1:x10; op2:x11; dest:x12; op1val:0x2000000;  op2val:0x1000000
TEST_RR_OP(sub, x12, x10, x11, 0x1000000, 0x2000000, 0x1000000, x1, 8, x2)

inst_33:
// rs2_val == 33554432, rs1_val == 8388608
// opcode: sub ; op1:x10; op2:x11; dest:x12; op1val:0x800000;  op2val:0x2000000
TEST_RR_OP(sub, x12, x10, x11, 0xfffffffffe800000, 0x800000, 0x2000000, x1, 16, x2)

inst_34:
// rs2_val == 134217728, 
// opcode: sub ; op1:x10; op2:x11; dest:x12; op1val:0x20000000;  op2val:0x8000000
TEST_RR_OP(sub, x12, x10, x11, 0x18000000, 0x20000000, 0x8000000, x1, 24, x2)

inst_35:
// rs2_val == 268435456, rs1_val == 64
// opcode: sub ; op1:x10; op2:x11; dest:x12; op1val:0x40;  op2val:0x10000000
TEST_RR_OP(sub, x12, x10, x11, 0xfffffffff0000040, 0x40, 0x10000000, x1, 32, x2)

inst_36:
// rs2_val == 536870912, 
// opcode: sub ; op1:x10; op2:x11; dest:x12; op1val:-0xb504f333;  op2val:0x20000000
TEST_RR_OP(sub, x12, x10, x11, 0xffffffff2afb0ccd, -0xb504f333, 0x20000000, x1, 40, x2)

inst_37:
// rs2_val == 1073741824, rs1_val == 2097152
// opcode: sub ; op1:x10; op2:x11; dest:x12; op1val:0x200000;  op2val:0x40000000
TEST_RR_OP(sub, x12, x10, x11, 0xffffffffc0200000, 0x200000, 0x40000000, x1, 48, x2)

inst_38:
// rs2_val == 2147483648, rs1_val == -17592186044417
// opcode: sub ; op1:x10; op2:x11; dest:x12; op1val:-0x100000000001;  op2val:0x80000000
TEST_RR_OP(sub, x12, x10, x11, 0xffffefff7fffffff, -0x100000000001, 0x80000000, x1, 56, x2)

inst_39:
// rs2_val == 4294967296, 
// opcode: sub ; op1:x10; op2:x11; dest:x12; op1val:0x20000;  op2val:0x100000000
TEST_RR_OP(sub, x12, x10, x11, 0xffffffff00020000, 0x20000, 0x100000000, x1, 64, x2)

inst_40:
// rs2_val == 8589934592, 
// opcode: sub ; op1:x10; op2:x11; dest:x12; op1val:-0xb504f332;  op2val:0x200000000
TEST_RR_OP(sub, x12, x10, x11, 0xfffffffd4afb0cce, -0xb504f332, 0x200000000, x1, 72, x2)

inst_41:
// rs2_val == 17179869184, 
// opcode: sub ; op1:x10; op2:x11; dest:x12; op1val:0x7;  op2val:0x400000000
TEST_RR_OP(sub, x12, x10, x11, 0xfffffffc00000007, 0x7, 0x400000000, x1, 80, x2)

inst_42:
// rs2_val == 34359738368, 
// opcode: sub ; op1:x10; op2:x11; dest:x12; op1val:0x4;  op2val:0x800000000
TEST_RR_OP(sub, x12, x10, x11, 0xfffffff800000004, 0x4, 0x800000000, x1, 88, x2)

inst_43:
// rs2_val == 68719476736, rs1_val == 1099511627776
// opcode: sub ; op1:x10; op2:x11; dest:x12; op1val:0x10000000000;  op2val:0x1000000000
TEST_RR_OP(sub, x12, x10, x11, 0xf000000000, 0x10000000000, 0x1000000000, x1, 96, x2)

inst_44:
// rs2_val == 137438953472, rs1_val == 8589934592
// opcode: sub ; op1:x10; op2:x11; dest:x12; op1val:0x200000000;  op2val:0x2000000000
TEST_RR_OP(sub, x12, x10, x11, 0xffffffe200000000, 0x200000000, 0x2000000000, x1, 104, x2)

inst_45:
// rs2_val == 274877906944, rs1_val == -549755813889
// opcode: sub ; op1:x10; op2:x11; dest:x12; op1val:-0x8000000001;  op2val:0x4000000000
TEST_RR_OP(sub, x12, x10, x11, 0xffffff3fffffffff, -0x8000000001, 0x4000000000, x1, 112, x2)

inst_46:
// rs2_val == 549755813888, rs1_val == -1073741825
// opcode: sub ; op1:x10; op2:x11; dest:x12; op1val:-0x40000001;  op2val:0x8000000000
TEST_RR_OP(sub, x12, x10, x11, 0xffffff7fbfffffff, -0x40000001, 0x8000000000, x1, 120, x2)

inst_47:
// rs2_val == 1099511627776, 
// opcode: sub ; op1:x10; op2:x11; dest:x12; op1val:0x5;  op2val:0x10000000000
TEST_RR_OP(sub, x12, x10, x11, 0xffffff0000000005, 0x5, 0x10000000000, x1, 128, x2)

inst_48:
// rs2_val == 2199023255552, 
// opcode: sub ; op1:x10; op2:x11; dest:x12; op1val:-0x801;  op2val:0x20000000000
TEST_RR_OP(sub, x12, x10, x11, 0xfffffdfffffff7ff, -0x801, 0x20000000000, x1, 136, x2)

inst_49:
// rs2_val == 4398046511104, 
// opcode: sub ; op1:x10; op2:x11; dest:x12; op1val:0x10000000;  op2val:0x40000000000
TEST_RR_OP(sub, x12, x10, x11, 0xfffffc0010000000, 0x10000000, 0x40000000000, x1, 144, x2)

inst_50:
// rs2_val == 8796093022208, 
// opcode: sub ; op1:x10; op2:x11; dest:x12; op1val:0x0;  op2val:0x80000000000
TEST_RR_OP(sub, x12, x10, x11, 0xfffff80000000000, 0x0, 0x80000000000, x1, 152, x2)

inst_51:
// rs2_val == 17592186044416, rs1_val == 8192
// opcode: sub ; op1:x10; op2:x11; dest:x12; op1val:0x2000;  op2val:0x100000000000
TEST_RR_OP(sub, x12, x10, x11, 0xfffff00000002000, 0x2000, 0x100000000000, x1, 160, x2)

inst_52:
// rs2_val == 35184372088832, 
// opcode: sub ; op1:x10; op2:x11; dest:x12; op1val:0x2000;  op2val:0x200000000000
TEST_RR_OP(sub, x12, x10, x11, 0xffffe00000002000, 0x2000, 0x200000000000, x1, 168, x2)

inst_53:
// rs2_val == 70368744177664, rs1_val == 128
// opcode: sub ; op1:x10; op2:x11; dest:x12; op1val:0x80;  op2val:0x400000000000
TEST_RR_OP(sub, x12, x10, x11, 0xffffc00000000080, 0x80, 0x400000000000, x1, 176, x2)

inst_54:
// rs2_val == 140737488355328, 
// opcode: sub ; op1:x10; op2:x11; dest:x12; op1val:0x4;  op2val:0x800000000000
TEST_RR_OP(sub, x12, x10, x11, 0xffff800000000004, 0x4, 0x800000000000, x1, 184, x2)

inst_55:
// rs2_val == 281474976710656, rs1_val == -137438953473
// opcode: sub ; op1:x10; op2:x11; dest:x12; op1val:-0x2000000001;  op2val:0x1000000000000
TEST_RR_OP(sub, x12, x10, x11, 0xfffeffdfffffffff, -0x2000000001, 0x1000000000000, x1, 192, x2)

inst_56:
// rs2_val == 562949953421312, 
// opcode: sub ; op1:x10; op2:x11; dest:x12; op1val:-0xb504f332;  op2val:0x2000000000000
TEST_RR_OP(sub, x12, x10, x11, 0xfffdffff4afb0cce, -0xb504f332, 0x2000000000000, x1, 200, x2)

inst_57:
// rs2_val == 1125899906842624, rs1_val == -3
// opcode: sub ; op1:x10; op2:x11; dest:x12; op1val:-0x3;  op2val:0x4000000000000
TEST_RR_OP(sub, x12, x10, x11, 0xfffbfffffffffffd, -0x3, 0x4000000000000, x1, 208, x2)

inst_58:
// rs2_val == 2251799813685248, rs1_val == -2251799813685249
// opcode: sub ; op1:x10; op2:x11; dest:x12; op1val:-0x8000000000001;  op2val:0x8000000000000
TEST_RR_OP(sub, x12, x10, x11, 0xffefffffffffffff, -0x8000000000001, 0x8000000000000, x1, 216, x2)

inst_59:
// rs2_val == 4503599627370496, 
// opcode: sub ; op1:x10; op2:x11; dest:x12; op1val:0x3;  op2val:0x10000000000000
TEST_RR_OP(sub, x12, x10, x11, 0xfff0000000000003, 0x3, 0x10000000000000, x1, 224, x2)

inst_60:
// rs2_val == 9007199254740992, rs1_val == 262144
// opcode: sub ; op1:x10; op2:x11; dest:x12; op1val:0x40000;  op2val:0x20000000000000
TEST_RR_OP(sub, x12, x10, x11, 0xffe0000000040000, 0x40000, 0x20000000000000, x1, 232, x2)

inst_61:
// rs2_val == 18014398509481984, rs1_val == -4398046511105
// opcode: sub ; op1:x10; op2:x11; dest:x12; op1val:-0x40000000001;  op2val:0x40000000000000
TEST_RR_OP(sub, x12, x10, x11, 0xffbffbffffffffff, -0x40000000001, 0x40000000000000, x1, 240, x2)

inst_62:
// rs2_val == 36028797018963968, 
// opcode: sub ; op1:x10; op2:x11; dest:x12; op1val:0x5;  op2val:0x80000000000000
TEST_RR_OP(sub, x12, x10, x11, 0xff80000000000005, 0x5, 0x80000000000000, x1, 248, x2)

inst_63:
// rs2_val == 72057594037927936, rs1_val == 137438953472
// opcode: sub ; op1:x10; op2:x11; dest:x12; op1val:0x2000000000;  op2val:0x100000000000000
TEST_RR_OP(sub, x12, x10, x11, 0xff00002000000000, 0x2000000000, 0x100000000000000, x1, 256, x2)

inst_64:
// rs2_val == 144115188075855872, 
// opcode: sub ; op1:x10; op2:x11; dest:x12; op1val:0x10000;  op2val:0x200000000000000
TEST_RR_OP(sub, x12, x10, x11, 0xfe00000000010000, 0x10000, 0x200000000000000, x1, 264, x2)

inst_65:
// rs2_val == 288230376151711744, 
// opcode: sub ; op1:x10; op2:x11; dest:x12; op1val:0x4;  op2val:0x400000000000000
TEST_RR_OP(sub, x12, x10, x11, 0xfc00000000000004, 0x4, 0x400000000000000, x1, 272, x2)

inst_66:
// rs2_val == 576460752303423488, rs1_val == -281474976710657
// opcode: sub ; op1:x10; op2:x11; dest:x12; op1val:-0x1000000000001;  op2val:0x800000000000000
TEST_RR_OP(sub, x12, x10, x11, 0xf7feffffffffffff, -0x1000000000001, 0x800000000000000, x1, 280, x2)

inst_67:
// rs2_val == 1152921504606846976, rs1_val == -140737488355329
// opcode: sub ; op1:x10; op2:x11; dest:x12; op1val:-0x800000000001;  op2val:0x1000000000000000
TEST_RR_OP(sub, x12, x10, x11, 0xefff7fffffffffff, -0x800000000001, 0x1000000000000000, x1, 288, x2)

inst_68:
// rs2_val == 2305843009213693952, rs1_val == -68719476737
// opcode: sub ; op1:x10; op2:x11; dest:x12; op1val:-0x1000000001;  op2val:0x2000000000000000
TEST_RR_OP(sub, x12, x10, x11, 0xdfffffefffffffff, -0x1000000001, 0x2000000000000000, x1, 296, x2)

inst_69:
// rs2_val == -2, rs1_val == -144115188075855873
// opcode: sub ; op1:x10; op2:x11; dest:x12; op1val:-0x200000000000001;  op2val:-0x2
TEST_RR_OP(sub, x12, x10, x11, 0xfe00000000000001, -0x200000000000001, -0x2, x1, 304, x2)

inst_70:
// rs2_val == -3, 
// opcode: sub ; op1:x10; op2:x11; dest:x12; op1val:-0x3;  op2val:-0x3
TEST_RR_OP(sub, x12, x10, x11, 0x0, -0x3, -0x3, x1, 312, x2)

inst_71:
// rs2_val == -5, 
// opcode: sub ; op1:x10; op2:x11; dest:x12; op1val:0x3333333333333332;  op2val:-0x5
TEST_RR_OP(sub, x12, x10, x11, 0x3333333333333337, 0x3333333333333332, -0x5, x1, 320, x2)

inst_72:
// rs2_val == -9, rs1_val == 256
// opcode: sub ; op1:x10; op2:x11; dest:x12; op1val:0x100;  op2val:-0x9
TEST_RR_OP(sub, x12, x10, x11, 0x109, 0x100, -0x9, x1, 328, x2)

inst_73:
// rs2_val == -17, rs1_val == -2305843009213693953
// opcode: sub ; op1:x10; op2:x11; dest:x12; op1val:-0x2000000000000001;  op2val:-0x11
TEST_RR_OP(sub, x12, x10, x11, 0xe000000000000010, -0x2000000000000001, -0x11, x1, 336, x2)

inst_74:
// rs2_val == -33, rs1_val == 17179869184
// opcode: sub ; op1:x10; op2:x11; dest:x12; op1val:0x400000000;  op2val:-0x21
TEST_RR_OP(sub, x12, x10, x11, 0x400000021, 0x400000000, -0x21, x1, 344, x2)

inst_75:
// rs2_val == -129, rs1_val == -513
// opcode: sub ; op1:x10; op2:x11; dest:x12; op1val:-0x201;  op2val:-0x81
TEST_RR_OP(sub, x12, x10, x11, 0xfffffffffffffe80, -0x201, -0x81, x1, 352, x2)

inst_76:
// rs2_val == -257, 
// opcode: sub ; op1:x10; op2:x11; dest:x12; op1val:0x6;  op2val:-0x101
TEST_RR_OP(sub, x12, x10, x11, 0x107, 0x6, -0x101, x1, 360, x2)

inst_77:
// rs2_val == -513, rs1_val == -8589934593
// opcode: sub ; op1:x10; op2:x11; dest:x12; op1val:-0x200000001;  op2val:-0x201
TEST_RR_OP(sub, x12, x10, x11, 0xfffffffe00000200, -0x200000001, -0x201, x1, 368, x2)

inst_78:
// rs2_val == -1025, rs1_val == 2048
// opcode: sub ; op1:x10; op2:x11; dest:x12; op1val:0x800;  op2val:-0x401
TEST_RR_OP(sub, x12, x10, x11, 0xc01, 0x800, -0x401, x1, 376, x2)

inst_79:
// rs2_val == -2049, 
// opcode: sub ; op1:x10; op2:x11; dest:x12; op1val:-0x6;  op2val:-0x801
TEST_RR_OP(sub, x12, x10, x11, 0x7fb, -0x6, -0x801, x1, 384, x2)

inst_80:
// rs2_val == -4097, rs1_val == 8796093022208
// opcode: sub ; op1:x10; op2:x11; dest:x12; op1val:0x80000000000;  op2val:-0x1001
TEST_RR_OP(sub, x12, x10, x11, 0x80000001001, 0x80000000000, -0x1001, x1, 392, x2)

inst_81:
// rs2_val == -8193, 
// opcode: sub ; op1:x10; op2:x11; dest:x12; op1val:-0x1001;  op2val:-0x2001
TEST_RR_OP(sub, x12, x10, x11, 0x1000, -0x1001, -0x2001, x1, 400, x2)

inst_82:
// rs2_val == -16385, rs1_val == 2
// opcode: sub ; op1:x10; op2:x11; dest:x12; op1val:0x2;  op2val:-0x4001
TEST_RR_OP(sub, x12, x10, x11, 0x4003, 0x2, -0x4001, x1, 408, x2)

inst_83:
// rs2_val == -32769, 
// opcode: sub ; op1:x10; op2:x11; dest:x12; op1val:-0x7;  op2val:-0x8001
TEST_RR_OP(sub, x12, x10, x11, 0x7ffa, -0x7, -0x8001, x1, 416, x2)

inst_84:
// rs2_val == -65537, rs1_val == -1025
// opcode: sub ; op1:x10; op2:x11; dest:x12; op1val:-0x401;  op2val:-0x10001
TEST_RR_OP(sub, x12, x10, x11, 0xfc00, -0x401, -0x10001, x1, 424, x2)

inst_85:
// rs2_val == -131073, rs1_val == -34359738369
// opcode: sub ; op1:x10; op2:x11; dest:x12; op1val:-0x800000001;  op2val:-0x20001
TEST_RR_OP(sub, x12, x10, x11, 0xfffffff800020000, -0x800000001, -0x20001, x1, 432, x2)

inst_86:
// rs2_val == -262145, rs1_val == 18014398509481984
// opcode: sub ; op1:x10; op2:x11; dest:x12; op1val:0x40000000000000;  op2val:-0x40001
TEST_RR_OP(sub, x12, x10, x11, 0x40000000040001, 0x40000000000000, -0x40001, x1, 440, x2)

inst_87:
// rs2_val == -524289, 
// opcode: sub ; op1:x10; op2:x11; dest:x12; op1val:0x80000;  op2val:-0x80001
TEST_RR_OP(sub, x12, x10, x11, 0x100001, 0x80000, -0x80001, x1, 448, x2)

inst_88:
// rs2_val == -1048577, 
// opcode: sub ; op1:x10; op2:x11; dest:x12; op1val:0x7;  op2val:-0x100001
TEST_RR_OP(sub, x12, x10, x11, 0x100008, 0x7, -0x100001, x1, 456, x2)

inst_89:
// rs2_val == -2097153, 
// opcode: sub ; op1:x10; op2:x11; dest:x12; op1val:0x10000000;  op2val:-0x200001
TEST_RR_OP(sub, x12, x10, x11, 0x10200001, 0x10000000, -0x200001, x1, 464, x2)

inst_90:
// rs2_val == -4194305, rs1_val == 4294967296
// opcode: sub ; op1:x10; op2:x11; dest:x12; op1val:0x100000000;  op2val:-0x400001
TEST_RR_OP(sub, x12, x10, x11, 0x100400001, 0x100000000, -0x400001, x1, 472, x2)

inst_91:
// rs2_val == -8388609, rs1_val == -5
// opcode: sub ; op1:x10; op2:x11; dest:x12; op1val:-0x5;  op2val:-0x800001
TEST_RR_OP(sub, x12, x10, x11, 0x7ffffc, -0x5, -0x800001, x1, 480, x2)

inst_92:
// rs2_val == -16777217, rs1_val == 274877906944
// opcode: sub ; op1:x10; op2:x11; dest:x12; op1val:0x4000000000;  op2val:-0x1000001
TEST_RR_OP(sub, x12, x10, x11, 0x4001000001, 0x4000000000, -0x1000001, x1, 488, x2)

inst_93:
// rs2_val == -33554433, 
// opcode: sub ; op1:x10; op2:x11; dest:x12; op1val:0x20000000;  op2val:-0x2000001
TEST_RR_OP(sub, x12, x10, x11, 0x22000001, 0x20000000, -0x2000001, x1, 496, x2)

inst_94:
// rs2_val == -67108865, rs1_val == 32
// opcode: sub ; op1:x10; op2:x11; dest:x12; op1val:0x20;  op2val:-0x4000001
TEST_RR_OP(sub, x12, x10, x11, 0x4000021, 0x20, -0x4000001, x1, 504, x2)

inst_95:
// rs2_val == -134217729, rs1_val == -536870913
// opcode: sub ; op1:x10; op2:x11; dest:x12; op1val:-0x20000001;  op2val:-0x8000001
TEST_RR_OP(sub, x12, x10, x11, 0xffffffffe8000000, -0x20000001, -0x8000001, x1, 512, x2)

inst_96:
// rs2_val == -268435457, 
// opcode: sub ; op1:x10; op2:x11; dest:x12; op1val:-0xb504f333;  op2val:-0x10000001
TEST_RR_OP(sub, x12, x10, x11, 0xffffffff5afb0cce, -0xb504f333, -0x10000001, x1, 520, x2)

inst_97:
// rs2_val == -536870913, rs1_val == 4194304
// opcode: sub ; op1:x10; op2:x11; dest:x12; op1val:0x400000;  op2val:-0x20000001
TEST_RR_OP(sub, x12, x10, x11, 0x20400001, 0x400000, -0x20000001, x1, 528, x2)

inst_98:
// rs2_val == -1073741825, 
// opcode: sub ; op1:x10; op2:x11; dest:x12; op1val:0x0;  op2val:-0x40000001
TEST_RR_OP(sub, x12, x10, x11, 0x40000001, 0x0, -0x40000001, x1, 536, x2)

inst_99:
// rs2_val == -2147483649, 
// opcode: sub ; op1:x10; op2:x11; dest:x12; op1val:0x40;  op2val:-0x80000001
TEST_RR_OP(sub, x12, x10, x11, 0x80000041, 0x40, -0x80000001, x1, 544, x2)

inst_100:
// rs2_val == -4294967297, rs1_val == -129
// opcode: sub ; op1:x10; op2:x11; dest:x12; op1val:-0x81;  op2val:-0x100000001
TEST_RR_OP(sub, x12, x10, x11, 0xffffff80, -0x81, -0x100000001, x1, 552, x2)

inst_101:
// rs2_val == -8589934593, rs1_val == 34359738368
// opcode: sub ; op1:x10; op2:x11; dest:x12; op1val:0x800000000;  op2val:-0x200000001
TEST_RR_OP(sub, x12, x10, x11, 0xa00000001, 0x800000000, -0x200000001, x1, 560, x2)

inst_102:
// rs2_val == -17179869185, 
// opcode: sub ; op1:x10; op2:x11; dest:x12; op1val:-0x81;  op2val:-0x400000001
TEST_RR_OP(sub, x12, x10, x11, 0x3ffffff80, -0x81, -0x400000001, x1, 568, x2)

inst_103:
// rs2_val == -34359738369, rs1_val == -2
// opcode: sub ; op1:x10; op2:x11; dest:x12; op1val:-0x2;  op2val:-0x800000001
TEST_RR_OP(sub, x12, x10, x11, 0x7ffffffff, -0x2, -0x800000001, x1, 576, x2)

inst_104:
// rs2_val == -68719476737, 
// opcode: sub ; op1:x10; op2:x11; dest:x12; op1val:-0x100001;  op2val:-0x1000000001
TEST_RR_OP(sub, x12, x10, x11, 0xffff00000, -0x100001, -0x1000000001, x1, 584, x2)

inst_105:
// rs2_val == -137438953473, rs1_val == 9007199254740992
// opcode: sub ; op1:x10; op2:x11; dest:x12; op1val:0x20000000000000;  op2val:-0x2000000001
TEST_RR_OP(sub, x12, x10, x11, 0x20002000000001, 0x20000000000000, -0x2000000001, x1, 592, x2)

inst_106:
// rs2_val == -274877906945, rs1_val == 32768
// opcode: sub ; op1:x10; op2:x11; dest:x12; op1val:0x8000;  op2val:-0x4000000001
TEST_RR_OP(sub, x12, x10, x11, 0x4000008001, 0x8000, -0x4000000001, x1, 600, x2)

inst_107:
// rs2_val == -549755813889, 
// opcode: sub ; op1:x10; op2:x11; dest:x12; op1val:-0x800000000001;  op2val:-0x8000000001
TEST_RR_OP(sub, x12, x10, x11, 0xffff808000000000, -0x800000000001, -0x8000000001, x1, 608, x2)

inst_108:
// rs2_val == -1099511627777, 
// opcode: sub ; op1:x10; op2:x11; dest:x12; op1val:0x10000000000;  op2val:-0x10000000001
TEST_RR_OP(sub, x12, x10, x11, 0x20000000001, 0x10000000000, -0x10000000001, x1, 616, x2)

inst_109:
// rs2_val == -2199023255553, 
// opcode: sub ; op1:x10; op2:x11; dest:x12; op1val:0x5555555555555554;  op2val:-0x20000000001
TEST_RR_OP(sub, x12, x10, x11, 0x5555575555555555, 0x5555555555555554, -0x20000000001, x1, 624, x2)

inst_110:
// rs2_val == -4398046511105, 
// opcode: sub ; op1:x10; op2:x11; dest:x12; op1val:0x2000000;  op2val:-0x40000000001
TEST_RR_OP(sub, x12, x10, x11, 0x40002000001, 0x2000000, -0x40000000001, x1, 632, x2)

inst_111:
// rs2_val == -8796093022209, rs1_val == 288230376151711744
// opcode: sub ; op1:x10; op2:x11; dest:x12; op1val:0x400000000000000;  op2val:-0x80000000001
TEST_RR_OP(sub, x12, x10, x11, 0x400080000000001, 0x400000000000000, -0x80000000001, x1, 640, x2)

inst_112:
// rs2_val == -17592186044417, rs1_val == -33554433
// opcode: sub ; op1:x10; op2:x11; dest:x12; op1val:-0x2000001;  op2val:-0x100000000001
TEST_RR_OP(sub, x12, x10, x11, 0xffffe000000, -0x2000001, -0x100000000001, x1, 648, x2)

inst_113:
// rs2_val == -35184372088833, 
// opcode: sub ; op1:x10; op2:x11; dest:x12; op1val:-0xb504f332;  op2val:-0x200000000001
TEST_RR_OP(sub, x12, x10, x11, 0x1fff4afb0ccf, -0xb504f332, -0x200000000001, x1, 656, x2)

inst_114:
// rs2_val == -70368744177665, 
// opcode: sub ; op1:x10; op2:x11; dest:x12; op1val:-0x200000001;  op2val:-0x400000000001
TEST_RR_OP(sub, x12, x10, x11, 0x3ffe00000000, -0x200000001, -0x400000000001, x1, 664, x2)

inst_115:
// rs2_val == -140737488355329, 
// opcode: sub ; op1:x10; op2:x11; dest:x12; op1val:-0xb504f332;  op2val:-0x800000000001
TEST_RR_OP(sub, x12, x10, x11, 0x7fff4afb0ccf, -0xb504f332, -0x800000000001, x1, 672, x2)

inst_116:
// rs2_val == -281474976710657, 
// opcode: sub ; op1:x10; op2:x11; dest:x12; op1val:0x5555555555555556;  op2val:-0x1000000000001
TEST_RR_OP(sub, x12, x10, x11, 0x5556555555555557, 0x5555555555555556, -0x1000000000001, x1, 680, x2)

inst_117:
// rs2_val == -1125899906842625, rs1_val == -70368744177665
// opcode: sub ; op1:x10; op2:x11; dest:x12; op1val:-0x400000000001;  op2val:-0x4000000000001
TEST_RR_OP(sub, x12, x10, x11, 0x3c00000000000, -0x400000000001, -0x4000000000001, x1, 688, x2)

inst_118:
// rs2_val == -2251799813685249, rs1_val == -268435457
// opcode: sub ; op1:x10; op2:x11; dest:x12; op1val:-0x10000001;  op2val:-0x8000000000001
TEST_RR_OP(sub, x12, x10, x11, 0x7fffff0000000, -0x10000001, -0x8000000000001, x1, 696, x2)

inst_119:
// rs2_val == -4503599627370497, 
// opcode: sub ; op1:x10; op2:x11; dest:x12; op1val:0x4;  op2val:-0x10000000000001
TEST_RR_OP(sub, x12, x10, x11, 0x10000000000005, 0x4, -0x10000000000001, x1, 704, x2)

inst_120:
// rs2_val == -9007199254740993, 
// opcode: sub ; op1:x10; op2:x11; dest:x12; op1val:0x6666666666666665;  op2val:-0x20000000000001
TEST_RR_OP(sub, x12, x10, x11, 0x6686666666666666, 0x6666666666666665, -0x20000000000001, x1, 712, x2)

inst_121:
// rs2_val == -18014398509481985, 
// opcode: sub ; op1:x10; op2:x11; dest:x12; op1val:0x20000;  op2val:-0x40000000000001
TEST_RR_OP(sub, x12, x10, x11, 0x40000000020001, 0x20000, -0x40000000000001, x1, 720, x2)

inst_122:
// rs2_val == -36028797018963969, 
// opcode: sub ; op1:x10; op2:x11; dest:x12; op1val:0x800;  op2val:-0x80000000000001
TEST_RR_OP(sub, x12, x10, x11, 0x80000000000801, 0x800, -0x80000000000001, x1, 728, x2)

inst_123:
// rs2_val == -72057594037927937, rs1_val == -17
// opcode: sub ; op1:x10; op2:x11; dest:x12; op1val:-0x11;  op2val:-0x100000000000001
TEST_RR_OP(sub, x12, x10, x11, 0xfffffffffffff0, -0x11, -0x100000000000001, x1, 736, x2)

inst_124:
// rs2_val == -144115188075855873, rs1_val == -16777217
// opcode: sub ; op1:x10; op2:x11; dest:x12; op1val:-0x1000001;  op2val:-0x200000000000001
TEST_RR_OP(sub, x12, x10, x11, 0x1ffffffff000000, -0x1000001, -0x200000000000001, x1, 744, x2)

inst_125:
// rs2_val == -288230376151711745, 
// opcode: sub ; op1:x10; op2:x11; dest:x12; op1val:0x20000;  op2val:-0x400000000000001
TEST_RR_OP(sub, x12, x10, x11, 0x400000000020001, 0x20000, -0x400000000000001, x1, 752, x2)

inst_126:
// rs2_val == -576460752303423489, 
// opcode: sub ; op1:x10; op2:x11; dest:x12; op1val:-0xb504f333;  op2val:-0x800000000000001
TEST_RR_OP(sub, x12, x10, x11, 0x7ffffff4afb0cce, -0xb504f333, -0x800000000000001, x1, 760, x2)

inst_127:
// rs2_val == -1152921504606846977, rs1_val == -9
// opcode: sub ; op1:x10; op2:x11; dest:x12; op1val:-0x9;  op2val:-0x1000000000000001
TEST_RR_OP(sub, x12, x10, x11, 0xffffffffffffff8, -0x9, -0x1000000000000001, x1, 768, x2)

inst_128:
// rs2_val == -2305843009213693953, 
// opcode: sub ; op1:x10; op2:x11; dest:x12; op1val:-0x4000000000001;  op2val:-0x2000000000000001
TEST_RR_OP(sub, x12, x10, x11, 0x1ffc000000000000, -0x4000000000001, -0x2000000000000001, x1, 776, x2)

inst_129:
// rs2_val == -4611686018427387905, 
// opcode: sub ; op1:x10; op2:x11; dest:x12; op1val:0x4;  op2val:-0x4000000000000001
TEST_RR_OP(sub, x12, x10, x11, 0x4000000000000005, 0x4, -0x4000000000000001, x1, 784, x2)

inst_130:
// rs2_val == 6148914691236517205, 
// opcode: sub ; op1:x10; op2:x11; dest:x12; op1val:0x8000000000;  op2val:0x5555555555555555
TEST_RR_OP(sub, x12, x10, x11, 0xaaaaab2aaaaaaaab, 0x8000000000, 0x5555555555555555, x1, 792, x2)

inst_131:
// rs2_val == -6148914691236517206, rs1_val==6148914691236517205 and rs2_val==-6148914691236517206, rs1_val == 6148914691236517205
// opcode: sub ; op1:x10; op2:x11; dest:x12; op1val:0x5555555555555555;  op2val:-0x5555555555555556
TEST_RR_OP(sub, x12, x10, x11, 0xaaaaaaaaaaaaaaab, 0x5555555555555555, -0x5555555555555556, x1, 800, x2)

inst_132:
// rs1_val == 512, 
// opcode: sub ; op1:x10; op2:x11; dest:x12; op1val:0x200;  op2val:-0x2
TEST_RR_OP(sub, x12, x10, x11, 0x202, 0x200, -0x2, x1, 808, x2)

inst_133:
// rs1_val == 1024, 
// opcode: sub ; op1:x10; op2:x11; dest:x12; op1val:0x400;  op2val:-0x2001
TEST_RR_OP(sub, x12, x10, x11, 0x2401, 0x400, -0x2001, x1, 816, x2)

inst_134:
// rs1_val == 4096, 
// opcode: sub ; op1:x10; op2:x11; dest:x12; op1val:0x1000;  op2val:-0x100000001
TEST_RR_OP(sub, x12, x10, x11, 0x100001001, 0x1000, -0x100000001, x1, 824, x2)

inst_135:
// rs1_val == 16384, 
// opcode: sub ; op1:x10; op2:x11; dest:x12; op1val:0x4000;  op2val:0x10000000
TEST_RR_OP(sub, x12, x10, x11, 0xfffffffff0004000, 0x4000, 0x10000000, x1, 832, x2)

inst_136:
// rs1_val == 1048576, 
// opcode: sub ; op1:x10; op2:x11; dest:x12; op1val:0x100000;  op2val:0x20000000000000
TEST_RR_OP(sub, x12, x10, x11, 0xffe0000000100000, 0x100000, 0x20000000000000, x1, 840, x2)

inst_137:
// rs1_val == 16777216, 
// opcode: sub ; op1:x10; op2:x11; dest:x12; op1val:0x1000000;  op2val:-0x20000000001
TEST_RR_OP(sub, x12, x10, x11, 0x20001000001, 0x1000000, -0x20000000001, x1, 848, x2)

inst_138:
// rs1_val == 67108864, 
// opcode: sub ; op1:x10; op2:x11; dest:x12; op1val:0x4000000;  op2val:0x10
TEST_RR_OP(sub, x12, x10, x11, 0x3fffff0, 0x4000000, 0x10, x1, 856, x2)

inst_139:
// rs1_val == 134217728, 
// opcode: sub ; op1:x10; op2:x11; dest:x12; op1val:0x8000000;  op2val:-0x81
TEST_RR_OP(sub, x12, x10, x11, 0x8000081, 0x8000000, -0x81, x1, 864, x2)

inst_140:
// rs1_val == 1073741824, 
// opcode: sub ; op1:x10; op2:x11; dest:x12; op1val:0x40000000;  op2val:0x0
TEST_RR_OP(sub, x12, x10, x11, 0x40000000, 0x40000000, 0x0, x1, 872, x2)

inst_141:
// rs1_val == 2147483648, 
// opcode: sub ; op1:x10; op2:x11; dest:x12; op1val:0x80000000;  op2val:0x400000
TEST_RR_OP(sub, x12, x10, x11, 0x7fc00000, 0x80000000, 0x400000, x1, 880, x2)

inst_142:
// rs1_val == 68719476736, 
// opcode: sub ; op1:x10; op2:x11; dest:x12; op1val:0x1000000000;  op2val:0x4
TEST_RR_OP(sub, x12, x10, x11, 0xffffffffc, 0x1000000000, 0x4, x1, 888, x2)

inst_143:
// rs1_val == 2199023255552, 
// opcode: sub ; op1:x10; op2:x11; dest:x12; op1val:0x20000000000;  op2val:0x4
TEST_RR_OP(sub, x12, x10, x11, 0x1fffffffffc, 0x20000000000, 0x4, x1, 896, x2)

inst_144:
// rs1_val == 4398046511104, 
// opcode: sub ; op1:x10; op2:x11; dest:x12; op1val:0x40000000000;  op2val:-0x4001
TEST_RR_OP(sub, x12, x10, x11, 0x40000004001, 0x40000000000, -0x4001, x1, 904, x2)

inst_145:
// rs1_val == 17592186044416, 
// opcode: sub ; op1:x10; op2:x11; dest:x12; op1val:0x100000000000;  op2val:0x5
TEST_RR_OP(sub, x12, x10, x11, 0xffffffffffb, 0x100000000000, 0x5, x1, 912, x2)

inst_146:
// rs1_val == 70368744177664, 
// opcode: sub ; op1:x10; op2:x11; dest:x12; op1val:0x400000000000;  op2val:-0x8
TEST_RR_OP(sub, x12, x10, x11, 0x400000000008, 0x400000000000, -0x8, x1, 920, x2)

inst_147:
// rs1_val == 140737488355328, 
// opcode: sub ; op1:x10; op2:x11; dest:x12; op1val:0x800000000000;  op2val:-0x201
TEST_RR_OP(sub, x12, x10, x11, 0x800000000201, 0x800000000000, -0x201, x1, 928, x2)

inst_148:
// rs1_val == 281474976710656, 
// opcode: sub ; op1:x10; op2:x11; dest:x12; op1val:0x1000000000000;  op2val:0x7
TEST_RR_OP(sub, x12, x10, x11, 0xfffffffffff9, 0x1000000000000, 0x7, x1, 936, x2)

inst_149:
// rs1_val == 562949953421312, 
// opcode: sub ; op1:x10; op2:x11; dest:x12; op1val:0x2000000000000;  op2val:-0x2
TEST_RR_OP(sub, x12, x10, x11, 0x2000000000002, 0x2000000000000, -0x2, x1, 944, x2)

inst_150:
// rs1_val == 1125899906842624, 
// opcode: sub ; op1:x10; op2:x11; dest:x12; op1val:0x4000000000000;  op2val:0x5555555555555555
TEST_RR_OP(sub, x12, x10, x11, 0xaaaeaaaaaaaaaaab, 0x4000000000000, 0x5555555555555555, x1, 952, x2)

inst_151:
// rs1_val == 2251799813685248, 
// opcode: sub ; op1:x10; op2:x11; dest:x12; op1val:0x8000000000000;  op2val:-0x200000000000001
TEST_RR_OP(sub, x12, x10, x11, 0x208000000000001, 0x8000000000000, -0x200000000000001, x1, 960, x2)

inst_152:
// rs1_val == 4503599627370496, 
// opcode: sub ; op1:x10; op2:x11; dest:x12; op1val:0x10000000000000;  op2val:-0x400000000000001
TEST_RR_OP(sub, x12, x10, x11, 0x410000000000001, 0x10000000000000, -0x400000000000001, x1, 968, x2)

inst_153:
// rs1_val == 36028797018963968, 
// opcode: sub ; op1:x10; op2:x11; dest:x12; op1val:0x80000000000000;  op2val:0x40
TEST_RR_OP(sub, x12, x10, x11, 0x7fffffffffffc0, 0x80000000000000, 0x40, x1, 976, x2)

inst_154:
// rs1_val == 72057594037927936, 
// opcode: sub ; op1:x10; op2:x11; dest:x12; op1val:0x100000000000000;  op2val:-0x101
TEST_RR_OP(sub, x12, x10, x11, 0x100000000000101, 0x100000000000000, -0x101, x1, 984, x2)

inst_155:
// rs1_val == 144115188075855872, 
// opcode: sub ; op1:x10; op2:x11; dest:x12; op1val:0x200000000000000;  op2val:0x100
TEST_RR_OP(sub, x12, x10, x11, 0x1ffffffffffff00, 0x200000000000000, 0x100, x1, 992, x2)

inst_156:
// rs1_val == 576460752303423488, 
// opcode: sub ; op1:x10; op2:x11; dest:x12; op1val:0x800000000000000;  op2val:0x200000000
TEST_RR_OP(sub, x12, x10, x11, 0x7fffffe00000000, 0x800000000000000, 0x200000000, x1, 1000, x2)

inst_157:
// rs1_val == 4611686018427387904, 
// opcode: sub ; op1:x10; op2:x11; dest:x12; op1val:0x4000000000000000;  op2val:-0x21
TEST_RR_OP(sub, x12, x10, x11, 0x4000000000000021, 0x4000000000000000, -0x21, x1, 1008, x2)

inst_158:
// rs1_val == -33, 
// opcode: sub ; op1:x10; op2:x11; dest:x12; op1val:-0x21;  op2val:-0x5555555555555556
TEST_RR_OP(sub, x12, x10, x11, 0x5555555555555535, -0x21, -0x5555555555555556, x1, 1016, x2)

inst_159:
// rs1_val == -65, 
// opcode: sub ; op1:x10; op2:x11; dest:x12; op1val:-0x41;  op2val:0x10000
TEST_RR_OP(sub, x12, x10, x11, 0xfffffffffffeffbf, -0x41, 0x10000, x1, 1024, x2)

inst_160:
// rs1_val == -257, 
// opcode: sub ; op1:x10; op2:x11; dest:x12; op1val:-0x101;  op2val:-0x200000000001
TEST_RR_OP(sub, x12, x10, x11, 0x1fffffffff00, -0x101, -0x200000000001, x1, 1032, x2)

inst_161:
// rs1_val == -8193, 
// opcode: sub ; op1:x10; op2:x11; dest:x12; op1val:-0x2001;  op2val:-0x1
TEST_RR_OP(sub, x12, x10, x11, 0xffffffffffffe000, -0x2001, -0x1, x1, 1040, x2)

inst_162:
// rs1_val == -16385, 
// opcode: sub ; op1:x10; op2:x11; dest:x12; op1val:-0x4001;  op2val:0x2
TEST_RR_OP(sub, x12, x10, x11, 0xffffffffffffbffd, -0x4001, 0x2, x1, 1048, x2)

inst_163:
// rs1_val == -32769, 
// opcode: sub ; op1:x10; op2:x11; dest:x12; op1val:-0x8001;  op2val:0x2
TEST_RR_OP(sub, x12, x10, x11, 0xffffffffffff7ffd, -0x8001, 0x2, x1, 1056, x2)

inst_164:
// rs1_val == -65537, 
// opcode: sub ; op1:x10; op2:x11; dest:x12; op1val:-0x10001;  op2val:-0x4000001
TEST_RR_OP(sub, x12, x10, x11, 0x3ff0000, -0x10001, -0x4000001, x1, 1064, x2)

inst_165:
// rs1_val == -131073, 
// opcode: sub ; op1:x10; op2:x11; dest:x12; op1val:-0x20001;  op2val:-0x2000000000000001
TEST_RR_OP(sub, x12, x10, x11, 0x1ffffffffffe0000, -0x20001, -0x2000000000000001, x1, 1072, x2)

inst_166:
// rs1_val == -262145, 
// opcode: sub ; op1:x10; op2:x11; dest:x12; op1val:-0x40001;  op2val:-0x20000000000001
TEST_RR_OP(sub, x12, x10, x11, 0x1ffffffffc0000, -0x40001, -0x20000000000001, x1, 1080, x2)

inst_167:
// rs1_val == -524289, 
// opcode: sub ; op1:x10; op2:x11; dest:x12; op1val:-0x80001;  op2val:0x1000000
TEST_RR_OP(sub, x12, x10, x11, 0xfffffffffef7ffff, -0x80001, 0x1000000, x1, 1088, x2)

inst_168:
// rs1_val == -2097153, 
// opcode: sub ; op1:x10; op2:x11; dest:x12; op1val:-0x200001;  op2val:-0x2
TEST_RR_OP(sub, x12, x10, x11, 0xffffffffffe00001, -0x200001, -0x2, x1, 1096, x2)

inst_169:
// rs1_val == -4194305, 
// opcode: sub ; op1:x10; op2:x11; dest:x12; op1val:-0x400001;  op2val:-0x1000001
TEST_RR_OP(sub, x12, x10, x11, 0xc00000, -0x400001, -0x1000001, x1, 1104, x2)

inst_170:
// rs1_val == -8388609, 
// opcode: sub ; op1:x10; op2:x11; dest:x12; op1val:-0x800001;  op2val:0x0
TEST_RR_OP(sub, x12, x10, x11, 0xffffffffff7fffff, -0x800001, 0x0, x1, 1112, x2)

inst_171:
// rs1_val == -67108865, 
// opcode: sub ; op1:x10; op2:x11; dest:x12; op1val:-0x4000001;  op2val:-0x40000001
TEST_RR_OP(sub, x12, x10, x11, 0x3c000000, -0x4000001, -0x40000001, x1, 1120, x2)

inst_172:
// rs1_val == -2147483649, 
// opcode: sub ; op1:x10; op2:x11; dest:x12; op1val:-0x80000001;  op2val:0x0
TEST_RR_OP(sub, x12, x10, x11, 0xffffffff7fffffff, -0x80000001, 0x0, x1, 1128, x2)

inst_173:
// rs1_val == -17179869185, 
// opcode: sub ; op1:x10; op2:x11; dest:x12; op1val:-0x400000001;  op2val:-0x7
TEST_RR_OP(sub, x12, x10, x11, 0xfffffffc00000006, -0x400000001, -0x7, x1, 1136, x2)

inst_174:
// rs1_val == -274877906945, 
// opcode: sub ; op1:x10; op2:x11; dest:x12; op1val:-0x4000000001;  op2val:0x0
TEST_RR_OP(sub, x12, x10, x11, 0xffffffbfffffffff, -0x4000000001, 0x0, x1, 1144, x2)

inst_175:
// rs1_val == -1099511627777, 
// opcode: sub ; op1:x10; op2:x11; dest:x12; op1val:-0x10000000001;  op2val:0x2000000000000
TEST_RR_OP(sub, x12, x10, x11, 0xfffdfeffffffffff, -0x10000000001, 0x2000000000000, x1, 1152, x2)

inst_176:
// rs1_val == -2199023255553, 
// opcode: sub ; op1:x10; op2:x11; dest:x12; op1val:-0x20000000001;  op2val:-0x800000001
TEST_RR_OP(sub, x12, x10, x11, 0xfffffe0800000000, -0x20000000001, -0x800000001, x1, 1160, x2)

inst_177:
// rs1_val == -8796093022209, 
// opcode: sub ; op1:x10; op2:x11; dest:x12; op1val:-0x80000000001;  op2val:-0x4000001
TEST_RR_OP(sub, x12, x10, x11, 0xfffff80004000000, -0x80000000001, -0x4000001, x1, 1168, x2)

inst_178:
// rs1_val == -35184372088833, 
// opcode: sub ; op1:x10; op2:x11; dest:x12; op1val:-0x200000000001;  op2val:-0x80000001
TEST_RR_OP(sub, x12, x10, x11, 0xffffe00080000000, -0x200000000001, -0x80000001, x1, 1176, x2)

inst_179:
// rs1_val == -4503599627370497, 
// opcode: sub ; op1:x10; op2:x11; dest:x12; op1val:-0x10000000000001;  op2val:0x400
TEST_RR_OP(sub, x12, x10, x11, 0xffeffffffffffbff, -0x10000000000001, 0x400, x1, 1184, x2)

inst_180:
// rs1_val == -9007199254740993, 
// opcode: sub ; op1:x10; op2:x11; dest:x12; op1val:-0x20000000000001;  op2val:-0xa
TEST_RR_OP(sub, x12, x10, x11, 0xffe0000000000009, -0x20000000000001, -0xa, x1, 1192, x2)

inst_181:
// rs1_val == -36028797018963969, 
// opcode: sub ; op1:x10; op2:x11; dest:x12; op1val:-0x80000000000001;  op2val:0x9
TEST_RR_OP(sub, x12, x10, x11, 0xff7ffffffffffff6, -0x80000000000001, 0x9, x1, 1200, x2)

inst_182:
// rs1_val == -72057594037927937, 
// opcode: sub ; op1:x10; op2:x11; dest:x12; op1val:-0x100000000000001;  op2val:-0x200000000001
TEST_RR_OP(sub, x12, x10, x11, 0xff00200000000000, -0x100000000000001, -0x200000000001, x1, 1208, x2)

inst_183:
// rs1_val == -288230376151711745, 
// opcode: sub ; op1:x10; op2:x11; dest:x12; op1val:-0x400000000000001;  op2val:-0x400001
TEST_RR_OP(sub, x12, x10, x11, 0xfc00000000400000, -0x400000000000001, -0x400001, x1, 1216, x2)

inst_184:
// rs1_val == -1152921504606846977, 
// opcode: sub ; op1:x10; op2:x11; dest:x12; op1val:-0x1000000000000001;  op2val:-0x80001
TEST_RR_OP(sub, x12, x10, x11, 0xf000000000080000, -0x1000000000000001, -0x80001, x1, 1224, x2)

inst_185:
// rs1_val == -4611686018427387905, 
// opcode: sub ; op1:x10; op2:x11; dest:x12; op1val:-0x4000000000000001;  op2val:-0x1000000000000001
TEST_RR_OP(sub, x12, x10, x11, 0xd000000000000000, -0x4000000000000001, -0x1000000000000001, x1, 1232, x2)

inst_186:
// rs1_val == -6148914691236517206, rs1_val==-6148914691236517206 and rs2_val==0
// opcode: sub ; op1:x10; op2:x11; dest:x12; op1val:-0x5555555555555556;  op2val:0x0
TEST_RR_OP(sub, x12, x10, x11, 0xaaaaaaaaaaaaaaaa, -0x5555555555555556, 0x0, x1, 1240, x2)

inst_187:
// rs1_val==3 and rs2_val==3, 
// opcode: sub ; op1:x10; op2:x11; dest:x12; op1val:0x3;  op2val:0x3
TEST_RR_OP(sub, x12, x10, x11, 0x0, 0x3, 0x3, x1, 1248, x2)

inst_188:
// rs1_val==3 and rs2_val==6148914691236517205, 
// opcode: sub ; op1:x10; op2:x11; dest:x12; op1val:0x3;  op2val:0x5555555555555555
TEST_RR_OP(sub, x12, x10, x11, 0xaaaaaaaaaaaaaaae, 0x3, 0x5555555555555555, x1, 1256, x2)

inst_189:
// rs1_val==3 and rs2_val==-6148914691236517206, 
// opcode: sub ; op1:x10; op2:x11; dest:x12; op1val:0x3;  op2val:-0x5555555555555556
TEST_RR_OP(sub, x12, x10, x11, 0x5555555555555559, 0x3, -0x5555555555555556, x1, 1264, x2)

inst_190:
// rs1_val==3 and rs2_val==5, 
// opcode: sub ; op1:x10; op2:x11; dest:x12; op1val:0x3;  op2val:0x5
TEST_RR_OP(sub, x12, x10, x11, 0xfffffffffffffffe, 0x3, 0x5, x1, 1272, x2)

inst_191:
// rs1_val==3 and rs2_val==3689348814741910323, 
// opcode: sub ; op1:x10; op2:x11; dest:x12; op1val:0x3;  op2val:0x3333333333333333
TEST_RR_OP(sub, x12, x10, x11, 0xccccccccccccccd0, 0x3, 0x3333333333333333, x1, 1280, x2)

inst_192:
// rs1_val==3 and rs2_val==7378697629483820646, 
// opcode: sub ; op1:x10; op2:x11; dest:x12; op1val:0x3;  op2val:0x6666666666666666
TEST_RR_OP(sub, x12, x10, x11, 0x999999999999999d, 0x3, 0x6666666666666666, x1, 1288, x2)

inst_193:
// rs1_val==3 and rs2_val==-3037000499, 
// opcode: sub ; op1:x10; op2:x11; dest:x12; op1val:0x3;  op2val:-0xb504f333
TEST_RR_OP(sub, x12, x10, x11, 0xb504f336, 0x3, -0xb504f333, x1, 1296, x2)

inst_194:
// rs1_val==3 and rs2_val==3037000499, 
// opcode: sub ; op1:x10; op2:x11; dest:x12; op1val:0x3;  op2val:0xb504f333
TEST_RR_OP(sub, x12, x10, x11, 0xffffffff4afb0cd0, 0x3, 0xb504f333, x1, 1304, x2)

inst_195:
// rs1_val==3 and rs2_val==2, 
// opcode: sub ; op1:x10; op2:x11; dest:x12; op1val:0x3;  op2val:0x2
TEST_RR_OP(sub, x12, x10, x11, 0x1, 0x3, 0x2, x1, 1312, x2)

inst_196:
// rs1_val==3 and rs2_val==6148914691236517204, 
// opcode: sub ; op1:x10; op2:x11; dest:x12; op1val:0x3;  op2val:0x5555555555555554
TEST_RR_OP(sub, x12, x10, x11, 0xaaaaaaaaaaaaaaaf, 0x3, 0x5555555555555554, x1, 1320, x2)

inst_197:
// rs1_val==3 and rs2_val==0, 
// opcode: sub ; op1:x10; op2:x11; dest:x12; op1val:0x3;  op2val:0x0
TEST_RR_OP(sub, x12, x10, x11, 0x3, 0x3, 0x0, x1, 1328, x2)

inst_198:
// rs1_val==3 and rs2_val==4, 
// opcode: sub ; op1:x10; op2:x11; dest:x12; op1val:0x3;  op2val:0x4
TEST_RR_OP(sub, x12, x10, x11, 0xffffffffffffffff, 0x3, 0x4, x1, 1336, x2)

inst_199:
// rs1_val==3 and rs2_val==3689348814741910322, 
// opcode: sub ; op1:x10; op2:x11; dest:x12; op1val:0x3;  op2val:0x3333333333333332
TEST_RR_OP(sub, x12, x10, x11, 0xccccccccccccccd1, 0x3, 0x3333333333333332, x1, 1344, x2)

inst_200:
// rs1_val==3 and rs2_val==7378697629483820645, 
// opcode: sub ; op1:x10; op2:x11; dest:x12; op1val:0x3;  op2val:0x6666666666666665
TEST_RR_OP(sub, x12, x10, x11, 0x999999999999999e, 0x3, 0x6666666666666665, x1, 1352, x2)

inst_201:
// rs1_val==3 and rs2_val==3037000498, 
// opcode: sub ; op1:x10; op2:x11; dest:x12; op1val:0x3;  op2val:0xb504f332
TEST_RR_OP(sub, x12, x10, x11, 0xffffffff4afb0cd1, 0x3, 0xb504f332, x1, 1360, x2)

inst_202:
// rs1_val==3 and rs2_val==6148914691236517206, 
// opcode: sub ; op1:x10; op2:x11; dest:x12; op1val:0x3;  op2val:0x5555555555555556
TEST_RR_OP(sub, x12, x10, x11, 0xaaaaaaaaaaaaaaad, 0x3, 0x5555555555555556, x1, 1368, x2)

inst_203:
// rs1_val==3 and rs2_val==-6148914691236517205, 
// opcode: sub ; op1:x10; op2:x11; dest:x12; op1val:0x3;  op2val:-0x5555555555555555
TEST_RR_OP(sub, x12, x10, x11, 0x5555555555555558, 0x3, -0x5555555555555555, x1, 1376, x2)

inst_204:
// rs1_val==3 and rs2_val==6, 
// opcode: sub ; op1:x10; op2:x11; dest:x12; op1val:0x3;  op2val:0x6
TEST_RR_OP(sub, x12, x10, x11, 0xfffffffffffffffd, 0x3, 0x6, x1, 1384, x2)

inst_205:
// rs1_val==3 and rs2_val==3689348814741910324, 
// opcode: sub ; op1:x10; op2:x11; dest:x12; op1val:0x3;  op2val:0x3333333333333334
TEST_RR_OP(sub, x12, x10, x11, 0xcccccccccccccccf, 0x3, 0x3333333333333334, x1, 1392, x2)

inst_206:
// rs1_val==3 and rs2_val==7378697629483820647, 
// opcode: sub ; op1:x10; op2:x11; dest:x12; op1val:0x3;  op2val:0x6666666666666667
TEST_RR_OP(sub, x12, x10, x11, 0x999999999999999c, 0x3, 0x6666666666666667, x1, 1400, x2)

inst_207:
// rs1_val==3 and rs2_val==-3037000498, 
// opcode: sub ; op1:x10; op2:x11; dest:x12; op1val:0x3;  op2val:-0xb504f332
TEST_RR_OP(sub, x12, x10, x11, 0xb504f335, 0x3, -0xb504f332, x1, 1408, x2)

inst_208:
// rs1_val==3 and rs2_val==3037000500, 
// opcode: sub ; op1:x10; op2:x11; dest:x12; op1val:0x3;  op2val:0xb504f334
TEST_RR_OP(sub, x12, x10, x11, 0xffffffff4afb0ccf, 0x3, 0xb504f334, x1, 1416, x2)

inst_209:
// rs1_val==6148914691236517205 and rs2_val==3, 
// opcode: sub ; op1:x10; op2:x11; dest:x12; op1val:0x5555555555555555;  op2val:0x3
TEST_RR_OP(sub, x12, x10, x11, 0x5555555555555552, 0x5555555555555555, 0x3, x1, 1424, x2)

inst_210:
// rs1_val==6148914691236517205 and rs2_val==6148914691236517205, 
// opcode: sub ; op1:x10; op2:x11; dest:x12; op1val:0x5555555555555555;  op2val:0x5555555555555555
TEST_RR_OP(sub, x12, x10, x11, 0x0, 0x5555555555555555, 0x5555555555555555, x1, 1432, x2)

inst_211:
// rs1_val==6148914691236517205 and rs2_val==5, 
// opcode: sub ; op1:x10; op2:x11; dest:x12; op1val:0x5555555555555555;  op2val:0x5
TEST_RR_OP(sub, x12, x10, x11, 0x5555555555555550, 0x5555555555555555, 0x5, x1, 1440, x2)

inst_212:
// rs1_val==6148914691236517205 and rs2_val==3689348814741910323, 
// opcode: sub ; op1:x10; op2:x11; dest:x12; op1val:0x5555555555555555;  op2val:0x3333333333333333
TEST_RR_OP(sub, x12, x10, x11, 0x2222222222222222, 0x5555555555555555, 0x3333333333333333, x1, 1448, x2)

inst_213:
// rs1_val==6148914691236517205 and rs2_val==7378697629483820646, 
// opcode: sub ; op1:x10; op2:x11; dest:x12; op1val:0x5555555555555555;  op2val:0x6666666666666666
TEST_RR_OP(sub, x12, x10, x11, 0xeeeeeeeeeeeeeeef, 0x5555555555555555, 0x6666666666666666, x1, 1456, x2)

inst_214:
// rs1_val==6148914691236517205 and rs2_val==-3037000499, 
// opcode: sub ; op1:x10; op2:x11; dest:x12; op1val:0x5555555555555555;  op2val:-0xb504f333
TEST_RR_OP(sub, x12, x10, x11, 0x555555560a5a4888, 0x5555555555555555, -0xb504f333, x1, 1464, x2)

inst_215:
// rs1_val==6148914691236517205 and rs2_val==3037000499, 
// opcode: sub ; op1:x10; op2:x11; dest:x12; op1val:0x5555555555555555;  op2val:0xb504f333
TEST_RR_OP(sub, x12, x10, x11, 0x55555554a0506222, 0x5555555555555555, 0xb504f333, x1, 1472, x2)

inst_216:
// rs1_val==6148914691236517205 and rs2_val==2, 
// opcode: sub ; op1:x10; op2:x11; dest:x12; op1val:0x5555555555555555;  op2val:0x2
TEST_RR_OP(sub, x12, x10, x11, 0x5555555555555553, 0x5555555555555555, 0x2, x1, 1480, x2)

inst_217:
// rs1_val==6148914691236517205 and rs2_val==6148914691236517204, 
// opcode: sub ; op1:x10; op2:x11; dest:x12; op1val:0x5555555555555555;  op2val:0x5555555555555554
TEST_RR_OP(sub, x12, x10, x11, 0x1, 0x5555555555555555, 0x5555555555555554, x1, 1488, x2)

inst_218:
// rs1_val==6148914691236517205 and rs2_val==0, 
// opcode: sub ; op1:x10; op2:x11; dest:x12; op1val:0x5555555555555555;  op2val:0x0
TEST_RR_OP(sub, x12, x10, x11, 0x5555555555555555, 0x5555555555555555, 0x0, x1, 1496, x2)

inst_219:
// rs1_val==6148914691236517205 and rs2_val==4, 
// opcode: sub ; op1:x10; op2:x11; dest:x12; op1val:0x5555555555555555;  op2val:0x4
TEST_RR_OP(sub, x12, x10, x11, 0x5555555555555551, 0x5555555555555555, 0x4, x1, 1504, x2)

inst_220:
// rs1_val==6148914691236517205 and rs2_val==3689348814741910322, 
// opcode: sub ; op1:x10; op2:x11; dest:x12; op1val:0x5555555555555555;  op2val:0x3333333333333332
TEST_RR_OP(sub, x12, x10, x11, 0x2222222222222223, 0x5555555555555555, 0x3333333333333332, x1, 1512, x2)

inst_221:
// rs1_val==6148914691236517205 and rs2_val==7378697629483820645, 
// opcode: sub ; op1:x10; op2:x11; dest:x12; op1val:0x5555555555555555;  op2val:0x6666666666666665
TEST_RR_OP(sub, x12, x10, x11, 0xeeeeeeeeeeeeeef0, 0x5555555555555555, 0x6666666666666665, x1, 1520, x2)

inst_222:
// rs1_val==6148914691236517205 and rs2_val==3037000498, 
// opcode: sub ; op1:x10; op2:x11; dest:x12; op1val:0x5555555555555555;  op2val:0xb504f332
TEST_RR_OP(sub, x12, x10, x11, 0x55555554a0506223, 0x5555555555555555, 0xb504f332, x1, 1528, x2)

inst_223:
// rs1_val==6148914691236517205 and rs2_val==6148914691236517206, 
// opcode: sub ; op1:x10; op2:x11; dest:x12; op1val:0x5555555555555555;  op2val:0x5555555555555556
TEST_RR_OP(sub, x12, x10, x11, 0xffffffffffffffff, 0x5555555555555555, 0x5555555555555556, x1, 1536, x2)

inst_224:
// rs1_val==6148914691236517205 and rs2_val==-6148914691236517205, 
// opcode: sub ; op1:x10; op2:x11; dest:x12; op1val:0x5555555555555555;  op2val:-0x5555555555555555
TEST_RR_OP(sub, x12, x10, x11, 0xaaaaaaaaaaaaaaaa, 0x5555555555555555, -0x5555555555555555, x1, 1544, x2)

inst_225:
// rs1_val==6148914691236517205 and rs2_val==6, 
// opcode: sub ; op1:x10; op2:x11; dest:x12; op1val:0x5555555555555555;  op2val:0x6
TEST_RR_OP(sub, x12, x10, x11, 0x555555555555554f, 0x5555555555555555, 0x6, x1, 1552, x2)

inst_226:
// rs1_val==6148914691236517205 and rs2_val==3689348814741910324, 
// opcode: sub ; op1:x10; op2:x11; dest:x12; op1val:0x5555555555555555;  op2val:0x3333333333333334
TEST_RR_OP(sub, x12, x10, x11, 0x2222222222222221, 0x5555555555555555, 0x3333333333333334, x1, 1560, x2)

inst_227:
// rs1_val==6148914691236517205 and rs2_val==7378697629483820647, 
// opcode: sub ; op1:x10; op2:x11; dest:x12; op1val:0x5555555555555555;  op2val:0x6666666666666667
TEST_RR_OP(sub, x12, x10, x11, 0xeeeeeeeeeeeeeeee, 0x5555555555555555, 0x6666666666666667, x1, 1568, x2)

inst_228:
// rs1_val==6148914691236517205 and rs2_val==-3037000498, 
// opcode: sub ; op1:x10; op2:x11; dest:x12; op1val:0x5555555555555555;  op2val:-0xb504f332
TEST_RR_OP(sub, x12, x10, x11, 0x555555560a5a4887, 0x5555555555555555, -0xb504f332, x1, 1576, x2)

inst_229:
// rs1_val==6148914691236517205 and rs2_val==3037000500, 
// opcode: sub ; op1:x10; op2:x11; dest:x12; op1val:0x5555555555555555;  op2val:0xb504f334
TEST_RR_OP(sub, x12, x10, x11, 0x55555554a0506221, 0x5555555555555555, 0xb504f334, x1, 1584, x2)

inst_230:
// rs1_val==-6148914691236517206 and rs2_val==3, 
// opcode: sub ; op1:x10; op2:x11; dest:x12; op1val:-0x5555555555555556;  op2val:0x3
TEST_RR_OP(sub, x12, x10, x11, 0xaaaaaaaaaaaaaaa7, -0x5555555555555556, 0x3, x1, 1592, x2)

inst_231:
// rs1_val==-6148914691236517206 and rs2_val==6148914691236517205, 
// opcode: sub ; op1:x10; op2:x11; dest:x12; op1val:-0x5555555555555556;  op2val:0x5555555555555555
TEST_RR_OP(sub, x12, x10, x11, 0x5555555555555555, -0x5555555555555556, 0x5555555555555555, x1, 1600, x2)

inst_232:
// rs1_val==-6148914691236517206 and rs2_val==-6148914691236517206, 
// opcode: sub ; op1:x10; op2:x11; dest:x12; op1val:-0x5555555555555556;  op2val:-0x5555555555555556
TEST_RR_OP(sub, x12, x10, x11, 0x0, -0x5555555555555556, -0x5555555555555556, x1, 1608, x2)

inst_233:
// rs1_val==-6148914691236517206 and rs2_val==5, 
// opcode: sub ; op1:x10; op2:x11; dest:x12; op1val:-0x5555555555555556;  op2val:0x5
TEST_RR_OP(sub, x12, x10, x11, 0xaaaaaaaaaaaaaaa5, -0x5555555555555556, 0x5, x1, 1616, x2)

inst_234:
// rs1_val==-6148914691236517206 and rs2_val==3689348814741910323, 
// opcode: sub ; op1:x10; op2:x11; dest:x12; op1val:-0x5555555555555556;  op2val:0x3333333333333333
TEST_RR_OP(sub, x12, x10, x11, 0x7777777777777777, -0x5555555555555556, 0x3333333333333333, x1, 1624, x2)

inst_235:
// rs1_val==-6148914691236517206 and rs2_val==7378697629483820646, 
// opcode: sub ; op1:x10; op2:x11; dest:x12; op1val:-0x5555555555555556;  op2val:0x6666666666666666
TEST_RR_OP(sub, x12, x10, x11, 0x4444444444444444, -0x5555555555555556, 0x6666666666666666, x1, 1632, x2)

inst_236:
// rs1_val==-6148914691236517206 and rs2_val==-3037000499, 
// opcode: sub ; op1:x10; op2:x11; dest:x12; op1val:-0x5555555555555556;  op2val:-0xb504f333
TEST_RR_OP(sub, x12, x10, x11, 0xaaaaaaab5faf9ddd, -0x5555555555555556, -0xb504f333, x1, 1640, x2)

inst_237:
// rs1_val==-6148914691236517206 and rs2_val==3037000499, 
// opcode: sub ; op1:x10; op2:x11; dest:x12; op1val:-0x5555555555555556;  op2val:0xb504f333
TEST_RR_OP(sub, x12, x10, x11, 0xaaaaaaa9f5a5b777, -0x5555555555555556, 0xb504f333, x1, 1648, x2)

inst_238:
// rs1_val==-6148914691236517206 and rs2_val==2, 
// opcode: sub ; op1:x10; op2:x11; dest:x12; op1val:-0x5555555555555556;  op2val:0x2
TEST_RR_OP(sub, x12, x10, x11, 0xaaaaaaaaaaaaaaa8, -0x5555555555555556, 0x2, x1, 1656, x2)

inst_239:
// rs1_val==-6148914691236517206 and rs2_val==6148914691236517204, 
// opcode: sub ; op1:x10; op2:x11; dest:x12; op1val:-0x5555555555555556;  op2val:0x5555555555555554
TEST_RR_OP(sub, x12, x10, x11, 0x5555555555555556, -0x5555555555555556, 0x5555555555555554, x1, 1664, x2)

inst_240:
// rs1_val==-6148914691236517206 and rs2_val==4, 
// opcode: sub ; op1:x10; op2:x11; dest:x12; op1val:-0x5555555555555556;  op2val:0x4
TEST_RR_OP(sub, x12, x10, x11, 0xaaaaaaaaaaaaaaa6, -0x5555555555555556, 0x4, x1, 1672, x2)

inst_241:
// rs1_val==-6148914691236517206 and rs2_val==3689348814741910322, 
// opcode: sub ; op1:x10; op2:x11; dest:x12; op1val:-0x5555555555555556;  op2val:0x3333333333333332
TEST_RR_OP(sub, x12, x10, x11, 0x7777777777777778, -0x5555555555555556, 0x3333333333333332, x1, 1680, x2)

inst_242:
// rs1_val==-6148914691236517206 and rs2_val==7378697629483820645, 
// opcode: sub ; op1:x10; op2:x11; dest:x12; op1val:-0x5555555555555556;  op2val:0x6666666666666665
TEST_RR_OP(sub, x12, x10, x11, 0x4444444444444445, -0x5555555555555556, 0x6666666666666665, x1, 1688, x2)

inst_243:
// rs1_val==-6148914691236517206 and rs2_val==3037000498, 
// opcode: sub ; op1:x10; op2:x11; dest:x12; op1val:-0x5555555555555556;  op2val:0xb504f332
TEST_RR_OP(sub, x12, x10, x11, 0xaaaaaaa9f5a5b778, -0x5555555555555556, 0xb504f332, x1, 1696, x2)

inst_244:
// rs1_val==-6148914691236517206 and rs2_val==6148914691236517206, 
// opcode: sub ; op1:x10; op2:x11; dest:x12; op1val:-0x5555555555555556;  op2val:0x5555555555555556
TEST_RR_OP(sub, x12, x10, x11, 0x5555555555555554, -0x5555555555555556, 0x5555555555555556, x1, 1704, x2)

inst_245:
// rs1_val==-6148914691236517206 and rs2_val==-6148914691236517205, 
// opcode: sub ; op1:x10; op2:x11; dest:x12; op1val:-0x5555555555555556;  op2val:-0x5555555555555555
TEST_RR_OP(sub, x12, x10, x11, 0xffffffffffffffff, -0x5555555555555556, -0x5555555555555555, x1, 1712, x2)

inst_246:
// rs1_val==-6148914691236517206 and rs2_val==6, 
// opcode: sub ; op1:x10; op2:x11; dest:x12; op1val:-0x5555555555555556;  op2val:0x6
TEST_RR_OP(sub, x12, x10, x11, 0xaaaaaaaaaaaaaaa4, -0x5555555555555556, 0x6, x1, 1720, x2)

inst_247:
// rs1_val==-6148914691236517206 and rs2_val==3689348814741910324, 
// opcode: sub ; op1:x10; op2:x11; dest:x12; op1val:-0x5555555555555556;  op2val:0x3333333333333334
TEST_RR_OP(sub, x12, x10, x11, 0x7777777777777776, -0x5555555555555556, 0x3333333333333334, x1, 1728, x2)

inst_248:
// rs1_val==-6148914691236517206 and rs2_val==7378697629483820647, 
// opcode: sub ; op1:x10; op2:x11; dest:x12; op1val:-0x5555555555555556;  op2val:0x6666666666666667
TEST_RR_OP(sub, x12, x10, x11, 0x4444444444444443, -0x5555555555555556, 0x6666666666666667, x1, 1736, x2)

inst_249:
// rs1_val==-6148914691236517206 and rs2_val==-3037000498, 
// opcode: sub ; op1:x10; op2:x11; dest:x12; op1val:-0x5555555555555556;  op2val:-0xb504f332
TEST_RR_OP(sub, x12, x10, x11, 0xaaaaaaab5faf9ddc, -0x5555555555555556, -0xb504f332, x1, 1744, x2)

inst_250:
// rs1_val==-6148914691236517206 and rs2_val==3037000500, 
// opcode: sub ; op1:x10; op2:x11; dest:x12; op1val:-0x5555555555555556;  op2val:0xb504f334
TEST_RR_OP(sub, x12, x10, x11, 0xaaaaaaa9f5a5b776, -0x5555555555555556, 0xb504f334, x1, 1752, x2)

inst_251:
// rs1_val==5 and rs2_val==3, 
// opcode: sub ; op1:x10; op2:x11; dest:x12; op1val:0x5;  op2val:0x3
TEST_RR_OP(sub, x12, x10, x11, 0x2, 0x5, 0x3, x1, 1760, x2)

inst_252:
// rs1_val==5 and rs2_val==6148914691236517205, 
// opcode: sub ; op1:x10; op2:x11; dest:x12; op1val:0x5;  op2val:0x5555555555555555
TEST_RR_OP(sub, x12, x10, x11, 0xaaaaaaaaaaaaaab0, 0x5, 0x5555555555555555, x1, 1768, x2)

inst_253:
// rs1_val==5 and rs2_val==-6148914691236517206, 
// opcode: sub ; op1:x10; op2:x11; dest:x12; op1val:0x5;  op2val:-0x5555555555555556
TEST_RR_OP(sub, x12, x10, x11, 0x555555555555555b, 0x5, -0x5555555555555556, x1, 1776, x2)

inst_254:
// rs1_val==5 and rs2_val==5, 
// opcode: sub ; op1:x10; op2:x11; dest:x12; op1val:0x5;  op2val:0x5
TEST_RR_OP(sub, x12, x10, x11, 0x0, 0x5, 0x5, x1, 1784, x2)

inst_255:
// rs1_val==5 and rs2_val==3689348814741910323, 
// opcode: sub ; op1:x10; op2:x11; dest:x12; op1val:0x5;  op2val:0x3333333333333333
TEST_RR_OP(sub, x12, x10, x11, 0xccccccccccccccd2, 0x5, 0x3333333333333333, x1, 1792, x2)

inst_256:
// rs1_val==5 and rs2_val==7378697629483820646, 
// opcode: sub ; op1:x10; op2:x11; dest:x12; op1val:0x5;  op2val:0x6666666666666666
TEST_RR_OP(sub, x12, x10, x11, 0x999999999999999f, 0x5, 0x6666666666666666, x1, 1800, x2)

inst_257:
// rs1_val==5 and rs2_val==-3037000499, 
// opcode: sub ; op1:x10; op2:x11; dest:x12; op1val:0x5;  op2val:-0xb504f333
TEST_RR_OP(sub, x12, x10, x11, 0xb504f338, 0x5, -0xb504f333, x1, 1808, x2)

inst_258:
// rs1_val==5 and rs2_val==3037000499, 
// opcode: sub ; op1:x10; op2:x11; dest:x12; op1val:0x5;  op2val:0xb504f333
TEST_RR_OP(sub, x12, x10, x11, 0xffffffff4afb0cd2, 0x5, 0xb504f333, x1, 1816, x2)

inst_259:
// rs1_val==5 and rs2_val==2, 
// opcode: sub ; op1:x10; op2:x11; dest:x12; op1val:0x5;  op2val:0x2
TEST_RR_OP(sub, x12, x10, x11, 0x3, 0x5, 0x2, x1, 1824, x2)

inst_260:
// rs1_val==5 and rs2_val==6148914691236517204, 
// opcode: sub ; op1:x10; op2:x11; dest:x12; op1val:0x5;  op2val:0x5555555555555554
TEST_RR_OP(sub, x12, x10, x11, 0xaaaaaaaaaaaaaab1, 0x5, 0x5555555555555554, x1, 1832, x2)

inst_261:
// rs1_val==5 and rs2_val==0, 
// opcode: sub ; op1:x10; op2:x11; dest:x12; op1val:0x5;  op2val:0x0
TEST_RR_OP(sub, x12, x10, x11, 0x5, 0x5, 0x0, x1, 1840, x2)

inst_262:
// rs1_val==5 and rs2_val==4, 
// opcode: sub ; op1:x10; op2:x11; dest:x12; op1val:0x5;  op2val:0x4
TEST_RR_OP(sub, x12, x10, x11, 0x1, 0x5, 0x4, x1, 1848, x2)

inst_263:
// rs1_val==5 and rs2_val==3689348814741910322, 
// opcode: sub ; op1:x10; op2:x11; dest:x12; op1val:0x5;  op2val:0x3333333333333332
TEST_RR_OP(sub, x12, x10, x11, 0xccccccccccccccd3, 0x5, 0x3333333333333332, x1, 1856, x2)

inst_264:
// rs1_val==5 and rs2_val==7378697629483820645, 
// opcode: sub ; op1:x10; op2:x11; dest:x12; op1val:0x5;  op2val:0x6666666666666665
TEST_RR_OP(sub, x12, x10, x11, 0x99999999999999a0, 0x5, 0x6666666666666665, x1, 1864, x2)

inst_265:
// rs1_val==5 and rs2_val==3037000498, 
// opcode: sub ; op1:x10; op2:x11; dest:x12; op1val:0x5;  op2val:0xb504f332
TEST_RR_OP(sub, x12, x10, x11, 0xffffffff4afb0cd3, 0x5, 0xb504f332, x1, 1872, x2)

inst_266:
// rs1_val==5 and rs2_val==6148914691236517206, 
// opcode: sub ; op1:x10; op2:x11; dest:x12; op1val:0x5;  op2val:0x5555555555555556
TEST_RR_OP(sub, x12, x10, x11, 0xaaaaaaaaaaaaaaaf, 0x5, 0x5555555555555556, x1, 1880, x2)

inst_267:
// rs1_val==5 and rs2_val==-6148914691236517205, 
// opcode: sub ; op1:x10; op2:x11; dest:x12; op1val:0x5;  op2val:-0x5555555555555555
TEST_RR_OP(sub, x12, x10, x11, 0x555555555555555a, 0x5, -0x5555555555555555, x1, 1888, x2)

inst_268:
// rs1_val==5 and rs2_val==6, 
// opcode: sub ; op1:x10; op2:x11; dest:x12; op1val:0x5;  op2val:0x6
TEST_RR_OP(sub, x12, x10, x11, 0xffffffffffffffff, 0x5, 0x6, x1, 1896, x2)

inst_269:
// rs1_val==5 and rs2_val==3689348814741910324, 
// opcode: sub ; op1:x10; op2:x11; dest:x12; op1val:0x5;  op2val:0x3333333333333334
TEST_RR_OP(sub, x12, x10, x11, 0xccccccccccccccd1, 0x5, 0x3333333333333334, x1, 1904, x2)

inst_270:
// rs1_val==5 and rs2_val==7378697629483820647, 
// opcode: sub ; op1:x10; op2:x11; dest:x12; op1val:0x5;  op2val:0x6666666666666667
TEST_RR_OP(sub, x12, x10, x11, 0x999999999999999e, 0x5, 0x6666666666666667, x1, 1912, x2)

inst_271:
// rs1_val==5 and rs2_val==-3037000498, 
// opcode: sub ; op1:x10; op2:x11; dest:x12; op1val:0x5;  op2val:-0xb504f332
TEST_RR_OP(sub, x12, x10, x11, 0xb504f337, 0x5, -0xb504f332, x1, 1920, x2)

inst_272:
// rs1_val==5 and rs2_val==3037000500, 
// opcode: sub ; op1:x10; op2:x11; dest:x12; op1val:0x5;  op2val:0xb504f334
TEST_RR_OP(sub, x12, x10, x11, 0xffffffff4afb0cd1, 0x5, 0xb504f334, x1, 1928, x2)

inst_273:
// rs1_val==3689348814741910323 and rs2_val==3, 
// opcode: sub ; op1:x10; op2:x11; dest:x12; op1val:0x3333333333333333;  op2val:0x3
TEST_RR_OP(sub, x12, x10, x11, 0x3333333333333330, 0x3333333333333333, 0x3, x1, 1936, x2)

inst_274:
// rs1_val==3689348814741910323 and rs2_val==6148914691236517205, 
// opcode: sub ; op1:x10; op2:x11; dest:x12; op1val:0x3333333333333333;  op2val:0x5555555555555555
TEST_RR_OP(sub, x12, x10, x11, 0xddddddddddddddde, 0x3333333333333333, 0x5555555555555555, x1, 1944, x2)

inst_275:
// rs1_val==3689348814741910323 and rs2_val==-6148914691236517206, 
// opcode: sub ; op1:x10; op2:x11; dest:x12; op1val:0x3333333333333333;  op2val:-0x5555555555555556
TEST_RR_OP(sub, x12, x10, x11, 0x8888888888888889, 0x3333333333333333, -0x5555555555555556, x1, 1952, x2)

inst_276:
// rs1_val==3689348814741910323 and rs2_val==5, 
// opcode: sub ; op1:x10; op2:x11; dest:x12; op1val:0x3333333333333333;  op2val:0x5
TEST_RR_OP(sub, x12, x10, x11, 0x333333333333332e, 0x3333333333333333, 0x5, x1, 1960, x2)

inst_277:
// rs1_val==3689348814741910323 and rs2_val==3689348814741910323, 
// opcode: sub ; op1:x10; op2:x11; dest:x12; op1val:0x3333333333333333;  op2val:0x3333333333333333
TEST_RR_OP(sub, x12, x10, x11, 0x0, 0x3333333333333333, 0x3333333333333333, x1, 1968, x2)

inst_278:
// rs1_val==3689348814741910323 and rs2_val==7378697629483820646, 
// opcode: sub ; op1:x10; op2:x11; dest:x12; op1val:0x3333333333333333;  op2val:0x6666666666666666
TEST_RR_OP(sub, x12, x10, x11, 0xcccccccccccccccd, 0x3333333333333333, 0x6666666666666666, x1, 1976, x2)

inst_279:
// rs1_val==3689348814741910323 and rs2_val==-3037000499, 
// opcode: sub ; op1:x10; op2:x11; dest:x12; op1val:0x3333333333333333;  op2val:-0xb504f333
TEST_RR_OP(sub, x12, x10, x11, 0x33333333e8382666, 0x3333333333333333, -0xb504f333, x1, 1984, x2)

inst_280:
// rs1_val==3689348814741910323 and rs2_val==3037000499, 
// opcode: sub ; op1:x10; op2:x11; dest:x12; op1val:0x3333333333333333;  op2val:0xb504f333
TEST_RR_OP(sub, x12, x10, x11, 0x333333327e2e4000, 0x3333333333333333, 0xb504f333, x1, 1992, x2)

inst_281:
// rs1_val==3689348814741910323 and rs2_val==2, 
// opcode: sub ; op1:x10; op2:x11; dest:x12; op1val:0x3333333333333333;  op2val:0x2
TEST_RR_OP(sub, x12, x10, x11, 0x3333333333333331, 0x3333333333333333, 0x2, x1, 2000, x2)

inst_282:
// rs1_val==3689348814741910323 and rs2_val==6148914691236517204, 
// opcode: sub ; op1:x10; op2:x11; dest:x12; op1val:0x3333333333333333;  op2val:0x5555555555555554
TEST_RR_OP(sub, x12, x10, x11, 0xdddddddddddddddf, 0x3333333333333333, 0x5555555555555554, x1, 2008, x2)

inst_283:
// rs1_val==3689348814741910323 and rs2_val==0, 
// opcode: sub ; op1:x10; op2:x11; dest:x12; op1val:0x3333333333333333;  op2val:0x0
TEST_RR_OP(sub, x12, x10, x11, 0x3333333333333333, 0x3333333333333333, 0x0, x1, 2016, x2)

inst_284:
// rs1_val==3689348814741910323 and rs2_val==4, 
// opcode: sub ; op1:x10; op2:x11; dest:x12; op1val:0x3333333333333333;  op2val:0x4
TEST_RR_OP(sub, x12, x10, x11, 0x333333333333332f, 0x3333333333333333, 0x4, x1, 2024, x2)

inst_285:
// rs1_val==3689348814741910323 and rs2_val==3689348814741910322, 
// opcode: sub ; op1:x10; op2:x11; dest:x12; op1val:0x3333333333333333;  op2val:0x3333333333333332
TEST_RR_OP(sub, x12, x10, x11, 0x1, 0x3333333333333333, 0x3333333333333332, x1, 2032, x2)

inst_286:
// rs1_val==3689348814741910323 and rs2_val==7378697629483820645, 
// opcode: sub ; op1:x10; op2:x11; dest:x12; op1val:0x3333333333333333;  op2val:0x6666666666666665
TEST_RR_OP(sub, x12, x10, x11, 0xccccccccccccccce, 0x3333333333333333, 0x6666666666666665, x1, 2040, x2)
RVTEST_SIGBASE( x1,signature_x1_1)

inst_287:
// rs1_val==3689348814741910323 and rs2_val==3037000498, 
// opcode: sub ; op1:x10; op2:x11; dest:x12; op1val:0x3333333333333333;  op2val:0xb504f332
TEST_RR_OP(sub, x12, x10, x11, 0x333333327e2e4001, 0x3333333333333333, 0xb504f332, x1, 0, x2)

inst_288:
// rs1_val==3689348814741910323 and rs2_val==6148914691236517206, 
// opcode: sub ; op1:x10; op2:x11; dest:x12; op1val:0x3333333333333333;  op2val:0x5555555555555556
TEST_RR_OP(sub, x12, x10, x11, 0xdddddddddddddddd, 0x3333333333333333, 0x5555555555555556, x1, 8, x2)

inst_289:
// rs1_val==3689348814741910323 and rs2_val==-6148914691236517205, 
// opcode: sub ; op1:x10; op2:x11; dest:x12; op1val:0x3333333333333333;  op2val:-0x5555555555555555
TEST_RR_OP(sub, x12, x10, x11, 0x8888888888888888, 0x3333333333333333, -0x5555555555555555, x1, 16, x2)

inst_290:
// rs1_val==3689348814741910323 and rs2_val==6, 
// opcode: sub ; op1:x10; op2:x11; dest:x12; op1val:0x3333333333333333;  op2val:0x6
TEST_RR_OP(sub, x12, x10, x11, 0x333333333333332d, 0x3333333333333333, 0x6, x1, 24, x2)

inst_291:
// rs1_val==3689348814741910323 and rs2_val==3689348814741910324, 
// opcode: sub ; op1:x10; op2:x11; dest:x12; op1val:0x3333333333333333;  op2val:0x3333333333333334
TEST_RR_OP(sub, x12, x10, x11, 0xffffffffffffffff, 0x3333333333333333, 0x3333333333333334, x1, 32, x2)

inst_292:
// rs1_val==3689348814741910323 and rs2_val==7378697629483820647, 
// opcode: sub ; op1:x10; op2:x11; dest:x12; op1val:0x3333333333333333;  op2val:0x6666666666666667
TEST_RR_OP(sub, x12, x10, x11, 0xcccccccccccccccc, 0x3333333333333333, 0x6666666666666667, x1, 40, x2)

inst_293:
// rs1_val==3689348814741910323 and rs2_val==-3037000498, 
// opcode: sub ; op1:x10; op2:x11; dest:x12; op1val:0x3333333333333333;  op2val:-0xb504f332
TEST_RR_OP(sub, x12, x10, x11, 0x33333333e8382665, 0x3333333333333333, -0xb504f332, x1, 48, x2)

inst_294:
// rs1_val==3689348814741910323 and rs2_val==3037000500, 
// opcode: sub ; op1:x10; op2:x11; dest:x12; op1val:0x3333333333333333;  op2val:0xb504f334
TEST_RR_OP(sub, x12, x10, x11, 0x333333327e2e3fff, 0x3333333333333333, 0xb504f334, x1, 56, x2)

inst_295:
// rs1_val==7378697629483820646 and rs2_val==3, 
// opcode: sub ; op1:x10; op2:x11; dest:x12; op1val:0x6666666666666666;  op2val:0x3
TEST_RR_OP(sub, x12, x10, x11, 0x6666666666666663, 0x6666666666666666, 0x3, x1, 64, x2)

inst_296:
// rs1_val==7378697629483820646 and rs2_val==6148914691236517205, 
// opcode: sub ; op1:x10; op2:x11; dest:x12; op1val:0x6666666666666666;  op2val:0x5555555555555555
TEST_RR_OP(sub, x12, x10, x11, 0x1111111111111111, 0x6666666666666666, 0x5555555555555555, x1, 72, x2)

inst_297:
// rs1_val==7378697629483820646 and rs2_val==-6148914691236517206, 
// opcode: sub ; op1:x10; op2:x11; dest:x12; op1val:0x6666666666666666;  op2val:-0x5555555555555556
TEST_RR_OP(sub, x12, x10, x11, 0xbbbbbbbbbbbbbbbc, 0x6666666666666666, -0x5555555555555556, x1, 80, x2)

inst_298:
// rs1_val==7378697629483820646 and rs2_val==5, 
// opcode: sub ; op1:x10; op2:x11; dest:x12; op1val:0x6666666666666666;  op2val:0x5
TEST_RR_OP(sub, x12, x10, x11, 0x6666666666666661, 0x6666666666666666, 0x5, x1, 88, x2)

inst_299:
// rs1_val==7378697629483820646 and rs2_val==3689348814741910323, 
// opcode: sub ; op1:x10; op2:x11; dest:x12; op1val:0x6666666666666666;  op2val:0x3333333333333333
TEST_RR_OP(sub, x12, x10, x11, 0x3333333333333333, 0x6666666666666666, 0x3333333333333333, x1, 96, x2)

inst_300:
// rs1_val==7378697629483820646 and rs2_val==7378697629483820646, 
// opcode: sub ; op1:x10; op2:x11; dest:x12; op1val:0x6666666666666666;  op2val:0x6666666666666666
TEST_RR_OP(sub, x12, x10, x11, 0x0, 0x6666666666666666, 0x6666666666666666, x1, 104, x2)

inst_301:
// rs1_val==7378697629483820646 and rs2_val==-3037000499, 
// opcode: sub ; op1:x10; op2:x11; dest:x12; op1val:0x6666666666666666;  op2val:-0xb504f333
TEST_RR_OP(sub, x12, x10, x11, 0x666666671b6b5999, 0x6666666666666666, -0xb504f333, x1, 112, x2)

inst_302:
// rs1_val==7378697629483820646 and rs2_val==3037000499, 
// opcode: sub ; op1:x10; op2:x11; dest:x12; op1val:0x6666666666666666;  op2val:0xb504f333
TEST_RR_OP(sub, x12, x10, x11, 0x66666665b1617333, 0x6666666666666666, 0xb504f333, x1, 120, x2)

inst_303:
// rs1_val==7378697629483820646 and rs2_val==2, 
// opcode: sub ; op1:x10; op2:x11; dest:x12; op1val:0x6666666666666666;  op2val:0x2
TEST_RR_OP(sub, x12, x10, x11, 0x6666666666666664, 0x6666666666666666, 0x2, x1, 128, x2)

inst_304:
// rs1_val==7378697629483820646 and rs2_val==6148914691236517204, 
// opcode: sub ; op1:x10; op2:x11; dest:x12; op1val:0x6666666666666666;  op2val:0x5555555555555554
TEST_RR_OP(sub, x12, x10, x11, 0x1111111111111112, 0x6666666666666666, 0x5555555555555554, x1, 136, x2)

inst_305:
// rs1_val==7378697629483820646 and rs2_val==0, 
// opcode: sub ; op1:x10; op2:x11; dest:x12; op1val:0x6666666666666666;  op2val:0x0
TEST_RR_OP(sub, x12, x10, x11, 0x6666666666666666, 0x6666666666666666, 0x0, x1, 144, x2)

inst_306:
// rs1_val==7378697629483820646 and rs2_val==4, 
// opcode: sub ; op1:x10; op2:x11; dest:x12; op1val:0x6666666666666666;  op2val:0x4
TEST_RR_OP(sub, x12, x10, x11, 0x6666666666666662, 0x6666666666666666, 0x4, x1, 152, x2)

inst_307:
// rs1_val==7378697629483820646 and rs2_val==3689348814741910322, 
// opcode: sub ; op1:x10; op2:x11; dest:x12; op1val:0x6666666666666666;  op2val:0x3333333333333332
TEST_RR_OP(sub, x12, x10, x11, 0x3333333333333334, 0x6666666666666666, 0x3333333333333332, x1, 160, x2)

inst_308:
// rs1_val==7378697629483820646 and rs2_val==7378697629483820645, 
// opcode: sub ; op1:x10; op2:x11; dest:x12; op1val:0x6666666666666666;  op2val:0x6666666666666665
TEST_RR_OP(sub, x12, x10, x11, 0x1, 0x6666666666666666, 0x6666666666666665, x1, 168, x2)

inst_309:
// rs1_val==7378697629483820646 and rs2_val==3037000498, 
// opcode: sub ; op1:x10; op2:x11; dest:x12; op1val:0x6666666666666666;  op2val:0xb504f332
TEST_RR_OP(sub, x12, x10, x11, 0x66666665b1617334, 0x6666666666666666, 0xb504f332, x1, 176, x2)

inst_310:
// rs1_val==7378697629483820646 and rs2_val==6148914691236517206, 
// opcode: sub ; op1:x10; op2:x11; dest:x12; op1val:0x6666666666666666;  op2val:0x5555555555555556
TEST_RR_OP(sub, x12, x10, x11, 0x1111111111111110, 0x6666666666666666, 0x5555555555555556, x1, 184, x2)

inst_311:
// rs1_val==7378697629483820646 and rs2_val==-6148914691236517205, 
// opcode: sub ; op1:x10; op2:x11; dest:x12; op1val:0x6666666666666666;  op2val:-0x5555555555555555
TEST_RR_OP(sub, x12, x10, x11, 0xbbbbbbbbbbbbbbbb, 0x6666666666666666, -0x5555555555555555, x1, 192, x2)

inst_312:
// rs1_val==7378697629483820646 and rs2_val==6, 
// opcode: sub ; op1:x10; op2:x11; dest:x12; op1val:0x6666666666666666;  op2val:0x6
TEST_RR_OP(sub, x12, x10, x11, 0x6666666666666660, 0x6666666666666666, 0x6, x1, 200, x2)

inst_313:
// rs1_val==7378697629483820646 and rs2_val==3689348814741910324, 
// opcode: sub ; op1:x10; op2:x11; dest:x12; op1val:0x6666666666666666;  op2val:0x3333333333333334
TEST_RR_OP(sub, x12, x10, x11, 0x3333333333333332, 0x6666666666666666, 0x3333333333333334, x1, 208, x2)

inst_314:
// rs1_val==7378697629483820646 and rs2_val==7378697629483820647, 
// opcode: sub ; op1:x10; op2:x11; dest:x12; op1val:0x6666666666666666;  op2val:0x6666666666666667
TEST_RR_OP(sub, x12, x10, x11, 0xffffffffffffffff, 0x6666666666666666, 0x6666666666666667, x1, 216, x2)

inst_315:
// rs1_val==7378697629483820646 and rs2_val==-3037000498, 
// opcode: sub ; op1:x10; op2:x11; dest:x12; op1val:0x6666666666666666;  op2val:-0xb504f332
TEST_RR_OP(sub, x12, x10, x11, 0x666666671b6b5998, 0x6666666666666666, -0xb504f332, x1, 224, x2)

inst_316:
// rs1_val==7378697629483820646 and rs2_val==3037000500, 
// opcode: sub ; op1:x10; op2:x11; dest:x12; op1val:0x6666666666666666;  op2val:0xb504f334
TEST_RR_OP(sub, x12, x10, x11, 0x66666665b1617332, 0x6666666666666666, 0xb504f334, x1, 232, x2)

inst_317:
// rs1_val==-3037000499 and rs2_val==3, 
// opcode: sub ; op1:x10; op2:x11; dest:x12; op1val:-0xb504f333;  op2val:0x3
TEST_RR_OP(sub, x12, x10, x11, 0xffffffff4afb0cca, -0xb504f333, 0x3, x1, 240, x2)

inst_318:
// rs1_val==-3037000499 and rs2_val==6148914691236517205, 
// opcode: sub ; op1:x10; op2:x11; dest:x12; op1val:-0xb504f333;  op2val:0x5555555555555555
TEST_RR_OP(sub, x12, x10, x11, 0xaaaaaaa9f5a5b778, -0xb504f333, 0x5555555555555555, x1, 248, x2)

inst_319:
// rs1_val==-3037000499 and rs2_val==-6148914691236517206, 
// opcode: sub ; op1:x10; op2:x11; dest:x12; op1val:-0xb504f333;  op2val:-0x5555555555555556
TEST_RR_OP(sub, x12, x10, x11, 0x55555554a0506223, -0xb504f333, -0x5555555555555556, x1, 256, x2)

inst_320:
// rs1_val==-3037000499 and rs2_val==5, 
// opcode: sub ; op1:x10; op2:x11; dest:x12; op1val:-0xb504f333;  op2val:0x5
TEST_RR_OP(sub, x12, x10, x11, 0xffffffff4afb0cc8, -0xb504f333, 0x5, x1, 264, x2)

inst_321:
// rs1_val==-3037000499 and rs2_val==3689348814741910323, 
// opcode: sub ; op1:x10; op2:x11; dest:x12; op1val:-0xb504f333;  op2val:0x3333333333333333
TEST_RR_OP(sub, x12, x10, x11, 0xcccccccc17c7d99a, -0xb504f333, 0x3333333333333333, x1, 272, x2)

inst_322:
// rs1_val==-3037000499 and rs2_val==7378697629483820646, 
// opcode: sub ; op1:x10; op2:x11; dest:x12; op1val:-0xb504f333;  op2val:0x6666666666666666
TEST_RR_OP(sub, x12, x10, x11, 0x99999998e494a667, -0xb504f333, 0x6666666666666666, x1, 280, x2)

inst_323:
// rs1_val==-3037000499 and rs2_val==-3037000499, 
// opcode: sub ; op1:x10; op2:x11; dest:x12; op1val:-0xb504f333;  op2val:-0xb504f333
TEST_RR_OP(sub, x12, x10, x11, 0x0, -0xb504f333, -0xb504f333, x1, 288, x2)

inst_324:
// rs1_val==-3037000499 and rs2_val==3037000499, 
// opcode: sub ; op1:x10; op2:x11; dest:x12; op1val:-0xb504f333;  op2val:0xb504f333
TEST_RR_OP(sub, x12, x10, x11, 0xfffffffe95f6199a, -0xb504f333, 0xb504f333, x1, 296, x2)

inst_325:
// rs1_val==-3037000499 and rs2_val==2, 
// opcode: sub ; op1:x10; op2:x11; dest:x12; op1val:-0xb504f333;  op2val:0x2
TEST_RR_OP(sub, x12, x10, x11, 0xffffffff4afb0ccb, -0xb504f333, 0x2, x1, 304, x2)

inst_326:
// rs1_val==-3037000499 and rs2_val==6148914691236517204, 
// opcode: sub ; op1:x10; op2:x11; dest:x12; op1val:-0xb504f333;  op2val:0x5555555555555554
TEST_RR_OP(sub, x12, x10, x11, 0xaaaaaaa9f5a5b779, -0xb504f333, 0x5555555555555554, x1, 312, x2)

inst_327:
// rs1_val==-3037000499 and rs2_val==0, 
// opcode: sub ; op1:x10; op2:x11; dest:x12; op1val:-0xb504f333;  op2val:0x0
TEST_RR_OP(sub, x12, x10, x11, 0xffffffff4afb0ccd, -0xb504f333, 0x0, x1, 320, x2)

inst_328:
// rs1_val==-3037000499 and rs2_val==4, 
// opcode: sub ; op1:x10; op2:x11; dest:x12; op1val:-0xb504f333;  op2val:0x4
TEST_RR_OP(sub, x12, x10, x11, 0xffffffff4afb0cc9, -0xb504f333, 0x4, x1, 328, x2)

inst_329:
// rs1_val==-3037000499 and rs2_val==3689348814741910322, 
// opcode: sub ; op1:x10; op2:x11; dest:x12; op1val:-0xb504f333;  op2val:0x3333333333333332
TEST_RR_OP(sub, x12, x10, x11, 0xcccccccc17c7d99b, -0xb504f333, 0x3333333333333332, x1, 336, x2)

inst_330:
// rs1_val==-3037000499 and rs2_val==7378697629483820645, 
// opcode: sub ; op1:x10; op2:x11; dest:x12; op1val:-0xb504f333;  op2val:0x6666666666666665
TEST_RR_OP(sub, x12, x10, x11, 0x99999998e494a668, -0xb504f333, 0x6666666666666665, x1, 344, x2)

inst_331:
// rs1_val==-3037000499 and rs2_val==3037000498, 
// opcode: sub ; op1:x10; op2:x11; dest:x12; op1val:-0xb504f333;  op2val:0xb504f332
TEST_RR_OP(sub, x12, x10, x11, 0xfffffffe95f6199b, -0xb504f333, 0xb504f332, x1, 352, x2)

inst_332:
// rs1_val==-3037000499 and rs2_val==6148914691236517206, 
// opcode: sub ; op1:x10; op2:x11; dest:x12; op1val:-0xb504f333;  op2val:0x5555555555555556
TEST_RR_OP(sub, x12, x10, x11, 0xaaaaaaa9f5a5b777, -0xb504f333, 0x5555555555555556, x1, 360, x2)

inst_333:
// rs1_val==-3037000499 and rs2_val==-6148914691236517205, 
// opcode: sub ; op1:x10; op2:x11; dest:x12; op1val:-0xb504f333;  op2val:-0x5555555555555555
TEST_RR_OP(sub, x12, x10, x11, 0x55555554a0506222, -0xb504f333, -0x5555555555555555, x1, 368, x2)

inst_334:
// rs1_val==-3037000499 and rs2_val==6, 
// opcode: sub ; op1:x10; op2:x11; dest:x12; op1val:-0xb504f333;  op2val:0x6
TEST_RR_OP(sub, x12, x10, x11, 0xffffffff4afb0cc7, -0xb504f333, 0x6, x1, 376, x2)

inst_335:
// rs1_val==-3037000499 and rs2_val==3689348814741910324, 
// opcode: sub ; op1:x10; op2:x11; dest:x12; op1val:-0xb504f333;  op2val:0x3333333333333334
TEST_RR_OP(sub, x12, x10, x11, 0xcccccccc17c7d999, -0xb504f333, 0x3333333333333334, x1, 384, x2)

inst_336:
// rs1_val==-3037000499 and rs2_val==7378697629483820647, 
// opcode: sub ; op1:x10; op2:x11; dest:x12; op1val:-0xb504f333;  op2val:0x6666666666666667
TEST_RR_OP(sub, x12, x10, x11, 0x99999998e494a666, -0xb504f333, 0x6666666666666667, x1, 392, x2)

inst_337:
// rs1_val==-3037000499 and rs2_val==-3037000498, 
// opcode: sub ; op1:x10; op2:x11; dest:x12; op1val:-0xb504f333;  op2val:-0xb504f332
TEST_RR_OP(sub, x12, x10, x11, 0xffffffffffffffff, -0xb504f333, -0xb504f332, x1, 400, x2)

inst_338:
// rs1_val==-3037000499 and rs2_val==3037000500, 
// opcode: sub ; op1:x10; op2:x11; dest:x12; op1val:-0xb504f333;  op2val:0xb504f334
TEST_RR_OP(sub, x12, x10, x11, 0xfffffffe95f61999, -0xb504f333, 0xb504f334, x1, 408, x2)

inst_339:
// rs1_val==3037000499 and rs2_val==3, 
// opcode: sub ; op1:x10; op2:x11; dest:x12; op1val:0xb504f333;  op2val:0x3
TEST_RR_OP(sub, x12, x10, x11, 0xb504f330, 0xb504f333, 0x3, x1, 416, x2)

inst_340:
// rs1_val==3037000499 and rs2_val==6148914691236517205, 
// opcode: sub ; op1:x10; op2:x11; dest:x12; op1val:0xb504f333;  op2val:0x5555555555555555
TEST_RR_OP(sub, x12, x10, x11, 0xaaaaaaab5faf9dde, 0xb504f333, 0x5555555555555555, x1, 424, x2)

inst_341:
// rs1_val==3037000499 and rs2_val==-6148914691236517206, 
// opcode: sub ; op1:x10; op2:x11; dest:x12; op1val:0xb504f333;  op2val:-0x5555555555555556
TEST_RR_OP(sub, x12, x10, x11, 0x555555560a5a4889, 0xb504f333, -0x5555555555555556, x1, 432, x2)

inst_342:
// rs1_val==3037000499 and rs2_val==5, 
// opcode: sub ; op1:x10; op2:x11; dest:x12; op1val:0xb504f333;  op2val:0x5
TEST_RR_OP(sub, x12, x10, x11, 0xb504f32e, 0xb504f333, 0x5, x1, 440, x2)

inst_343:
// rs1_val==3037000499 and rs2_val==3689348814741910323, 
// opcode: sub ; op1:x10; op2:x11; dest:x12; op1val:0xb504f333;  op2val:0x3333333333333333
TEST_RR_OP(sub, x12, x10, x11, 0xcccccccd81d1c000, 0xb504f333, 0x3333333333333333, x1, 448, x2)

inst_344:
// rs1_val==3037000499 and rs2_val==7378697629483820646, 
// opcode: sub ; op1:x10; op2:x11; dest:x12; op1val:0xb504f333;  op2val:0x6666666666666666
TEST_RR_OP(sub, x12, x10, x11, 0x9999999a4e9e8ccd, 0xb504f333, 0x6666666666666666, x1, 456, x2)

inst_345:
// rs1_val==3037000499 and rs2_val==-3037000499, 
// opcode: sub ; op1:x10; op2:x11; dest:x12; op1val:0xb504f333;  op2val:-0xb504f333
TEST_RR_OP(sub, x12, x10, x11, 0x16a09e666, 0xb504f333, -0xb504f333, x1, 464, x2)

inst_346:
// rs1_val==3037000499 and rs2_val==3037000499, 
// opcode: sub ; op1:x10; op2:x11; dest:x12; op1val:0xb504f333;  op2val:0xb504f333
TEST_RR_OP(sub, x12, x10, x11, 0x0, 0xb504f333, 0xb504f333, x1, 472, x2)

inst_347:
// rs1_val==3037000499 and rs2_val==2, 
// opcode: sub ; op1:x10; op2:x11; dest:x12; op1val:0xb504f333;  op2val:0x2
TEST_RR_OP(sub, x12, x10, x11, 0xb504f331, 0xb504f333, 0x2, x1, 480, x2)

inst_348:
// rs1_val==3037000499 and rs2_val==6148914691236517204, 
// opcode: sub ; op1:x10; op2:x11; dest:x12; op1val:0xb504f333;  op2val:0x5555555555555554
TEST_RR_OP(sub, x12, x10, x11, 0xaaaaaaab5faf9ddf, 0xb504f333, 0x5555555555555554, x1, 488, x2)

inst_349:
// rs1_val==3037000499 and rs2_val==0, 
// opcode: sub ; op1:x10; op2:x11; dest:x12; op1val:0xb504f333;  op2val:0x0
TEST_RR_OP(sub, x12, x10, x11, 0xb504f333, 0xb504f333, 0x0, x1, 496, x2)

inst_350:
// rs1_val==3037000499 and rs2_val==4, 
// opcode: sub ; op1:x10; op2:x11; dest:x12; op1val:0xb504f333;  op2val:0x4
TEST_RR_OP(sub, x12, x10, x11, 0xb504f32f, 0xb504f333, 0x4, x1, 504, x2)

inst_351:
// rs1_val==3037000499 and rs2_val==3689348814741910322, 
// opcode: sub ; op1:x10; op2:x11; dest:x12; op1val:0xb504f333;  op2val:0x3333333333333332
TEST_RR_OP(sub, x12, x10, x11, 0xcccccccd81d1c001, 0xb504f333, 0x3333333333333332, x1, 512, x2)

inst_352:
// rs1_val==3037000499 and rs2_val==7378697629483820645, 
// opcode: sub ; op1:x10; op2:x11; dest:x12; op1val:0xb504f333;  op2val:0x6666666666666665
TEST_RR_OP(sub, x12, x10, x11, 0x9999999a4e9e8cce, 0xb504f333, 0x6666666666666665, x1, 520, x2)

inst_353:
// rs1_val==3037000499 and rs2_val==3037000498, 
// opcode: sub ; op1:x10; op2:x11; dest:x12; op1val:0xb504f333;  op2val:0xb504f332
TEST_RR_OP(sub, x12, x10, x11, 0x1, 0xb504f333, 0xb504f332, x1, 528, x2)

inst_354:
// rs1_val==3037000499 and rs2_val==6148914691236517206, 
// opcode: sub ; op1:x10; op2:x11; dest:x12; op1val:0xb504f333;  op2val:0x5555555555555556
TEST_RR_OP(sub, x12, x10, x11, 0xaaaaaaab5faf9ddd, 0xb504f333, 0x5555555555555556, x1, 536, x2)

inst_355:
// rs1_val==3037000499 and rs2_val==-6148914691236517205, 
// opcode: sub ; op1:x10; op2:x11; dest:x12; op1val:0xb504f333;  op2val:-0x5555555555555555
TEST_RR_OP(sub, x12, x10, x11, 0x555555560a5a4888, 0xb504f333, -0x5555555555555555, x1, 544, x2)

inst_356:
// rs1_val==3037000499 and rs2_val==6, 
// opcode: sub ; op1:x10; op2:x11; dest:x12; op1val:0xb504f333;  op2val:0x6
TEST_RR_OP(sub, x12, x10, x11, 0xb504f32d, 0xb504f333, 0x6, x1, 552, x2)

inst_357:
// rs1_val==3037000499 and rs2_val==3689348814741910324, 
// opcode: sub ; op1:x10; op2:x11; dest:x12; op1val:0xb504f333;  op2val:0x3333333333333334
TEST_RR_OP(sub, x12, x10, x11, 0xcccccccd81d1bfff, 0xb504f333, 0x3333333333333334, x1, 560, x2)

inst_358:
// rs1_val==3037000499 and rs2_val==7378697629483820647, 
// opcode: sub ; op1:x10; op2:x11; dest:x12; op1val:0xb504f333;  op2val:0x6666666666666667
TEST_RR_OP(sub, x12, x10, x11, 0x9999999a4e9e8ccc, 0xb504f333, 0x6666666666666667, x1, 568, x2)

inst_359:
// rs1_val==3037000499 and rs2_val==-3037000498, 
// opcode: sub ; op1:x10; op2:x11; dest:x12; op1val:0xb504f333;  op2val:-0xb504f332
TEST_RR_OP(sub, x12, x10, x11, 0x16a09e665, 0xb504f333, -0xb504f332, x1, 576, x2)

inst_360:
// rs1_val==3037000499 and rs2_val==3037000500, 
// opcode: sub ; op1:x10; op2:x11; dest:x12; op1val:0xb504f333;  op2val:0xb504f334
TEST_RR_OP(sub, x12, x10, x11, 0xffffffffffffffff, 0xb504f333, 0xb504f334, x1, 584, x2)

inst_361:
// rs1_val==2 and rs2_val==3, 
// opcode: sub ; op1:x10; op2:x11; dest:x12; op1val:0x2;  op2val:0x3
TEST_RR_OP(sub, x12, x10, x11, 0xffffffffffffffff, 0x2, 0x3, x1, 592, x2)

inst_362:
// rs1_val==2 and rs2_val==6148914691236517205, 
// opcode: sub ; op1:x10; op2:x11; dest:x12; op1val:0x2;  op2val:0x5555555555555555
TEST_RR_OP(sub, x12, x10, x11, 0xaaaaaaaaaaaaaaad, 0x2, 0x5555555555555555, x1, 600, x2)

inst_363:
// rs1_val==2 and rs2_val==-6148914691236517206, 
// opcode: sub ; op1:x10; op2:x11; dest:x12; op1val:0x2;  op2val:-0x5555555555555556
TEST_RR_OP(sub, x12, x10, x11, 0x5555555555555558, 0x2, -0x5555555555555556, x1, 608, x2)

inst_364:
// rs1_val==2 and rs2_val==5, 
// opcode: sub ; op1:x10; op2:x11; dest:x12; op1val:0x2;  op2val:0x5
TEST_RR_OP(sub, x12, x10, x11, 0xfffffffffffffffd, 0x2, 0x5, x1, 616, x2)

inst_365:
// rs1_val==2 and rs2_val==3689348814741910323, 
// opcode: sub ; op1:x10; op2:x11; dest:x12; op1val:0x2;  op2val:0x3333333333333333
TEST_RR_OP(sub, x12, x10, x11, 0xcccccccccccccccf, 0x2, 0x3333333333333333, x1, 624, x2)

inst_366:
// rs1_val==2 and rs2_val==7378697629483820646, 
// opcode: sub ; op1:x10; op2:x11; dest:x12; op1val:0x2;  op2val:0x6666666666666666
TEST_RR_OP(sub, x12, x10, x11, 0x999999999999999c, 0x2, 0x6666666666666666, x1, 632, x2)

inst_367:
// rs1_val==2 and rs2_val==-3037000499, 
// opcode: sub ; op1:x10; op2:x11; dest:x12; op1val:0x2;  op2val:-0xb504f333
TEST_RR_OP(sub, x12, x10, x11, 0xb504f335, 0x2, -0xb504f333, x1, 640, x2)

inst_368:
// rs1_val==2 and rs2_val==3037000499, 
// opcode: sub ; op1:x10; op2:x11; dest:x12; op1val:0x2;  op2val:0xb504f333
TEST_RR_OP(sub, x12, x10, x11, 0xffffffff4afb0ccf, 0x2, 0xb504f333, x1, 648, x2)

inst_369:
// rs1_val==2 and rs2_val==2, 
// opcode: sub ; op1:x10; op2:x11; dest:x12; op1val:0x2;  op2val:0x2
TEST_RR_OP(sub, x12, x10, x11, 0x0, 0x2, 0x2, x1, 656, x2)

inst_370:
// rs1_val==2 and rs2_val==6148914691236517204, 
// opcode: sub ; op1:x10; op2:x11; dest:x12; op1val:0x2;  op2val:0x5555555555555554
TEST_RR_OP(sub, x12, x10, x11, 0xaaaaaaaaaaaaaaae, 0x2, 0x5555555555555554, x1, 664, x2)

inst_371:
// rs1_val==2 and rs2_val==0, 
// opcode: sub ; op1:x10; op2:x11; dest:x12; op1val:0x2;  op2val:0x0
TEST_RR_OP(sub, x12, x10, x11, 0x2, 0x2, 0x0, x1, 672, x2)

inst_372:
// rs1_val==2 and rs2_val==4, 
// opcode: sub ; op1:x10; op2:x11; dest:x12; op1val:0x2;  op2val:0x4
TEST_RR_OP(sub, x12, x10, x11, 0xfffffffffffffffe, 0x2, 0x4, x1, 680, x2)

inst_373:
// rs1_val==2 and rs2_val==3689348814741910322, 
// opcode: sub ; op1:x10; op2:x11; dest:x12; op1val:0x2;  op2val:0x3333333333333332
TEST_RR_OP(sub, x12, x10, x11, 0xccccccccccccccd0, 0x2, 0x3333333333333332, x1, 688, x2)

inst_374:
// rs1_val==2 and rs2_val==7378697629483820645, 
// opcode: sub ; op1:x10; op2:x11; dest:x12; op1val:0x2;  op2val:0x6666666666666665
TEST_RR_OP(sub, x12, x10, x11, 0x999999999999999d, 0x2, 0x6666666666666665, x1, 696, x2)

inst_375:
// rs1_val==2 and rs2_val==3037000498, 
// opcode: sub ; op1:x10; op2:x11; dest:x12; op1val:0x2;  op2val:0xb504f332
TEST_RR_OP(sub, x12, x10, x11, 0xffffffff4afb0cd0, 0x2, 0xb504f332, x1, 704, x2)

inst_376:
// rs1_val==2 and rs2_val==6148914691236517206, 
// opcode: sub ; op1:x10; op2:x11; dest:x12; op1val:0x2;  op2val:0x5555555555555556
TEST_RR_OP(sub, x12, x10, x11, 0xaaaaaaaaaaaaaaac, 0x2, 0x5555555555555556, x1, 712, x2)

inst_377:
// rs1_val==2 and rs2_val==-6148914691236517205, 
// opcode: sub ; op1:x10; op2:x11; dest:x12; op1val:0x2;  op2val:-0x5555555555555555
TEST_RR_OP(sub, x12, x10, x11, 0x5555555555555557, 0x2, -0x5555555555555555, x1, 720, x2)

inst_378:
// rs1_val==2 and rs2_val==6, 
// opcode: sub ; op1:x10; op2:x11; dest:x12; op1val:0x2;  op2val:0x6
TEST_RR_OP(sub, x12, x10, x11, 0xfffffffffffffffc, 0x2, 0x6, x1, 728, x2)

inst_379:
// rs1_val==2 and rs2_val==3689348814741910324, 
// opcode: sub ; op1:x10; op2:x11; dest:x12; op1val:0x2;  op2val:0x3333333333333334
TEST_RR_OP(sub, x12, x10, x11, 0xccccccccccccccce, 0x2, 0x3333333333333334, x1, 736, x2)

inst_380:
// rs1_val==2 and rs2_val==7378697629483820647, 
// opcode: sub ; op1:x10; op2:x11; dest:x12; op1val:0x2;  op2val:0x6666666666666667
TEST_RR_OP(sub, x12, x10, x11, 0x999999999999999b, 0x2, 0x6666666666666667, x1, 744, x2)

inst_381:
// rs1_val==2 and rs2_val==-3037000498, 
// opcode: sub ; op1:x10; op2:x11; dest:x12; op1val:0x2;  op2val:-0xb504f332
TEST_RR_OP(sub, x12, x10, x11, 0xb504f334, 0x2, -0xb504f332, x1, 752, x2)

inst_382:
// rs1_val==2 and rs2_val==3037000500, 
// opcode: sub ; op1:x10; op2:x11; dest:x12; op1val:0x2;  op2val:0xb504f334
TEST_RR_OP(sub, x12, x10, x11, 0xffffffff4afb0cce, 0x2, 0xb504f334, x1, 760, x2)

inst_383:
// rs1_val==6148914691236517204 and rs2_val==3, 
// opcode: sub ; op1:x10; op2:x11; dest:x12; op1val:0x5555555555555554;  op2val:0x3
TEST_RR_OP(sub, x12, x10, x11, 0x5555555555555551, 0x5555555555555554, 0x3, x1, 768, x2)

inst_384:
// rs1_val==6148914691236517204 and rs2_val==6148914691236517205, 
// opcode: sub ; op1:x10; op2:x11; dest:x12; op1val:0x5555555555555554;  op2val:0x5555555555555555
TEST_RR_OP(sub, x12, x10, x11, 0xffffffffffffffff, 0x5555555555555554, 0x5555555555555555, x1, 776, x2)

inst_385:
// rs1_val==6148914691236517204 and rs2_val==-6148914691236517206, 
// opcode: sub ; op1:x10; op2:x11; dest:x12; op1val:0x5555555555555554;  op2val:-0x5555555555555556
TEST_RR_OP(sub, x12, x10, x11, 0xaaaaaaaaaaaaaaaa, 0x5555555555555554, -0x5555555555555556, x1, 784, x2)

inst_386:
// rs1_val==6148914691236517204 and rs2_val==5, 
// opcode: sub ; op1:x10; op2:x11; dest:x12; op1val:0x5555555555555554;  op2val:0x5
TEST_RR_OP(sub, x12, x10, x11, 0x555555555555554f, 0x5555555555555554, 0x5, x1, 792, x2)

inst_387:
// rs1_val==6148914691236517204 and rs2_val==3689348814741910323, 
// opcode: sub ; op1:x10; op2:x11; dest:x12; op1val:0x5555555555555554;  op2val:0x3333333333333333
TEST_RR_OP(sub, x12, x10, x11, 0x2222222222222221, 0x5555555555555554, 0x3333333333333333, x1, 800, x2)

inst_388:
// rs1_val==6148914691236517204 and rs2_val==7378697629483820646, 
// opcode: sub ; op1:x10; op2:x11; dest:x12; op1val:0x5555555555555554;  op2val:0x6666666666666666
TEST_RR_OP(sub, x12, x10, x11, 0xeeeeeeeeeeeeeeee, 0x5555555555555554, 0x6666666666666666, x1, 808, x2)

inst_389:
// rs1_val==6148914691236517204 and rs2_val==-3037000499, 
// opcode: sub ; op1:x10; op2:x11; dest:x12; op1val:0x5555555555555554;  op2val:-0xb504f333
TEST_RR_OP(sub, x12, x10, x11, 0x555555560a5a4887, 0x5555555555555554, -0xb504f333, x1, 816, x2)

inst_390:
// rs1_val==6148914691236517204 and rs2_val==3037000499, 
// opcode: sub ; op1:x10; op2:x11; dest:x12; op1val:0x5555555555555554;  op2val:0xb504f333
TEST_RR_OP(sub, x12, x10, x11, 0x55555554a0506221, 0x5555555555555554, 0xb504f333, x1, 824, x2)

inst_391:
// rs1_val==6148914691236517204 and rs2_val==2, 
// opcode: sub ; op1:x10; op2:x11; dest:x12; op1val:0x5555555555555554;  op2val:0x2
TEST_RR_OP(sub, x12, x10, x11, 0x5555555555555552, 0x5555555555555554, 0x2, x1, 832, x2)

inst_392:
// rs1_val==6148914691236517204 and rs2_val==6148914691236517204, 
// opcode: sub ; op1:x10; op2:x11; dest:x12; op1val:0x5555555555555554;  op2val:0x5555555555555554
TEST_RR_OP(sub, x12, x10, x11, 0x0, 0x5555555555555554, 0x5555555555555554, x1, 840, x2)

inst_393:
// rs1_val==6148914691236517204 and rs2_val==0, 
// opcode: sub ; op1:x10; op2:x11; dest:x12; op1val:0x5555555555555554;  op2val:0x0
TEST_RR_OP(sub, x12, x10, x11, 0x5555555555555554, 0x5555555555555554, 0x0, x1, 848, x2)

inst_394:
// rs1_val==6148914691236517204 and rs2_val==4, 
// opcode: sub ; op1:x10; op2:x11; dest:x12; op1val:0x5555555555555554;  op2val:0x4
TEST_RR_OP(sub, x12, x10, x11, 0x5555555555555550, 0x5555555555555554, 0x4, x1, 856, x2)

inst_395:
// rs1_val==6148914691236517204 and rs2_val==3689348814741910322, 
// opcode: sub ; op1:x10; op2:x11; dest:x12; op1val:0x5555555555555554;  op2val:0x3333333333333332
TEST_RR_OP(sub, x12, x10, x11, 0x2222222222222222, 0x5555555555555554, 0x3333333333333332, x1, 864, x2)

inst_396:
// rs1_val==6148914691236517204 and rs2_val==7378697629483820645, 
// opcode: sub ; op1:x10; op2:x11; dest:x12; op1val:0x5555555555555554;  op2val:0x6666666666666665
TEST_RR_OP(sub, x12, x10, x11, 0xeeeeeeeeeeeeeeef, 0x5555555555555554, 0x6666666666666665, x1, 872, x2)

inst_397:
// rs1_val==6148914691236517204 and rs2_val==3037000498, 
// opcode: sub ; op1:x10; op2:x11; dest:x12; op1val:0x5555555555555554;  op2val:0xb504f332
TEST_RR_OP(sub, x12, x10, x11, 0x55555554a0506222, 0x5555555555555554, 0xb504f332, x1, 880, x2)

inst_398:
// rs1_val==6148914691236517204 and rs2_val==6148914691236517206, 
// opcode: sub ; op1:x10; op2:x11; dest:x12; op1val:0x5555555555555554;  op2val:0x5555555555555556
TEST_RR_OP(sub, x12, x10, x11, 0xfffffffffffffffe, 0x5555555555555554, 0x5555555555555556, x1, 888, x2)

inst_399:
// rs1_val==6148914691236517204 and rs2_val==-6148914691236517205, 
// opcode: sub ; op1:x10; op2:x11; dest:x12; op1val:0x5555555555555554;  op2val:-0x5555555555555555
TEST_RR_OP(sub, x12, x10, x11, 0xaaaaaaaaaaaaaaa9, 0x5555555555555554, -0x5555555555555555, x1, 896, x2)

inst_400:
// rs1_val==6148914691236517204 and rs2_val==6, 
// opcode: sub ; op1:x10; op2:x11; dest:x12; op1val:0x5555555555555554;  op2val:0x6
TEST_RR_OP(sub, x12, x10, x11, 0x555555555555554e, 0x5555555555555554, 0x6, x1, 904, x2)

inst_401:
// rs1_val==6148914691236517204 and rs2_val==3689348814741910324, 
// opcode: sub ; op1:x10; op2:x11; dest:x12; op1val:0x5555555555555554;  op2val:0x3333333333333334
TEST_RR_OP(sub, x12, x10, x11, 0x2222222222222220, 0x5555555555555554, 0x3333333333333334, x1, 912, x2)

inst_402:
// rs1_val==6148914691236517204 and rs2_val==7378697629483820647, 
// opcode: sub ; op1:x10; op2:x11; dest:x12; op1val:0x5555555555555554;  op2val:0x6666666666666667
TEST_RR_OP(sub, x12, x10, x11, 0xeeeeeeeeeeeeeeed, 0x5555555555555554, 0x6666666666666667, x1, 920, x2)

inst_403:
// rs1_val==6148914691236517204 and rs2_val==-3037000498, 
// opcode: sub ; op1:x10; op2:x11; dest:x12; op1val:0x5555555555555554;  op2val:-0xb504f332
TEST_RR_OP(sub, x12, x10, x11, 0x555555560a5a4886, 0x5555555555555554, -0xb504f332, x1, 928, x2)

inst_404:
// rs1_val==6148914691236517204 and rs2_val==3037000500, 
// opcode: sub ; op1:x10; op2:x11; dest:x12; op1val:0x5555555555555554;  op2val:0xb504f334
TEST_RR_OP(sub, x12, x10, x11, 0x55555554a0506220, 0x5555555555555554, 0xb504f334, x1, 936, x2)

inst_405:
// rs1_val==0 and rs2_val==3, 
// opcode: sub ; op1:x10; op2:x11; dest:x12; op1val:0x0;  op2val:0x3
TEST_RR_OP(sub, x12, x10, x11, 0xfffffffffffffffd, 0x0, 0x3, x1, 944, x2)

inst_406:
// rs1_val==0 and rs2_val==6148914691236517205, 
// opcode: sub ; op1:x10; op2:x11; dest:x12; op1val:0x0;  op2val:0x5555555555555555
TEST_RR_OP(sub, x12, x10, x11, 0xaaaaaaaaaaaaaaab, 0x0, 0x5555555555555555, x1, 952, x2)

inst_407:
// rs1_val==0 and rs2_val==-6148914691236517206, 
// opcode: sub ; op1:x10; op2:x11; dest:x12; op1val:0x0;  op2val:-0x5555555555555556
TEST_RR_OP(sub, x12, x10, x11, 0x5555555555555556, 0x0, -0x5555555555555556, x1, 960, x2)

inst_408:
// rs1_val==0 and rs2_val==5, 
// opcode: sub ; op1:x10; op2:x11; dest:x12; op1val:0x0;  op2val:0x5
TEST_RR_OP(sub, x12, x10, x11, 0xfffffffffffffffb, 0x0, 0x5, x1, 968, x2)

inst_409:
// rs1_val==0 and rs2_val==3689348814741910323, 
// opcode: sub ; op1:x10; op2:x11; dest:x12; op1val:0x0;  op2val:0x3333333333333333
TEST_RR_OP(sub, x12, x10, x11, 0xcccccccccccccccd, 0x0, 0x3333333333333333, x1, 976, x2)

inst_410:
// rs1_val==0 and rs2_val==7378697629483820646, 
// opcode: sub ; op1:x10; op2:x11; dest:x12; op1val:0x0;  op2val:0x6666666666666666
TEST_RR_OP(sub, x12, x10, x11, 0x999999999999999a, 0x0, 0x6666666666666666, x1, 984, x2)

inst_411:
// rs1_val==0 and rs2_val==-3037000499, 
// opcode: sub ; op1:x10; op2:x11; dest:x12; op1val:0x0;  op2val:-0xb504f333
TEST_RR_OP(sub, x12, x10, x11, 0xb504f333, 0x0, -0xb504f333, x1, 992, x2)

inst_412:
// rs1_val==0 and rs2_val==-3037000498, 
// opcode: sub ; op1:x10; op2:x11; dest:x12; op1val:0x0;  op2val:-0xb504f332
TEST_RR_OP(sub, x12, x10, x11, 0xb504f332, 0x0, -0xb504f332, x1, 1000, x2)

inst_413:
// rs1_val==0 and rs2_val==3037000500, 
// opcode: sub ; op1:x10; op2:x11; dest:x12; op1val:0x0;  op2val:0xb504f334
TEST_RR_OP(sub, x12, x10, x11, 0xffffffff4afb0ccc, 0x0, 0xb504f334, x1, 1008, x2)

inst_414:
// rs1_val==4 and rs2_val==3, 
// opcode: sub ; op1:x10; op2:x11; dest:x12; op1val:0x4;  op2val:0x3
TEST_RR_OP(sub, x12, x10, x11, 0x1, 0x4, 0x3, x1, 1016, x2)

inst_415:
// rs1_val==4 and rs2_val==6148914691236517205, 
// opcode: sub ; op1:x10; op2:x11; dest:x12; op1val:0x4;  op2val:0x5555555555555555
TEST_RR_OP(sub, x12, x10, x11, 0xaaaaaaaaaaaaaaaf, 0x4, 0x5555555555555555, x1, 1024, x2)

inst_416:
// rs1_val==4 and rs2_val==-6148914691236517206, 
// opcode: sub ; op1:x10; op2:x11; dest:x12; op1val:0x4;  op2val:-0x5555555555555556
TEST_RR_OP(sub, x12, x10, x11, 0x555555555555555a, 0x4, -0x5555555555555556, x1, 1032, x2)

inst_417:
// rs1_val==4 and rs2_val==5, 
// opcode: sub ; op1:x10; op2:x11; dest:x12; op1val:0x4;  op2val:0x5
TEST_RR_OP(sub, x12, x10, x11, 0xffffffffffffffff, 0x4, 0x5, x1, 1040, x2)

inst_418:
// rs1_val==4 and rs2_val==3689348814741910323, 
// opcode: sub ; op1:x10; op2:x11; dest:x12; op1val:0x4;  op2val:0x3333333333333333
TEST_RR_OP(sub, x12, x10, x11, 0xccccccccccccccd1, 0x4, 0x3333333333333333, x1, 1048, x2)

inst_419:
// rs1_val==4 and rs2_val==7378697629483820646, 
// opcode: sub ; op1:x10; op2:x11; dest:x12; op1val:0x4;  op2val:0x6666666666666666
TEST_RR_OP(sub, x12, x10, x11, 0x999999999999999e, 0x4, 0x6666666666666666, x1, 1056, x2)

inst_420:
// rs1_val==4 and rs2_val==-3037000499, 
// opcode: sub ; op1:x10; op2:x11; dest:x12; op1val:0x4;  op2val:-0xb504f333
TEST_RR_OP(sub, x12, x10, x11, 0xb504f337, 0x4, -0xb504f333, x1, 1064, x2)

inst_421:
// rs1_val==4 and rs2_val==3037000499, 
// opcode: sub ; op1:x10; op2:x11; dest:x12; op1val:0x4;  op2val:0xb504f333
TEST_RR_OP(sub, x12, x10, x11, 0xffffffff4afb0cd1, 0x4, 0xb504f333, x1, 1072, x2)

inst_422:
// rs1_val==4 and rs2_val==2, 
// opcode: sub ; op1:x10; op2:x11; dest:x12; op1val:0x4;  op2val:0x2
TEST_RR_OP(sub, x12, x10, x11, 0x2, 0x4, 0x2, x1, 1080, x2)

inst_423:
// rs1_val==4 and rs2_val==6148914691236517204, 
// opcode: sub ; op1:x10; op2:x11; dest:x12; op1val:0x4;  op2val:0x5555555555555554
TEST_RR_OP(sub, x12, x10, x11, 0xaaaaaaaaaaaaaab0, 0x4, 0x5555555555555554, x1, 1088, x2)

inst_424:
// rs1_val==4 and rs2_val==0, 
// opcode: sub ; op1:x10; op2:x11; dest:x12; op1val:0x4;  op2val:0x0
TEST_RR_OP(sub, x12, x10, x11, 0x4, 0x4, 0x0, x1, 1096, x2)

inst_425:
// rs1_val==4 and rs2_val==3689348814741910322, 
// opcode: sub ; op1:x10; op2:x11; dest:x12; op1val:0x4;  op2val:0x3333333333333332
TEST_RR_OP(sub, x12, x10, x11, 0xccccccccccccccd2, 0x4, 0x3333333333333332, x1, 1104, x2)

inst_426:
// rs1_val==4 and rs2_val==7378697629483820645, 
// opcode: sub ; op1:x10; op2:x11; dest:x12; op1val:0x4;  op2val:0x6666666666666665
TEST_RR_OP(sub, x12, x10, x11, 0x999999999999999f, 0x4, 0x6666666666666665, x1, 1112, x2)

inst_427:
// rs1_val==4 and rs2_val==3037000498, 
// opcode: sub ; op1:x10; op2:x11; dest:x12; op1val:0x4;  op2val:0xb504f332
TEST_RR_OP(sub, x12, x10, x11, 0xffffffff4afb0cd2, 0x4, 0xb504f332, x1, 1120, x2)

inst_428:
// rs1_val==4 and rs2_val==6148914691236517206, 
// opcode: sub ; op1:x10; op2:x11; dest:x12; op1val:0x4;  op2val:0x5555555555555556
TEST_RR_OP(sub, x12, x10, x11, 0xaaaaaaaaaaaaaaae, 0x4, 0x5555555555555556, x1, 1128, x2)

inst_429:
// rs1_val==4 and rs2_val==-6148914691236517205, 
// opcode: sub ; op1:x10; op2:x11; dest:x12; op1val:0x4;  op2val:-0x5555555555555555
TEST_RR_OP(sub, x12, x10, x11, 0x5555555555555559, 0x4, -0x5555555555555555, x1, 1136, x2)

inst_430:
// rs1_val==4 and rs2_val==6, 
// opcode: sub ; op1:x10; op2:x11; dest:x12; op1val:0x4;  op2val:0x6
TEST_RR_OP(sub, x12, x10, x11, 0xfffffffffffffffe, 0x4, 0x6, x1, 1144, x2)

inst_431:
// rs1_val==4 and rs2_val==3689348814741910324, 
// opcode: sub ; op1:x10; op2:x11; dest:x12; op1val:0x4;  op2val:0x3333333333333334
TEST_RR_OP(sub, x12, x10, x11, 0xccccccccccccccd0, 0x4, 0x3333333333333334, x1, 1152, x2)

inst_432:
// rs1_val==4 and rs2_val==7378697629483820647, 
// opcode: sub ; op1:x10; op2:x11; dest:x12; op1val:0x4;  op2val:0x6666666666666667
TEST_RR_OP(sub, x12, x10, x11, 0x999999999999999d, 0x4, 0x6666666666666667, x1, 1160, x2)

inst_433:
// rs1_val==4 and rs2_val==-3037000498, 
// opcode: sub ; op1:x10; op2:x11; dest:x12; op1val:0x4;  op2val:-0xb504f332
TEST_RR_OP(sub, x12, x10, x11, 0xb504f336, 0x4, -0xb504f332, x1, 1168, x2)

inst_434:
// rs1_val==4 and rs2_val==3037000500, 
// opcode: sub ; op1:x10; op2:x11; dest:x12; op1val:0x4;  op2val:0xb504f334
TEST_RR_OP(sub, x12, x10, x11, 0xffffffff4afb0cd0, 0x4, 0xb504f334, x1, 1176, x2)

inst_435:
// rs1_val==3689348814741910322 and rs2_val==3, 
// opcode: sub ; op1:x10; op2:x11; dest:x12; op1val:0x3333333333333332;  op2val:0x3
TEST_RR_OP(sub, x12, x10, x11, 0x333333333333332f, 0x3333333333333332, 0x3, x1, 1184, x2)

inst_436:
// rs1_val==3689348814741910322 and rs2_val==6148914691236517205, 
// opcode: sub ; op1:x10; op2:x11; dest:x12; op1val:0x3333333333333332;  op2val:0x5555555555555555
TEST_RR_OP(sub, x12, x10, x11, 0xdddddddddddddddd, 0x3333333333333332, 0x5555555555555555, x1, 1192, x2)

inst_437:
// rs1_val==3689348814741910322 and rs2_val==-6148914691236517206, 
// opcode: sub ; op1:x10; op2:x11; dest:x12; op1val:0x3333333333333332;  op2val:-0x5555555555555556
TEST_RR_OP(sub, x12, x10, x11, 0x8888888888888888, 0x3333333333333332, -0x5555555555555556, x1, 1200, x2)

inst_438:
// rs1_val==3689348814741910322 and rs2_val==5, 
// opcode: sub ; op1:x10; op2:x11; dest:x12; op1val:0x3333333333333332;  op2val:0x5
TEST_RR_OP(sub, x12, x10, x11, 0x333333333333332d, 0x3333333333333332, 0x5, x1, 1208, x2)

inst_439:
// rs1_val==3689348814741910322 and rs2_val==3689348814741910323, 
// opcode: sub ; op1:x10; op2:x11; dest:x12; op1val:0x3333333333333332;  op2val:0x3333333333333333
TEST_RR_OP(sub, x12, x10, x11, 0xffffffffffffffff, 0x3333333333333332, 0x3333333333333333, x1, 1216, x2)

inst_440:
// rs1_val==3689348814741910322 and rs2_val==7378697629483820646, 
// opcode: sub ; op1:x10; op2:x11; dest:x12; op1val:0x3333333333333332;  op2val:0x6666666666666666
TEST_RR_OP(sub, x12, x10, x11, 0xcccccccccccccccc, 0x3333333333333332, 0x6666666666666666, x1, 1224, x2)

inst_441:
// rs1_val==3689348814741910322 and rs2_val==-3037000499, 
// opcode: sub ; op1:x10; op2:x11; dest:x12; op1val:0x3333333333333332;  op2val:-0xb504f333
TEST_RR_OP(sub, x12, x10, x11, 0x33333333e8382665, 0x3333333333333332, -0xb504f333, x1, 1232, x2)

inst_442:
// rs1_val==3689348814741910322 and rs2_val==3037000499, 
// opcode: sub ; op1:x10; op2:x11; dest:x12; op1val:0x3333333333333332;  op2val:0xb504f333
TEST_RR_OP(sub, x12, x10, x11, 0x333333327e2e3fff, 0x3333333333333332, 0xb504f333, x1, 1240, x2)

inst_443:
// rs1_val==3689348814741910322 and rs2_val==2, 
// opcode: sub ; op1:x10; op2:x11; dest:x12; op1val:0x3333333333333332;  op2val:0x2
TEST_RR_OP(sub, x12, x10, x11, 0x3333333333333330, 0x3333333333333332, 0x2, x1, 1248, x2)

inst_444:
// rs1_val==3689348814741910322 and rs2_val==6148914691236517204, 
// opcode: sub ; op1:x10; op2:x11; dest:x12; op1val:0x3333333333333332;  op2val:0x5555555555555554
TEST_RR_OP(sub, x12, x10, x11, 0xddddddddddddddde, 0x3333333333333332, 0x5555555555555554, x1, 1256, x2)

inst_445:
// rs1_val==3689348814741910322 and rs2_val==0, 
// opcode: sub ; op1:x10; op2:x11; dest:x12; op1val:0x3333333333333332;  op2val:0x0
TEST_RR_OP(sub, x12, x10, x11, 0x3333333333333332, 0x3333333333333332, 0x0, x1, 1264, x2)

inst_446:
// rs1_val==3689348814741910322 and rs2_val==4, 
// opcode: sub ; op1:x10; op2:x11; dest:x12; op1val:0x3333333333333332;  op2val:0x4
TEST_RR_OP(sub, x12, x10, x11, 0x333333333333332e, 0x3333333333333332, 0x4, x1, 1272, x2)

inst_447:
// rs1_val==3689348814741910322 and rs2_val==3689348814741910322, 
// opcode: sub ; op1:x10; op2:x11; dest:x12; op1val:0x3333333333333332;  op2val:0x3333333333333332
TEST_RR_OP(sub, x12, x10, x11, 0x0, 0x3333333333333332, 0x3333333333333332, x1, 1280, x2)

inst_448:
// rs1_val==3689348814741910322 and rs2_val==7378697629483820645, 
// opcode: sub ; op1:x10; op2:x11; dest:x12; op1val:0x3333333333333332;  op2val:0x6666666666666665
TEST_RR_OP(sub, x12, x10, x11, 0xcccccccccccccccd, 0x3333333333333332, 0x6666666666666665, x1, 1288, x2)

inst_449:
// rs1_val==3689348814741910322 and rs2_val==3037000498, 
// opcode: sub ; op1:x10; op2:x11; dest:x12; op1val:0x3333333333333332;  op2val:0xb504f332
TEST_RR_OP(sub, x12, x10, x11, 0x333333327e2e4000, 0x3333333333333332, 0xb504f332, x1, 1296, x2)

inst_450:
// rs1_val==3689348814741910322 and rs2_val==6148914691236517206, 
// opcode: sub ; op1:x10; op2:x11; dest:x12; op1val:0x3333333333333332;  op2val:0x5555555555555556
TEST_RR_OP(sub, x12, x10, x11, 0xdddddddddddddddc, 0x3333333333333332, 0x5555555555555556, x1, 1304, x2)

inst_451:
// rs1_val==3689348814741910322 and rs2_val==-6148914691236517205, 
// opcode: sub ; op1:x10; op2:x11; dest:x12; op1val:0x3333333333333332;  op2val:-0x5555555555555555
TEST_RR_OP(sub, x12, x10, x11, 0x8888888888888887, 0x3333333333333332, -0x5555555555555555, x1, 1312, x2)

inst_452:
// rs1_val==3689348814741910322 and rs2_val==6, 
// opcode: sub ; op1:x10; op2:x11; dest:x12; op1val:0x3333333333333332;  op2val:0x6
TEST_RR_OP(sub, x12, x10, x11, 0x333333333333332c, 0x3333333333333332, 0x6, x1, 1320, x2)

inst_453:
// rs1_val==3689348814741910322 and rs2_val==3689348814741910324, 
// opcode: sub ; op1:x10; op2:x11; dest:x12; op1val:0x3333333333333332;  op2val:0x3333333333333334
TEST_RR_OP(sub, x12, x10, x11, 0xfffffffffffffffe, 0x3333333333333332, 0x3333333333333334, x1, 1328, x2)

inst_454:
// rs1_val==3689348814741910322 and rs2_val==7378697629483820647, 
// opcode: sub ; op1:x10; op2:x11; dest:x12; op1val:0x3333333333333332;  op2val:0x6666666666666667
TEST_RR_OP(sub, x12, x10, x11, 0xcccccccccccccccb, 0x3333333333333332, 0x6666666666666667, x1, 1336, x2)

inst_455:
// rs1_val==3689348814741910322 and rs2_val==-3037000498, 
// opcode: sub ; op1:x10; op2:x11; dest:x12; op1val:0x3333333333333332;  op2val:-0xb504f332
TEST_RR_OP(sub, x12, x10, x11, 0x33333333e8382664, 0x3333333333333332, -0xb504f332, x1, 1344, x2)

inst_456:
// rs1_val==3689348814741910322 and rs2_val==3037000500, 
// opcode: sub ; op1:x10; op2:x11; dest:x12; op1val:0x3333333333333332;  op2val:0xb504f334
TEST_RR_OP(sub, x12, x10, x11, 0x333333327e2e3ffe, 0x3333333333333332, 0xb504f334, x1, 1352, x2)

inst_457:
// rs1_val==7378697629483820645 and rs2_val==3, 
// opcode: sub ; op1:x10; op2:x11; dest:x12; op1val:0x6666666666666665;  op2val:0x3
TEST_RR_OP(sub, x12, x10, x11, 0x6666666666666662, 0x6666666666666665, 0x3, x1, 1360, x2)

inst_458:
// rs1_val==7378697629483820645 and rs2_val==6148914691236517205, 
// opcode: sub ; op1:x10; op2:x11; dest:x12; op1val:0x6666666666666665;  op2val:0x5555555555555555
TEST_RR_OP(sub, x12, x10, x11, 0x1111111111111110, 0x6666666666666665, 0x5555555555555555, x1, 1368, x2)

inst_459:
// rs1_val==7378697629483820645 and rs2_val==-6148914691236517206, 
// opcode: sub ; op1:x10; op2:x11; dest:x12; op1val:0x6666666666666665;  op2val:-0x5555555555555556
TEST_RR_OP(sub, x12, x10, x11, 0xbbbbbbbbbbbbbbbb, 0x6666666666666665, -0x5555555555555556, x1, 1376, x2)

inst_460:
// rs1_val==7378697629483820645 and rs2_val==5, 
// opcode: sub ; op1:x10; op2:x11; dest:x12; op1val:0x6666666666666665;  op2val:0x5
TEST_RR_OP(sub, x12, x10, x11, 0x6666666666666660, 0x6666666666666665, 0x5, x1, 1384, x2)

inst_461:
// rs1_val==7378697629483820645 and rs2_val==3689348814741910323, 
// opcode: sub ; op1:x10; op2:x11; dest:x12; op1val:0x6666666666666665;  op2val:0x3333333333333333
TEST_RR_OP(sub, x12, x10, x11, 0x3333333333333332, 0x6666666666666665, 0x3333333333333333, x1, 1392, x2)

inst_462:
// rs1_val==7378697629483820645 and rs2_val==7378697629483820646, 
// opcode: sub ; op1:x10; op2:x11; dest:x12; op1val:0x6666666666666665;  op2val:0x6666666666666666
TEST_RR_OP(sub, x12, x10, x11, 0xffffffffffffffff, 0x6666666666666665, 0x6666666666666666, x1, 1400, x2)

inst_463:
// rs1_val==7378697629483820645 and rs2_val==-3037000499, 
// opcode: sub ; op1:x10; op2:x11; dest:x12; op1val:0x6666666666666665;  op2val:-0xb504f333
TEST_RR_OP(sub, x12, x10, x11, 0x666666671b6b5998, 0x6666666666666665, -0xb504f333, x1, 1408, x2)

inst_464:
// rs1_val==7378697629483820645 and rs2_val==3037000499, 
// opcode: sub ; op1:x10; op2:x11; dest:x12; op1val:0x6666666666666665;  op2val:0xb504f333
TEST_RR_OP(sub, x12, x10, x11, 0x66666665b1617332, 0x6666666666666665, 0xb504f333, x1, 1416, x2)

inst_465:
// rs1_val==7378697629483820645 and rs2_val==2, 
// opcode: sub ; op1:x10; op2:x11; dest:x12; op1val:0x6666666666666665;  op2val:0x2
TEST_RR_OP(sub, x12, x10, x11, 0x6666666666666663, 0x6666666666666665, 0x2, x1, 1424, x2)

inst_466:
// rs1_val==7378697629483820645 and rs2_val==6148914691236517204, 
// opcode: sub ; op1:x10; op2:x11; dest:x12; op1val:0x6666666666666665;  op2val:0x5555555555555554
TEST_RR_OP(sub, x12, x10, x11, 0x1111111111111111, 0x6666666666666665, 0x5555555555555554, x1, 1432, x2)

inst_467:
// rs1_val==7378697629483820645 and rs2_val==0, 
// opcode: sub ; op1:x10; op2:x11; dest:x12; op1val:0x6666666666666665;  op2val:0x0
TEST_RR_OP(sub, x12, x10, x11, 0x6666666666666665, 0x6666666666666665, 0x0, x1, 1440, x2)

inst_468:
// rs1_val==7378697629483820645 and rs2_val==4, 
// opcode: sub ; op1:x10; op2:x11; dest:x12; op1val:0x6666666666666665;  op2val:0x4
TEST_RR_OP(sub, x12, x10, x11, 0x6666666666666661, 0x6666666666666665, 0x4, x1, 1448, x2)

inst_469:
// rs1_val==7378697629483820645 and rs2_val==3689348814741910322, 
// opcode: sub ; op1:x10; op2:x11; dest:x12; op1val:0x6666666666666665;  op2val:0x3333333333333332
TEST_RR_OP(sub, x12, x10, x11, 0x3333333333333333, 0x6666666666666665, 0x3333333333333332, x1, 1456, x2)

inst_470:
// rs1_val==7378697629483820645 and rs2_val==7378697629483820645, 
// opcode: sub ; op1:x10; op2:x11; dest:x12; op1val:0x6666666666666665;  op2val:0x6666666666666665
TEST_RR_OP(sub, x12, x10, x11, 0x0, 0x6666666666666665, 0x6666666666666665, x1, 1464, x2)

inst_471:
// rs1_val==7378697629483820645 and rs2_val==3037000498, 
// opcode: sub ; op1:x10; op2:x11; dest:x12; op1val:0x6666666666666665;  op2val:0xb504f332
TEST_RR_OP(sub, x12, x10, x11, 0x66666665b1617333, 0x6666666666666665, 0xb504f332, x1, 1472, x2)

inst_472:
// rs1_val==7378697629483820645 and rs2_val==6148914691236517206, 
// opcode: sub ; op1:x10; op2:x11; dest:x12; op1val:0x6666666666666665;  op2val:0x5555555555555556
TEST_RR_OP(sub, x12, x10, x11, 0x111111111111110f, 0x6666666666666665, 0x5555555555555556, x1, 1480, x2)

inst_473:
// rs1_val==7378697629483820645 and rs2_val==-6148914691236517205, 
// opcode: sub ; op1:x10; op2:x11; dest:x12; op1val:0x6666666666666665;  op2val:-0x5555555555555555
TEST_RR_OP(sub, x12, x10, x11, 0xbbbbbbbbbbbbbbba, 0x6666666666666665, -0x5555555555555555, x1, 1488, x2)

inst_474:
// rs1_val==7378697629483820645 and rs2_val==6, 
// opcode: sub ; op1:x10; op2:x11; dest:x12; op1val:0x6666666666666665;  op2val:0x6
TEST_RR_OP(sub, x12, x10, x11, 0x666666666666665f, 0x6666666666666665, 0x6, x1, 1496, x2)

inst_475:
// rs1_val==7378697629483820645 and rs2_val==3689348814741910324, 
// opcode: sub ; op1:x10; op2:x11; dest:x12; op1val:0x6666666666666665;  op2val:0x3333333333333334
TEST_RR_OP(sub, x12, x10, x11, 0x3333333333333331, 0x6666666666666665, 0x3333333333333334, x1, 1504, x2)

inst_476:
// rs1_val==7378697629483820645 and rs2_val==7378697629483820647, 
// opcode: sub ; op1:x10; op2:x11; dest:x12; op1val:0x6666666666666665;  op2val:0x6666666666666667
TEST_RR_OP(sub, x12, x10, x11, 0xfffffffffffffffe, 0x6666666666666665, 0x6666666666666667, x1, 1512, x2)

inst_477:
// rs1_val==7378697629483820645 and rs2_val==-3037000498, 
// opcode: sub ; op1:x10; op2:x11; dest:x12; op1val:0x6666666666666665;  op2val:-0xb504f332
TEST_RR_OP(sub, x12, x10, x11, 0x666666671b6b5997, 0x6666666666666665, -0xb504f332, x1, 1520, x2)

inst_478:
// rs1_val==7378697629483820645 and rs2_val==3037000500, 
// opcode: sub ; op1:x10; op2:x11; dest:x12; op1val:0x6666666666666665;  op2val:0xb504f334
TEST_RR_OP(sub, x12, x10, x11, 0x66666665b1617331, 0x6666666666666665, 0xb504f334, x1, 1528, x2)

inst_479:
// rs1_val==3037000498 and rs2_val==3, 
// opcode: sub ; op1:x10; op2:x11; dest:x12; op1val:0xb504f332;  op2val:0x3
TEST_RR_OP(sub, x12, x10, x11, 0xb504f32f, 0xb504f332, 0x3, x1, 1536, x2)

inst_480:
// rs1_val==3037000498 and rs2_val==6148914691236517205, 
// opcode: sub ; op1:x10; op2:x11; dest:x12; op1val:0xb504f332;  op2val:0x5555555555555555
TEST_RR_OP(sub, x12, x10, x11, 0xaaaaaaab5faf9ddd, 0xb504f332, 0x5555555555555555, x1, 1544, x2)

inst_481:
// rs1_val==3037000498 and rs2_val==-6148914691236517206, 
// opcode: sub ; op1:x10; op2:x11; dest:x12; op1val:0xb504f332;  op2val:-0x5555555555555556
TEST_RR_OP(sub, x12, x10, x11, 0x555555560a5a4888, 0xb504f332, -0x5555555555555556, x1, 1552, x2)

inst_482:
// rs1_val==3037000498 and rs2_val==5, 
// opcode: sub ; op1:x10; op2:x11; dest:x12; op1val:0xb504f332;  op2val:0x5
TEST_RR_OP(sub, x12, x10, x11, 0xb504f32d, 0xb504f332, 0x5, x1, 1560, x2)

inst_483:
// rs1_val==3037000498 and rs2_val==3689348814741910323, 
// opcode: sub ; op1:x10; op2:x11; dest:x12; op1val:0xb504f332;  op2val:0x3333333333333333
TEST_RR_OP(sub, x12, x10, x11, 0xcccccccd81d1bfff, 0xb504f332, 0x3333333333333333, x1, 1568, x2)

inst_484:
// rs1_val==3037000498 and rs2_val==7378697629483820646, 
// opcode: sub ; op1:x10; op2:x11; dest:x12; op1val:0xb504f332;  op2val:0x6666666666666666
TEST_RR_OP(sub, x12, x10, x11, 0x9999999a4e9e8ccc, 0xb504f332, 0x6666666666666666, x1, 1576, x2)

inst_485:
// rs1_val==3037000498 and rs2_val==-3037000499, 
// opcode: sub ; op1:x10; op2:x11; dest:x12; op1val:0xb504f332;  op2val:-0xb504f333
TEST_RR_OP(sub, x12, x10, x11, 0x16a09e665, 0xb504f332, -0xb504f333, x1, 1584, x2)

inst_486:
// rs1_val==3037000498 and rs2_val==3037000499, 
// opcode: sub ; op1:x10; op2:x11; dest:x12; op1val:0xb504f332;  op2val:0xb504f333
TEST_RR_OP(sub, x12, x10, x11, 0xffffffffffffffff, 0xb504f332, 0xb504f333, x1, 1592, x2)

inst_487:
// rs1_val==3037000498 and rs2_val==2, 
// opcode: sub ; op1:x10; op2:x11; dest:x12; op1val:0xb504f332;  op2val:0x2
TEST_RR_OP(sub, x12, x10, x11, 0xb504f330, 0xb504f332, 0x2, x1, 1600, x2)

inst_488:
// rs1_val==3037000498 and rs2_val==6148914691236517204, 
// opcode: sub ; op1:x10; op2:x11; dest:x12; op1val:0xb504f332;  op2val:0x5555555555555554
TEST_RR_OP(sub, x12, x10, x11, 0xaaaaaaab5faf9dde, 0xb504f332, 0x5555555555555554, x1, 1608, x2)

inst_489:
// rs1_val==3037000498 and rs2_val==0, 
// opcode: sub ; op1:x10; op2:x11; dest:x12; op1val:0xb504f332;  op2val:0x0
TEST_RR_OP(sub, x12, x10, x11, 0xb504f332, 0xb504f332, 0x0, x1, 1616, x2)

inst_490:
// rs1_val==3037000498 and rs2_val==4, 
// opcode: sub ; op1:x10; op2:x11; dest:x12; op1val:0xb504f332;  op2val:0x4
TEST_RR_OP(sub, x12, x10, x11, 0xb504f32e, 0xb504f332, 0x4, x1, 1624, x2)

inst_491:
// rs1_val==3037000498 and rs2_val==3689348814741910322, 
// opcode: sub ; op1:x10; op2:x11; dest:x12; op1val:0xb504f332;  op2val:0x3333333333333332
TEST_RR_OP(sub, x12, x10, x11, 0xcccccccd81d1c000, 0xb504f332, 0x3333333333333332, x1, 1632, x2)

inst_492:
// rs1_val==3037000498 and rs2_val==7378697629483820645, 
// opcode: sub ; op1:x10; op2:x11; dest:x12; op1val:0xb504f332;  op2val:0x6666666666666665
TEST_RR_OP(sub, x12, x10, x11, 0x9999999a4e9e8ccd, 0xb504f332, 0x6666666666666665, x1, 1640, x2)

inst_493:
// rs1_val==3037000498 and rs2_val==3037000498, 
// opcode: sub ; op1:x10; op2:x11; dest:x12; op1val:0xb504f332;  op2val:0xb504f332
TEST_RR_OP(sub, x12, x10, x11, 0x0, 0xb504f332, 0xb504f332, x1, 1648, x2)

inst_494:
// rs1_val==3037000498 and rs2_val==6148914691236517206, 
// opcode: sub ; op1:x10; op2:x11; dest:x12; op1val:0xb504f332;  op2val:0x5555555555555556
TEST_RR_OP(sub, x12, x10, x11, 0xaaaaaaab5faf9ddc, 0xb504f332, 0x5555555555555556, x1, 1656, x2)

inst_495:
// rs1_val==3037000498 and rs2_val==-6148914691236517205, 
// opcode: sub ; op1:x10; op2:x11; dest:x12; op1val:0xb504f332;  op2val:-0x5555555555555555
TEST_RR_OP(sub, x12, x10, x11, 0x555555560a5a4887, 0xb504f332, -0x5555555555555555, x1, 1664, x2)

inst_496:
// rs1_val==3037000498 and rs2_val==6, 
// opcode: sub ; op1:x10; op2:x11; dest:x12; op1val:0xb504f332;  op2val:0x6
TEST_RR_OP(sub, x12, x10, x11, 0xb504f32c, 0xb504f332, 0x6, x1, 1672, x2)

inst_497:
// rs1_val==3037000498 and rs2_val==3689348814741910324, 
// opcode: sub ; op1:x10; op2:x11; dest:x12; op1val:0xb504f332;  op2val:0x3333333333333334
TEST_RR_OP(sub, x12, x10, x11, 0xcccccccd81d1bffe, 0xb504f332, 0x3333333333333334, x1, 1680, x2)

inst_498:
// rs1_val==3037000498 and rs2_val==7378697629483820647, 
// opcode: sub ; op1:x10; op2:x11; dest:x12; op1val:0xb504f332;  op2val:0x6666666666666667
TEST_RR_OP(sub, x12, x10, x11, 0x9999999a4e9e8ccb, 0xb504f332, 0x6666666666666667, x1, 1688, x2)

inst_499:
// rs1_val==3037000498 and rs2_val==-3037000498, 
// opcode: sub ; op1:x10; op2:x11; dest:x12; op1val:0xb504f332;  op2val:-0xb504f332
TEST_RR_OP(sub, x12, x10, x11, 0x16a09e664, 0xb504f332, -0xb504f332, x1, 1696, x2)

inst_500:
// rs1_val==3037000498 and rs2_val==3037000500, 
// opcode: sub ; op1:x10; op2:x11; dest:x12; op1val:0xb504f332;  op2val:0xb504f334
TEST_RR_OP(sub, x12, x10, x11, 0xfffffffffffffffe, 0xb504f332, 0xb504f334, x1, 1704, x2)

inst_501:
// rs1_val==6148914691236517206 and rs2_val==3, 
// opcode: sub ; op1:x10; op2:x11; dest:x12; op1val:0x5555555555555556;  op2val:0x3
TEST_RR_OP(sub, x12, x10, x11, 0x5555555555555553, 0x5555555555555556, 0x3, x1, 1712, x2)

inst_502:
// rs1_val==6148914691236517206 and rs2_val==6148914691236517205, 
// opcode: sub ; op1:x10; op2:x11; dest:x12; op1val:0x5555555555555556;  op2val:0x5555555555555555
TEST_RR_OP(sub, x12, x10, x11, 0x1, 0x5555555555555556, 0x5555555555555555, x1, 1720, x2)

inst_503:
// rs1_val==6148914691236517206 and rs2_val==-6148914691236517206, 
// opcode: sub ; op1:x10; op2:x11; dest:x12; op1val:0x5555555555555556;  op2val:-0x5555555555555556
TEST_RR_OP(sub, x12, x10, x11, 0xaaaaaaaaaaaaaaac, 0x5555555555555556, -0x5555555555555556, x1, 1728, x2)

inst_504:
// rs1_val==6148914691236517206 and rs2_val==5, 
// opcode: sub ; op1:x10; op2:x11; dest:x12; op1val:0x5555555555555556;  op2val:0x5
TEST_RR_OP(sub, x12, x10, x11, 0x5555555555555551, 0x5555555555555556, 0x5, x1, 1736, x2)

inst_505:
// rs1_val==6148914691236517206 and rs2_val==3689348814741910323, 
// opcode: sub ; op1:x10; op2:x11; dest:x12; op1val:0x5555555555555556;  op2val:0x3333333333333333
TEST_RR_OP(sub, x12, x10, x11, 0x2222222222222223, 0x5555555555555556, 0x3333333333333333, x1, 1744, x2)

inst_506:
// rs1_val==6148914691236517206 and rs2_val==7378697629483820646, 
// opcode: sub ; op1:x10; op2:x11; dest:x12; op1val:0x5555555555555556;  op2val:0x6666666666666666
TEST_RR_OP(sub, x12, x10, x11, 0xeeeeeeeeeeeeeef0, 0x5555555555555556, 0x6666666666666666, x1, 1752, x2)

inst_507:
// rs1_val==6148914691236517206 and rs2_val==-3037000499, 
// opcode: sub ; op1:x10; op2:x11; dest:x12; op1val:0x5555555555555556;  op2val:-0xb504f333
TEST_RR_OP(sub, x12, x10, x11, 0x555555560a5a4889, 0x5555555555555556, -0xb504f333, x1, 1760, x2)

inst_508:
// rs1_val==6148914691236517206 and rs2_val==3037000499, 
// opcode: sub ; op1:x10; op2:x11; dest:x12; op1val:0x5555555555555556;  op2val:0xb504f333
TEST_RR_OP(sub, x12, x10, x11, 0x55555554a0506223, 0x5555555555555556, 0xb504f333, x1, 1768, x2)

inst_509:
// rs1_val==6148914691236517206 and rs2_val==2, 
// opcode: sub ; op1:x10; op2:x11; dest:x12; op1val:0x5555555555555556;  op2val:0x2
TEST_RR_OP(sub, x12, x10, x11, 0x5555555555555554, 0x5555555555555556, 0x2, x1, 1776, x2)

inst_510:
// rs1_val==6148914691236517206 and rs2_val==6148914691236517204, 
// opcode: sub ; op1:x10; op2:x11; dest:x12; op1val:0x5555555555555556;  op2val:0x5555555555555554
TEST_RR_OP(sub, x12, x10, x11, 0x2, 0x5555555555555556, 0x5555555555555554, x1, 1784, x2)

inst_511:
// rs1_val==6148914691236517206 and rs2_val==0, 
// opcode: sub ; op1:x10; op2:x11; dest:x12; op1val:0x5555555555555556;  op2val:0x0
TEST_RR_OP(sub, x12, x10, x11, 0x5555555555555556, 0x5555555555555556, 0x0, x1, 1792, x2)

inst_512:
// rs1_val==6148914691236517206 and rs2_val==4, 
// opcode: sub ; op1:x10; op2:x11; dest:x12; op1val:0x5555555555555556;  op2val:0x4
TEST_RR_OP(sub, x12, x10, x11, 0x5555555555555552, 0x5555555555555556, 0x4, x1, 1800, x2)

inst_513:
// rs1_val==6148914691236517206 and rs2_val==3689348814741910322, 
// opcode: sub ; op1:x10; op2:x11; dest:x12; op1val:0x5555555555555556;  op2val:0x3333333333333332
TEST_RR_OP(sub, x12, x10, x11, 0x2222222222222224, 0x5555555555555556, 0x3333333333333332, x1, 1808, x2)

inst_514:
// rs1_val==6148914691236517206 and rs2_val==7378697629483820645, 
// opcode: sub ; op1:x10; op2:x11; dest:x12; op1val:0x5555555555555556;  op2val:0x6666666666666665
TEST_RR_OP(sub, x12, x10, x11, 0xeeeeeeeeeeeeeef1, 0x5555555555555556, 0x6666666666666665, x1, 1816, x2)

inst_515:
// rs1_val==6148914691236517206 and rs2_val==3037000498, 
// opcode: sub ; op1:x10; op2:x11; dest:x12; op1val:0x5555555555555556;  op2val:0xb504f332
TEST_RR_OP(sub, x12, x10, x11, 0x55555554a0506224, 0x5555555555555556, 0xb504f332, x1, 1824, x2)

inst_516:
// rs1_val==6148914691236517206 and rs2_val==6148914691236517206, 
// opcode: sub ; op1:x10; op2:x11; dest:x12; op1val:0x5555555555555556;  op2val:0x5555555555555556
TEST_RR_OP(sub, x12, x10, x11, 0x0, 0x5555555555555556, 0x5555555555555556, x1, 1832, x2)

inst_517:
// rs1_val==6148914691236517206 and rs2_val==-6148914691236517205, 
// opcode: sub ; op1:x10; op2:x11; dest:x12; op1val:0x5555555555555556;  op2val:-0x5555555555555555
TEST_RR_OP(sub, x12, x10, x11, 0xaaaaaaaaaaaaaaab, 0x5555555555555556, -0x5555555555555555, x1, 1840, x2)

inst_518:
// rs1_val==6148914691236517206 and rs2_val==6, 
// opcode: sub ; op1:x10; op2:x11; dest:x12; op1val:0x5555555555555556;  op2val:0x6
TEST_RR_OP(sub, x12, x10, x11, 0x5555555555555550, 0x5555555555555556, 0x6, x1, 1848, x2)

inst_519:
// rs1_val==6148914691236517206 and rs2_val==3689348814741910324, 
// opcode: sub ; op1:x10; op2:x11; dest:x12; op1val:0x5555555555555556;  op2val:0x3333333333333334
TEST_RR_OP(sub, x12, x10, x11, 0x2222222222222222, 0x5555555555555556, 0x3333333333333334, x1, 1856, x2)

inst_520:
// rs1_val==6148914691236517206 and rs2_val==7378697629483820647, 
// opcode: sub ; op1:x10; op2:x11; dest:x12; op1val:0x5555555555555556;  op2val:0x6666666666666667
TEST_RR_OP(sub, x12, x10, x11, 0xeeeeeeeeeeeeeeef, 0x5555555555555556, 0x6666666666666667, x1, 1864, x2)

inst_521:
// rs1_val==6148914691236517206 and rs2_val==-3037000498, 
// opcode: sub ; op1:x10; op2:x11; dest:x12; op1val:0x5555555555555556;  op2val:-0xb504f332
TEST_RR_OP(sub, x12, x10, x11, 0x555555560a5a4888, 0x5555555555555556, -0xb504f332, x1, 1872, x2)

inst_522:
// rs1_val==6148914691236517206 and rs2_val==3037000500, 
// opcode: sub ; op1:x10; op2:x11; dest:x12; op1val:0x5555555555555556;  op2val:0xb504f334
TEST_RR_OP(sub, x12, x10, x11, 0x55555554a0506222, 0x5555555555555556, 0xb504f334, x1, 1880, x2)

inst_523:
// rs1_val==-6148914691236517205 and rs2_val==3, 
// opcode: sub ; op1:x10; op2:x11; dest:x12; op1val:-0x5555555555555555;  op2val:0x3
TEST_RR_OP(sub, x12, x10, x11, 0xaaaaaaaaaaaaaaa8, -0x5555555555555555, 0x3, x1, 1888, x2)

inst_524:
// rs1_val==-6148914691236517205 and rs2_val==6148914691236517205, 
// opcode: sub ; op1:x10; op2:x11; dest:x12; op1val:-0x5555555555555555;  op2val:0x5555555555555555
TEST_RR_OP(sub, x12, x10, x11, 0x5555555555555556, -0x5555555555555555, 0x5555555555555555, x1, 1896, x2)

inst_525:
// rs1_val==-6148914691236517205 and rs2_val==-6148914691236517206, 
// opcode: sub ; op1:x10; op2:x11; dest:x12; op1val:-0x5555555555555555;  op2val:-0x5555555555555556
TEST_RR_OP(sub, x12, x10, x11, 0x1, -0x5555555555555555, -0x5555555555555556, x1, 1904, x2)

inst_526:
// rs1_val==-6148914691236517205 and rs2_val==5, 
// opcode: sub ; op1:x10; op2:x11; dest:x12; op1val:-0x5555555555555555;  op2val:0x5
TEST_RR_OP(sub, x12, x10, x11, 0xaaaaaaaaaaaaaaa6, -0x5555555555555555, 0x5, x1, 1912, x2)

inst_527:
// rs1_val==-6148914691236517205 and rs2_val==3689348814741910323, 
// opcode: sub ; op1:x10; op2:x11; dest:x12; op1val:-0x5555555555555555;  op2val:0x3333333333333333
TEST_RR_OP(sub, x12, x10, x11, 0x7777777777777778, -0x5555555555555555, 0x3333333333333333, x1, 1920, x2)

inst_528:
// rs1_val==-6148914691236517205 and rs2_val==7378697629483820646, 
// opcode: sub ; op1:x10; op2:x11; dest:x12; op1val:-0x5555555555555555;  op2val:0x6666666666666666
TEST_RR_OP(sub, x12, x10, x11, 0x4444444444444445, -0x5555555555555555, 0x6666666666666666, x1, 1928, x2)

inst_529:
// rs1_val==-6148914691236517205 and rs2_val==-3037000499, 
// opcode: sub ; op1:x10; op2:x11; dest:x12; op1val:-0x5555555555555555;  op2val:-0xb504f333
TEST_RR_OP(sub, x12, x10, x11, 0xaaaaaaab5faf9dde, -0x5555555555555555, -0xb504f333, x1, 1936, x2)

inst_530:
// rs1_val==-6148914691236517205 and rs2_val==3037000499, 
// opcode: sub ; op1:x10; op2:x11; dest:x12; op1val:-0x5555555555555555;  op2val:0xb504f333
TEST_RR_OP(sub, x12, x10, x11, 0xaaaaaaa9f5a5b778, -0x5555555555555555, 0xb504f333, x1, 1944, x2)

inst_531:
// rs1_val==-6148914691236517205 and rs2_val==2, 
// opcode: sub ; op1:x10; op2:x11; dest:x12; op1val:-0x5555555555555555;  op2val:0x2
TEST_RR_OP(sub, x12, x10, x11, 0xaaaaaaaaaaaaaaa9, -0x5555555555555555, 0x2, x1, 1952, x2)

inst_532:
// rs1_val==-6148914691236517205 and rs2_val==6148914691236517204, 
// opcode: sub ; op1:x10; op2:x11; dest:x12; op1val:-0x5555555555555555;  op2val:0x5555555555555554
TEST_RR_OP(sub, x12, x10, x11, 0x5555555555555557, -0x5555555555555555, 0x5555555555555554, x1, 1960, x2)

inst_533:
// rs1_val==-6148914691236517205 and rs2_val==0, 
// opcode: sub ; op1:x10; op2:x11; dest:x12; op1val:-0x5555555555555555;  op2val:0x0
TEST_RR_OP(sub, x12, x10, x11, 0xaaaaaaaaaaaaaaab, -0x5555555555555555, 0x0, x1, 1968, x2)

inst_534:
// rs1_val==-6148914691236517205 and rs2_val==4, 
// opcode: sub ; op1:x10; op2:x11; dest:x12; op1val:-0x5555555555555555;  op2val:0x4
TEST_RR_OP(sub, x12, x10, x11, 0xaaaaaaaaaaaaaaa7, -0x5555555555555555, 0x4, x1, 1976, x2)

inst_535:
// rs1_val==-6148914691236517205 and rs2_val==3689348814741910322, 
// opcode: sub ; op1:x10; op2:x11; dest:x12; op1val:-0x5555555555555555;  op2val:0x3333333333333332
TEST_RR_OP(sub, x12, x10, x11, 0x7777777777777779, -0x5555555555555555, 0x3333333333333332, x1, 1984, x2)

inst_536:
// rs1_val==-6148914691236517205 and rs2_val==7378697629483820645, 
// opcode: sub ; op1:x10; op2:x11; dest:x12; op1val:-0x5555555555555555;  op2val:0x6666666666666665
TEST_RR_OP(sub, x12, x10, x11, 0x4444444444444446, -0x5555555555555555, 0x6666666666666665, x1, 1992, x2)

inst_537:
// rs1_val==-6148914691236517205 and rs2_val==3037000498, 
// opcode: sub ; op1:x10; op2:x11; dest:x12; op1val:-0x5555555555555555;  op2val:0xb504f332
TEST_RR_OP(sub, x12, x10, x11, 0xaaaaaaa9f5a5b779, -0x5555555555555555, 0xb504f332, x1, 2000, x2)

inst_538:
// rs1_val==-6148914691236517205 and rs2_val==6148914691236517206, 
// opcode: sub ; op1:x10; op2:x11; dest:x12; op1val:-0x5555555555555555;  op2val:0x5555555555555556
TEST_RR_OP(sub, x12, x10, x11, 0x5555555555555555, -0x5555555555555555, 0x5555555555555556, x1, 2008, x2)

inst_539:
// rs1_val==-6148914691236517205 and rs2_val==-6148914691236517205, 
// opcode: sub ; op1:x10; op2:x11; dest:x12; op1val:-0x5555555555555555;  op2val:-0x5555555555555555
TEST_RR_OP(sub, x12, x10, x11, 0x0, -0x5555555555555555, -0x5555555555555555, x1, 2016, x2)

inst_540:
// rs1_val==-6148914691236517205 and rs2_val==6, 
// opcode: sub ; op1:x10; op2:x11; dest:x12; op1val:-0x5555555555555555;  op2val:0x6
TEST_RR_OP(sub, x12, x10, x11, 0xaaaaaaaaaaaaaaa5, -0x5555555555555555, 0x6, x1, 2024, x2)

inst_541:
// rs1_val==-6148914691236517205 and rs2_val==3689348814741910324, 
// opcode: sub ; op1:x10; op2:x11; dest:x12; op1val:-0x5555555555555555;  op2val:0x3333333333333334
TEST_RR_OP(sub, x12, x10, x11, 0x7777777777777777, -0x5555555555555555, 0x3333333333333334, x1, 2032, x2)

inst_542:
// rs1_val==-6148914691236517205 and rs2_val==7378697629483820647, 
// opcode: sub ; op1:x10; op2:x11; dest:x12; op1val:-0x5555555555555555;  op2val:0x6666666666666667
TEST_RR_OP(sub, x12, x10, x11, 0x4444444444444444, -0x5555555555555555, 0x6666666666666667, x1, 2040, x2)
RVTEST_SIGBASE( x1,signature_x1_2)

inst_543:
// rs1_val==-6148914691236517205 and rs2_val==-3037000498, 
// opcode: sub ; op1:x10; op2:x11; dest:x12; op1val:-0x5555555555555555;  op2val:-0xb504f332
TEST_RR_OP(sub, x12, x10, x11, 0xaaaaaaab5faf9ddd, -0x5555555555555555, -0xb504f332, x1, 0, x2)

inst_544:
// rs1_val==-6148914691236517205 and rs2_val==3037000500, 
// opcode: sub ; op1:x10; op2:x11; dest:x12; op1val:-0x5555555555555555;  op2val:0xb504f334
TEST_RR_OP(sub, x12, x10, x11, 0xaaaaaaa9f5a5b777, -0x5555555555555555, 0xb504f334, x1, 8, x2)

inst_545:
// rs1_val==6 and rs2_val==3, 
// opcode: sub ; op1:x10; op2:x11; dest:x12; op1val:0x6;  op2val:0x3
TEST_RR_OP(sub, x12, x10, x11, 0x3, 0x6, 0x3, x1, 16, x2)

inst_546:
// rs1_val==6 and rs2_val==6148914691236517205, 
// opcode: sub ; op1:x10; op2:x11; dest:x12; op1val:0x6;  op2val:0x5555555555555555
TEST_RR_OP(sub, x12, x10, x11, 0xaaaaaaaaaaaaaab1, 0x6, 0x5555555555555555, x1, 24, x2)

inst_547:
// rs1_val==6 and rs2_val==-6148914691236517206, 
// opcode: sub ; op1:x10; op2:x11; dest:x12; op1val:0x6;  op2val:-0x5555555555555556
TEST_RR_OP(sub, x12, x10, x11, 0x555555555555555c, 0x6, -0x5555555555555556, x1, 32, x2)

inst_548:
// rs1_val==6 and rs2_val==5, 
// opcode: sub ; op1:x10; op2:x11; dest:x12; op1val:0x6;  op2val:0x5
TEST_RR_OP(sub, x12, x10, x11, 0x1, 0x6, 0x5, x1, 40, x2)

inst_549:
// rs1_val==6 and rs2_val==3689348814741910323, 
// opcode: sub ; op1:x10; op2:x11; dest:x12; op1val:0x6;  op2val:0x3333333333333333
TEST_RR_OP(sub, x12, x10, x11, 0xccccccccccccccd3, 0x6, 0x3333333333333333, x1, 48, x2)

inst_550:
// rs1_val==6 and rs2_val==7378697629483820646, 
// opcode: sub ; op1:x10; op2:x11; dest:x12; op1val:0x6;  op2val:0x6666666666666666
TEST_RR_OP(sub, x12, x10, x11, 0x99999999999999a0, 0x6, 0x6666666666666666, x1, 56, x2)

inst_551:
// rs1_val==6 and rs2_val==-3037000499, 
// opcode: sub ; op1:x10; op2:x11; dest:x12; op1val:0x6;  op2val:-0xb504f333
TEST_RR_OP(sub, x12, x10, x11, 0xb504f339, 0x6, -0xb504f333, x1, 64, x2)

inst_552:
// rs1_val==6 and rs2_val==3037000499, 
// opcode: sub ; op1:x10; op2:x11; dest:x12; op1val:0x6;  op2val:0xb504f333
TEST_RR_OP(sub, x12, x10, x11, 0xffffffff4afb0cd3, 0x6, 0xb504f333, x1, 72, x2)

inst_553:
// rs1_val==6 and rs2_val==2, 
// opcode: sub ; op1:x10; op2:x11; dest:x12; op1val:0x6;  op2val:0x2
TEST_RR_OP(sub, x12, x10, x11, 0x4, 0x6, 0x2, x1, 80, x2)

inst_554:
// rs1_val==6 and rs2_val==6148914691236517204, 
// opcode: sub ; op1:x10; op2:x11; dest:x12; op1val:0x6;  op2val:0x5555555555555554
TEST_RR_OP(sub, x12, x10, x11, 0xaaaaaaaaaaaaaab2, 0x6, 0x5555555555555554, x1, 88, x2)

inst_555:
// rs1_val==6 and rs2_val==0, 
// opcode: sub ; op1:x10; op2:x11; dest:x12; op1val:0x6;  op2val:0x0
TEST_RR_OP(sub, x12, x10, x11, 0x6, 0x6, 0x0, x1, 96, x2)

inst_556:
// rs1_val==6 and rs2_val==4, 
// opcode: sub ; op1:x10; op2:x11; dest:x12; op1val:0x6;  op2val:0x4
TEST_RR_OP(sub, x12, x10, x11, 0x2, 0x6, 0x4, x1, 104, x2)

inst_557:
// rs1_val==6 and rs2_val==3689348814741910322, 
// opcode: sub ; op1:x10; op2:x11; dest:x12; op1val:0x6;  op2val:0x3333333333333332
TEST_RR_OP(sub, x12, x10, x11, 0xccccccccccccccd4, 0x6, 0x3333333333333332, x1, 112, x2)

inst_558:
// rs1_val==6 and rs2_val==7378697629483820645, 
// opcode: sub ; op1:x10; op2:x11; dest:x12; op1val:0x6;  op2val:0x6666666666666665
TEST_RR_OP(sub, x12, x10, x11, 0x99999999999999a1, 0x6, 0x6666666666666665, x1, 120, x2)

inst_559:
// rs1_val==6 and rs2_val==3037000498, 
// opcode: sub ; op1:x10; op2:x11; dest:x12; op1val:0x6;  op2val:0xb504f332
TEST_RR_OP(sub, x12, x10, x11, 0xffffffff4afb0cd4, 0x6, 0xb504f332, x1, 128, x2)

inst_560:
// rs1_val==6 and rs2_val==6148914691236517206, 
// opcode: sub ; op1:x10; op2:x11; dest:x12; op1val:0x6;  op2val:0x5555555555555556
TEST_RR_OP(sub, x12, x10, x11, 0xaaaaaaaaaaaaaab0, 0x6, 0x5555555555555556, x1, 136, x2)

inst_561:
// rs1_val==6 and rs2_val==-6148914691236517205, 
// opcode: sub ; op1:x10; op2:x11; dest:x12; op1val:0x6;  op2val:-0x5555555555555555
TEST_RR_OP(sub, x12, x10, x11, 0x555555555555555b, 0x6, -0x5555555555555555, x1, 144, x2)

inst_562:
// rs1_val==6 and rs2_val==6, 
// opcode: sub ; op1:x10; op2:x11; dest:x12; op1val:0x6;  op2val:0x6
TEST_RR_OP(sub, x12, x10, x11, 0x0, 0x6, 0x6, x1, 152, x2)

inst_563:
// rs1_val==6 and rs2_val==3689348814741910324, 
// opcode: sub ; op1:x10; op2:x11; dest:x12; op1val:0x6;  op2val:0x3333333333333334
TEST_RR_OP(sub, x12, x10, x11, 0xccccccccccccccd2, 0x6, 0x3333333333333334, x1, 160, x2)

inst_564:
// rs1_val==6 and rs2_val==7378697629483820647, 
// opcode: sub ; op1:x10; op2:x11; dest:x12; op1val:0x6;  op2val:0x6666666666666667
TEST_RR_OP(sub, x12, x10, x11, 0x999999999999999f, 0x6, 0x6666666666666667, x1, 168, x2)

inst_565:
// rs1_val==6 and rs2_val==-3037000498, 
// opcode: sub ; op1:x10; op2:x11; dest:x12; op1val:0x6;  op2val:-0xb504f332
TEST_RR_OP(sub, x12, x10, x11, 0xb504f338, 0x6, -0xb504f332, x1, 176, x2)

inst_566:
// rs1_val==6 and rs2_val==3037000500, 
// opcode: sub ; op1:x10; op2:x11; dest:x12; op1val:0x6;  op2val:0xb504f334
TEST_RR_OP(sub, x12, x10, x11, 0xffffffff4afb0cd2, 0x6, 0xb504f334, x1, 184, x2)

inst_567:
// rs1_val==3689348814741910324 and rs2_val==3, 
// opcode: sub ; op1:x10; op2:x11; dest:x12; op1val:0x3333333333333334;  op2val:0x3
TEST_RR_OP(sub, x12, x10, x11, 0x3333333333333331, 0x3333333333333334, 0x3, x1, 192, x2)

inst_568:
// rs1_val==3689348814741910324 and rs2_val==6148914691236517205, 
// opcode: sub ; op1:x10; op2:x11; dest:x12; op1val:0x3333333333333334;  op2val:0x5555555555555555
TEST_RR_OP(sub, x12, x10, x11, 0xdddddddddddddddf, 0x3333333333333334, 0x5555555555555555, x1, 200, x2)

inst_569:
// rs1_val==3689348814741910324 and rs2_val==-6148914691236517206, 
// opcode: sub ; op1:x10; op2:x11; dest:x12; op1val:0x3333333333333334;  op2val:-0x5555555555555556
TEST_RR_OP(sub, x12, x10, x11, 0x888888888888888a, 0x3333333333333334, -0x5555555555555556, x1, 208, x2)

inst_570:
// rs1_val==3689348814741910324 and rs2_val==5, 
// opcode: sub ; op1:x10; op2:x11; dest:x12; op1val:0x3333333333333334;  op2val:0x5
TEST_RR_OP(sub, x12, x10, x11, 0x333333333333332f, 0x3333333333333334, 0x5, x1, 216, x2)

inst_571:
// rs1_val==3689348814741910324 and rs2_val==3689348814741910323, 
// opcode: sub ; op1:x10; op2:x11; dest:x12; op1val:0x3333333333333334;  op2val:0x3333333333333333
TEST_RR_OP(sub, x12, x10, x11, 0x1, 0x3333333333333334, 0x3333333333333333, x1, 224, x2)

inst_572:
// rs1_val==3689348814741910324 and rs2_val==7378697629483820646, 
// opcode: sub ; op1:x10; op2:x11; dest:x12; op1val:0x3333333333333334;  op2val:0x6666666666666666
TEST_RR_OP(sub, x12, x10, x11, 0xccccccccccccccce, 0x3333333333333334, 0x6666666666666666, x1, 232, x2)

inst_573:
// rs1_val==3689348814741910324 and rs2_val==-3037000499, 
// opcode: sub ; op1:x10; op2:x11; dest:x12; op1val:0x3333333333333334;  op2val:-0xb504f333
TEST_RR_OP(sub, x12, x10, x11, 0x33333333e8382667, 0x3333333333333334, -0xb504f333, x1, 240, x2)

inst_574:
// rs1_val==3689348814741910324 and rs2_val==3037000499, 
// opcode: sub ; op1:x10; op2:x11; dest:x12; op1val:0x3333333333333334;  op2val:0xb504f333
TEST_RR_OP(sub, x12, x10, x11, 0x333333327e2e4001, 0x3333333333333334, 0xb504f333, x1, 248, x2)

inst_575:
// rs1_val==3689348814741910324 and rs2_val==2, 
// opcode: sub ; op1:x10; op2:x11; dest:x12; op1val:0x3333333333333334;  op2val:0x2
TEST_RR_OP(sub, x12, x10, x11, 0x3333333333333332, 0x3333333333333334, 0x2, x1, 256, x2)

inst_576:
// rs1_val==3689348814741910324 and rs2_val==6148914691236517204, 
// opcode: sub ; op1:x10; op2:x11; dest:x12; op1val:0x3333333333333334;  op2val:0x5555555555555554
TEST_RR_OP(sub, x12, x10, x11, 0xdddddddddddddde0, 0x3333333333333334, 0x5555555555555554, x1, 264, x2)

inst_577:
// rs1_val==3689348814741910324 and rs2_val==0, 
// opcode: sub ; op1:x10; op2:x11; dest:x12; op1val:0x3333333333333334;  op2val:0x0
TEST_RR_OP(sub, x12, x10, x11, 0x3333333333333334, 0x3333333333333334, 0x0, x1, 272, x2)

inst_578:
// rs1_val==3689348814741910324 and rs2_val==4, 
// opcode: sub ; op1:x10; op2:x11; dest:x12; op1val:0x3333333333333334;  op2val:0x4
TEST_RR_OP(sub, x12, x10, x11, 0x3333333333333330, 0x3333333333333334, 0x4, x1, 280, x2)

inst_579:
// rs1_val==3689348814741910324 and rs2_val==3689348814741910322, 
// opcode: sub ; op1:x10; op2:x11; dest:x12; op1val:0x3333333333333334;  op2val:0x3333333333333332
TEST_RR_OP(sub, x12, x10, x11, 0x2, 0x3333333333333334, 0x3333333333333332, x1, 288, x2)

inst_580:
// rs1_val==3689348814741910324 and rs2_val==7378697629483820645, 
// opcode: sub ; op1:x10; op2:x11; dest:x12; op1val:0x3333333333333334;  op2val:0x6666666666666665
TEST_RR_OP(sub, x12, x10, x11, 0xcccccccccccccccf, 0x3333333333333334, 0x6666666666666665, x1, 296, x2)

inst_581:
// rs1_val==3689348814741910324 and rs2_val==3037000498, 
// opcode: sub ; op1:x10; op2:x11; dest:x12; op1val:0x3333333333333334;  op2val:0xb504f332
TEST_RR_OP(sub, x12, x10, x11, 0x333333327e2e4002, 0x3333333333333334, 0xb504f332, x1, 304, x2)

inst_582:
// rs1_val==3689348814741910324 and rs2_val==6148914691236517206, 
// opcode: sub ; op1:x10; op2:x11; dest:x12; op1val:0x3333333333333334;  op2val:0x5555555555555556
TEST_RR_OP(sub, x12, x10, x11, 0xddddddddddddddde, 0x3333333333333334, 0x5555555555555556, x1, 312, x2)

inst_583:
// rs1_val==3689348814741910324 and rs2_val==-6148914691236517205, 
// opcode: sub ; op1:x10; op2:x11; dest:x12; op1val:0x3333333333333334;  op2val:-0x5555555555555555
TEST_RR_OP(sub, x12, x10, x11, 0x8888888888888889, 0x3333333333333334, -0x5555555555555555, x1, 320, x2)

inst_584:
// rs1_val==3689348814741910324 and rs2_val==6, 
// opcode: sub ; op1:x10; op2:x11; dest:x12; op1val:0x3333333333333334;  op2val:0x6
TEST_RR_OP(sub, x12, x10, x11, 0x333333333333332e, 0x3333333333333334, 0x6, x1, 328, x2)

inst_585:
// rs1_val==3689348814741910324 and rs2_val==3689348814741910324, 
// opcode: sub ; op1:x10; op2:x11; dest:x12; op1val:0x3333333333333334;  op2val:0x3333333333333334
TEST_RR_OP(sub, x12, x10, x11, 0x0, 0x3333333333333334, 0x3333333333333334, x1, 336, x2)

inst_586:
// rs1_val==3689348814741910324 and rs2_val==7378697629483820647, 
// opcode: sub ; op1:x10; op2:x11; dest:x12; op1val:0x3333333333333334;  op2val:0x6666666666666667
TEST_RR_OP(sub, x12, x10, x11, 0xcccccccccccccccd, 0x3333333333333334, 0x6666666666666667, x1, 344, x2)

inst_587:
// rs1_val==3689348814741910324 and rs2_val==-3037000498, 
// opcode: sub ; op1:x10; op2:x11; dest:x12; op1val:0x3333333333333334;  op2val:-0xb504f332
TEST_RR_OP(sub, x12, x10, x11, 0x33333333e8382666, 0x3333333333333334, -0xb504f332, x1, 352, x2)

inst_588:
// rs1_val==3689348814741910324 and rs2_val==3037000500, 
// opcode: sub ; op1:x10; op2:x11; dest:x12; op1val:0x3333333333333334;  op2val:0xb504f334
TEST_RR_OP(sub, x12, x10, x11, 0x333333327e2e4000, 0x3333333333333334, 0xb504f334, x1, 360, x2)

inst_589:
// rs1_val==7378697629483820647 and rs2_val==3, 
// opcode: sub ; op1:x10; op2:x11; dest:x12; op1val:0x6666666666666667;  op2val:0x3
TEST_RR_OP(sub, x12, x10, x11, 0x6666666666666664, 0x6666666666666667, 0x3, x1, 368, x2)

inst_590:
// rs1_val==7378697629483820647 and rs2_val==6148914691236517205, 
// opcode: sub ; op1:x10; op2:x11; dest:x12; op1val:0x6666666666666667;  op2val:0x5555555555555555
TEST_RR_OP(sub, x12, x10, x11, 0x1111111111111112, 0x6666666666666667, 0x5555555555555555, x1, 376, x2)

inst_591:
// rs1_val==7378697629483820647 and rs2_val==-6148914691236517206, 
// opcode: sub ; op1:x10; op2:x11; dest:x12; op1val:0x6666666666666667;  op2val:-0x5555555555555556
TEST_RR_OP(sub, x12, x10, x11, 0xbbbbbbbbbbbbbbbd, 0x6666666666666667, -0x5555555555555556, x1, 384, x2)

inst_592:
// rs1_val==7378697629483820647 and rs2_val==5, 
// opcode: sub ; op1:x10; op2:x11; dest:x12; op1val:0x6666666666666667;  op2val:0x5
TEST_RR_OP(sub, x12, x10, x11, 0x6666666666666662, 0x6666666666666667, 0x5, x1, 392, x2)

inst_593:
// rs1_val==7378697629483820647 and rs2_val==3689348814741910323, 
// opcode: sub ; op1:x10; op2:x11; dest:x12; op1val:0x6666666666666667;  op2val:0x3333333333333333
TEST_RR_OP(sub, x12, x10, x11, 0x3333333333333334, 0x6666666666666667, 0x3333333333333333, x1, 400, x2)

inst_594:
// rs1_val==7378697629483820647 and rs2_val==7378697629483820646, 
// opcode: sub ; op1:x10; op2:x11; dest:x12; op1val:0x6666666666666667;  op2val:0x6666666666666666
TEST_RR_OP(sub, x12, x10, x11, 0x1, 0x6666666666666667, 0x6666666666666666, x1, 408, x2)

inst_595:
// rs1_val==7378697629483820647 and rs2_val==-3037000499, 
// opcode: sub ; op1:x10; op2:x11; dest:x12; op1val:0x6666666666666667;  op2val:-0xb504f333
TEST_RR_OP(sub, x12, x10, x11, 0x666666671b6b599a, 0x6666666666666667, -0xb504f333, x1, 416, x2)

inst_596:
// rs1_val==7378697629483820647 and rs2_val==3037000499, 
// opcode: sub ; op1:x10; op2:x11; dest:x12; op1val:0x6666666666666667;  op2val:0xb504f333
TEST_RR_OP(sub, x12, x10, x11, 0x66666665b1617334, 0x6666666666666667, 0xb504f333, x1, 424, x2)

inst_597:
// rs1_val==7378697629483820647 and rs2_val==2, 
// opcode: sub ; op1:x10; op2:x11; dest:x12; op1val:0x6666666666666667;  op2val:0x2
TEST_RR_OP(sub, x12, x10, x11, 0x6666666666666665, 0x6666666666666667, 0x2, x1, 432, x2)

inst_598:
// rs1_val==7378697629483820647 and rs2_val==6148914691236517204, 
// opcode: sub ; op1:x10; op2:x11; dest:x12; op1val:0x6666666666666667;  op2val:0x5555555555555554
TEST_RR_OP(sub, x12, x10, x11, 0x1111111111111113, 0x6666666666666667, 0x5555555555555554, x1, 440, x2)

inst_599:
// rs1_val==7378697629483820647 and rs2_val==0, 
// opcode: sub ; op1:x10; op2:x11; dest:x12; op1val:0x6666666666666667;  op2val:0x0
TEST_RR_OP(sub, x12, x10, x11, 0x6666666666666667, 0x6666666666666667, 0x0, x1, 448, x2)

inst_600:
// rs1_val==7378697629483820647 and rs2_val==4, 
// opcode: sub ; op1:x10; op2:x11; dest:x12; op1val:0x6666666666666667;  op2val:0x4
TEST_RR_OP(sub, x12, x10, x11, 0x6666666666666663, 0x6666666666666667, 0x4, x1, 456, x2)

inst_601:
// rs1_val==7378697629483820647 and rs2_val==3689348814741910322, 
// opcode: sub ; op1:x10; op2:x11; dest:x12; op1val:0x6666666666666667;  op2val:0x3333333333333332
TEST_RR_OP(sub, x12, x10, x11, 0x3333333333333335, 0x6666666666666667, 0x3333333333333332, x1, 464, x2)

inst_602:
// rs1_val==7378697629483820647 and rs2_val==7378697629483820645, 
// opcode: sub ; op1:x10; op2:x11; dest:x12; op1val:0x6666666666666667;  op2val:0x6666666666666665
TEST_RR_OP(sub, x12, x10, x11, 0x2, 0x6666666666666667, 0x6666666666666665, x1, 472, x2)

inst_603:
// rs1_val==7378697629483820647 and rs2_val==3037000498, 
// opcode: sub ; op1:x10; op2:x11; dest:x12; op1val:0x6666666666666667;  op2val:0xb504f332
TEST_RR_OP(sub, x12, x10, x11, 0x66666665b1617335, 0x6666666666666667, 0xb504f332, x1, 480, x2)

inst_604:
// rs1_val==7378697629483820647 and rs2_val==6148914691236517206, 
// opcode: sub ; op1:x10; op2:x11; dest:x12; op1val:0x6666666666666667;  op2val:0x5555555555555556
TEST_RR_OP(sub, x12, x10, x11, 0x1111111111111111, 0x6666666666666667, 0x5555555555555556, x1, 488, x2)

inst_605:
// rs1_val==7378697629483820647 and rs2_val==-6148914691236517205, 
// opcode: sub ; op1:x10; op2:x11; dest:x12; op1val:0x6666666666666667;  op2val:-0x5555555555555555
TEST_RR_OP(sub, x12, x10, x11, 0xbbbbbbbbbbbbbbbc, 0x6666666666666667, -0x5555555555555555, x1, 496, x2)

inst_606:
// rs1_val==7378697629483820647 and rs2_val==6, 
// opcode: sub ; op1:x10; op2:x11; dest:x12; op1val:0x6666666666666667;  op2val:0x6
TEST_RR_OP(sub, x12, x10, x11, 0x6666666666666661, 0x6666666666666667, 0x6, x1, 504, x2)

inst_607:
// rs1_val==7378697629483820647 and rs2_val==3689348814741910324, 
// opcode: sub ; op1:x10; op2:x11; dest:x12; op1val:0x6666666666666667;  op2val:0x3333333333333334
TEST_RR_OP(sub, x12, x10, x11, 0x3333333333333333, 0x6666666666666667, 0x3333333333333334, x1, 512, x2)

inst_608:
// rs1_val==7378697629483820647 and rs2_val==7378697629483820647, 
// opcode: sub ; op1:x10; op2:x11; dest:x12; op1val:0x6666666666666667;  op2val:0x6666666666666667
TEST_RR_OP(sub, x12, x10, x11, 0x0, 0x6666666666666667, 0x6666666666666667, x1, 520, x2)

inst_609:
// rs1_val==7378697629483820647 and rs2_val==-3037000498, 
// opcode: sub ; op1:x10; op2:x11; dest:x12; op1val:0x6666666666666667;  op2val:-0xb504f332
TEST_RR_OP(sub, x12, x10, x11, 0x666666671b6b5999, 0x6666666666666667, -0xb504f332, x1, 528, x2)

inst_610:
// rs1_val==7378697629483820647 and rs2_val==3037000500, 
// opcode: sub ; op1:x10; op2:x11; dest:x12; op1val:0x6666666666666667;  op2val:0xb504f334
TEST_RR_OP(sub, x12, x10, x11, 0x66666665b1617333, 0x6666666666666667, 0xb504f334, x1, 536, x2)

inst_611:
// rs1_val==-3037000498 and rs2_val==3, 
// opcode: sub ; op1:x10; op2:x11; dest:x12; op1val:-0xb504f332;  op2val:0x3
TEST_RR_OP(sub, x12, x10, x11, 0xffffffff4afb0ccb, -0xb504f332, 0x3, x1, 544, x2)

inst_612:
// rs1_val==-3037000498 and rs2_val==6148914691236517205, 
// opcode: sub ; op1:x10; op2:x11; dest:x12; op1val:-0xb504f332;  op2val:0x5555555555555555
TEST_RR_OP(sub, x12, x10, x11, 0xaaaaaaa9f5a5b779, -0xb504f332, 0x5555555555555555, x1, 552, x2)

inst_613:
// rs1_val==-3037000498 and rs2_val==-6148914691236517206, 
// opcode: sub ; op1:x10; op2:x11; dest:x12; op1val:-0xb504f332;  op2val:-0x5555555555555556
TEST_RR_OP(sub, x12, x10, x11, 0x55555554a0506224, -0xb504f332, -0x5555555555555556, x1, 560, x2)

inst_614:
// rs1_val==-3037000498 and rs2_val==5, 
// opcode: sub ; op1:x10; op2:x11; dest:x12; op1val:-0xb504f332;  op2val:0x5
TEST_RR_OP(sub, x12, x10, x11, 0xffffffff4afb0cc9, -0xb504f332, 0x5, x1, 568, x2)

inst_615:
// rs1_val==-3037000498 and rs2_val==3689348814741910323, 
// opcode: sub ; op1:x10; op2:x11; dest:x12; op1val:-0xb504f332;  op2val:0x3333333333333333
TEST_RR_OP(sub, x12, x10, x11, 0xcccccccc17c7d99b, -0xb504f332, 0x3333333333333333, x1, 576, x2)

inst_616:
// rs1_val==-3037000498 and rs2_val==7378697629483820646, 
// opcode: sub ; op1:x10; op2:x11; dest:x12; op1val:-0xb504f332;  op2val:0x6666666666666666
TEST_RR_OP(sub, x12, x10, x11, 0x99999998e494a668, -0xb504f332, 0x6666666666666666, x1, 584, x2)

inst_617:
// rs1_val==-3037000498 and rs2_val==-3037000499, 
// opcode: sub ; op1:x10; op2:x11; dest:x12; op1val:-0xb504f332;  op2val:-0xb504f333
TEST_RR_OP(sub, x12, x10, x11, 0x1, -0xb504f332, -0xb504f333, x1, 592, x2)

inst_618:
// rs1_val==-3037000498 and rs2_val==3037000499, 
// opcode: sub ; op1:x10; op2:x11; dest:x12; op1val:-0xb504f332;  op2val:0xb504f333
TEST_RR_OP(sub, x12, x10, x11, 0xfffffffe95f6199b, -0xb504f332, 0xb504f333, x1, 600, x2)

inst_619:
// rs1_val==-3037000498 and rs2_val==2, 
// opcode: sub ; op1:x10; op2:x11; dest:x12; op1val:-0xb504f332;  op2val:0x2
TEST_RR_OP(sub, x12, x10, x11, 0xffffffff4afb0ccc, -0xb504f332, 0x2, x1, 608, x2)

inst_620:
// rs1_val==-3037000498 and rs2_val==6148914691236517204, 
// opcode: sub ; op1:x10; op2:x11; dest:x12; op1val:-0xb504f332;  op2val:0x5555555555555554
TEST_RR_OP(sub, x12, x10, x11, 0xaaaaaaa9f5a5b77a, -0xb504f332, 0x5555555555555554, x1, 616, x2)

inst_621:
// rs1_val==-3037000498 and rs2_val==0, 
// opcode: sub ; op1:x10; op2:x11; dest:x12; op1val:-0xb504f332;  op2val:0x0
TEST_RR_OP(sub, x12, x10, x11, 0xffffffff4afb0cce, -0xb504f332, 0x0, x1, 624, x2)

inst_622:
// rs1_val==-3037000498 and rs2_val==4, 
// opcode: sub ; op1:x10; op2:x11; dest:x12; op1val:-0xb504f332;  op2val:0x4
TEST_RR_OP(sub, x12, x10, x11, 0xffffffff4afb0cca, -0xb504f332, 0x4, x1, 632, x2)

inst_623:
// rs1_val==-3037000498 and rs2_val==3689348814741910322, 
// opcode: sub ; op1:x10; op2:x11; dest:x12; op1val:-0xb504f332;  op2val:0x3333333333333332
TEST_RR_OP(sub, x12, x10, x11, 0xcccccccc17c7d99c, -0xb504f332, 0x3333333333333332, x1, 640, x2)

inst_624:
// rs1_val==-3037000498 and rs2_val==7378697629483820645, 
// opcode: sub ; op1:x10; op2:x11; dest:x12; op1val:-0xb504f332;  op2val:0x6666666666666665
TEST_RR_OP(sub, x12, x10, x11, 0x99999998e494a669, -0xb504f332, 0x6666666666666665, x1, 648, x2)

inst_625:
// rs1_val==-3037000498 and rs2_val==3037000498, 
// opcode: sub ; op1:x10; op2:x11; dest:x12; op1val:-0xb504f332;  op2val:0xb504f332
TEST_RR_OP(sub, x12, x10, x11, 0xfffffffe95f6199c, -0xb504f332, 0xb504f332, x1, 656, x2)

inst_626:
// rs1_val==-3037000498 and rs2_val==6148914691236517206, 
// opcode: sub ; op1:x10; op2:x11; dest:x12; op1val:-0xb504f332;  op2val:0x5555555555555556
TEST_RR_OP(sub, x12, x10, x11, 0xaaaaaaa9f5a5b778, -0xb504f332, 0x5555555555555556, x1, 664, x2)

inst_627:
// rs1_val==-3037000498 and rs2_val==-6148914691236517205, 
// opcode: sub ; op1:x10; op2:x11; dest:x12; op1val:-0xb504f332;  op2val:-0x5555555555555555
TEST_RR_OP(sub, x12, x10, x11, 0x55555554a0506223, -0xb504f332, -0x5555555555555555, x1, 672, x2)

inst_628:
// rs1_val==-3037000498 and rs2_val==6, 
// opcode: sub ; op1:x10; op2:x11; dest:x12; op1val:-0xb504f332;  op2val:0x6
TEST_RR_OP(sub, x12, x10, x11, 0xffffffff4afb0cc8, -0xb504f332, 0x6, x1, 680, x2)

inst_629:
// rs1_val==-3037000498 and rs2_val==3689348814741910324, 
// opcode: sub ; op1:x10; op2:x11; dest:x12; op1val:-0xb504f332;  op2val:0x3333333333333334
TEST_RR_OP(sub, x12, x10, x11, 0xcccccccc17c7d99a, -0xb504f332, 0x3333333333333334, x1, 688, x2)

inst_630:
// rs1_val==-3037000498 and rs2_val==7378697629483820647, 
// opcode: sub ; op1:x10; op2:x11; dest:x12; op1val:-0xb504f332;  op2val:0x6666666666666667
TEST_RR_OP(sub, x12, x10, x11, 0x99999998e494a667, -0xb504f332, 0x6666666666666667, x1, 696, x2)

inst_631:
// rs1_val==-3037000498 and rs2_val==-3037000498, 
// opcode: sub ; op1:x10; op2:x11; dest:x12; op1val:-0xb504f332;  op2val:-0xb504f332
TEST_RR_OP(sub, x12, x10, x11, 0x0, -0xb504f332, -0xb504f332, x1, 704, x2)

inst_632:
// rs1_val==-3037000498 and rs2_val==3037000500, 
// opcode: sub ; op1:x10; op2:x11; dest:x12; op1val:-0xb504f332;  op2val:0xb504f334
TEST_RR_OP(sub, x12, x10, x11, 0xfffffffe95f6199a, -0xb504f332, 0xb504f334, x1, 712, x2)

inst_633:
// rs1_val==3037000500 and rs2_val==3, 
// opcode: sub ; op1:x10; op2:x11; dest:x12; op1val:0xb504f334;  op2val:0x3
TEST_RR_OP(sub, x12, x10, x11, 0xb504f331, 0xb504f334, 0x3, x1, 720, x2)

inst_634:
// rs1_val==3037000500 and rs2_val==6148914691236517205, 
// opcode: sub ; op1:x10; op2:x11; dest:x12; op1val:0xb504f334;  op2val:0x5555555555555555
TEST_RR_OP(sub, x12, x10, x11, 0xaaaaaaab5faf9ddf, 0xb504f334, 0x5555555555555555, x1, 728, x2)

inst_635:
// rs1_val==3037000500 and rs2_val==-6148914691236517206, 
// opcode: sub ; op1:x10; op2:x11; dest:x12; op1val:0xb504f334;  op2val:-0x5555555555555556
TEST_RR_OP(sub, x12, x10, x11, 0x555555560a5a488a, 0xb504f334, -0x5555555555555556, x1, 736, x2)

inst_636:
// rs1_val==3037000500 and rs2_val==5, 
// opcode: sub ; op1:x10; op2:x11; dest:x12; op1val:0xb504f334;  op2val:0x5
TEST_RR_OP(sub, x12, x10, x11, 0xb504f32f, 0xb504f334, 0x5, x1, 744, x2)

inst_637:
// rs1_val==3037000500 and rs2_val==3689348814741910323, 
// opcode: sub ; op1:x10; op2:x11; dest:x12; op1val:0xb504f334;  op2val:0x3333333333333333
TEST_RR_OP(sub, x12, x10, x11, 0xcccccccd81d1c001, 0xb504f334, 0x3333333333333333, x1, 752, x2)

inst_638:
// rs1_val==3037000500 and rs2_val==7378697629483820646, 
// opcode: sub ; op1:x10; op2:x11; dest:x12; op1val:0xb504f334;  op2val:0x6666666666666666
TEST_RR_OP(sub, x12, x10, x11, 0x9999999a4e9e8cce, 0xb504f334, 0x6666666666666666, x1, 760, x2)

inst_639:
// rs1_val==3037000500 and rs2_val==-3037000499, 
// opcode: sub ; op1:x10; op2:x11; dest:x12; op1val:0xb504f334;  op2val:-0xb504f333
TEST_RR_OP(sub, x12, x10, x11, 0x16a09e667, 0xb504f334, -0xb504f333, x1, 768, x2)

inst_640:
// rs1_val==3037000500 and rs2_val==3037000499, 
// opcode: sub ; op1:x10; op2:x11; dest:x12; op1val:0xb504f334;  op2val:0xb504f333
TEST_RR_OP(sub, x12, x10, x11, 0x1, 0xb504f334, 0xb504f333, x1, 776, x2)

inst_641:
// rs1_val==3037000500 and rs2_val==2, 
// opcode: sub ; op1:x10; op2:x11; dest:x12; op1val:0xb504f334;  op2val:0x2
TEST_RR_OP(sub, x12, x10, x11, 0xb504f332, 0xb504f334, 0x2, x1, 784, x2)

inst_642:
// rs1_val==3037000500 and rs2_val==6148914691236517204, 
// opcode: sub ; op1:x10; op2:x11; dest:x12; op1val:0xb504f334;  op2val:0x5555555555555554
TEST_RR_OP(sub, x12, x10, x11, 0xaaaaaaab5faf9de0, 0xb504f334, 0x5555555555555554, x1, 792, x2)

inst_643:
// rs1_val==3037000500 and rs2_val==0, 
// opcode: sub ; op1:x10; op2:x11; dest:x12; op1val:0xb504f334;  op2val:0x0
TEST_RR_OP(sub, x12, x10, x11, 0xb504f334, 0xb504f334, 0x0, x1, 800, x2)

inst_644:
// rs1_val==3037000500 and rs2_val==4, 
// opcode: sub ; op1:x10; op2:x11; dest:x12; op1val:0xb504f334;  op2val:0x4
TEST_RR_OP(sub, x12, x10, x11, 0xb504f330, 0xb504f334, 0x4, x1, 808, x2)

inst_645:
// rs1_val==3037000500 and rs2_val==3689348814741910322, 
// opcode: sub ; op1:x10; op2:x11; dest:x12; op1val:0xb504f334;  op2val:0x3333333333333332
TEST_RR_OP(sub, x12, x10, x11, 0xcccccccd81d1c002, 0xb504f334, 0x3333333333333332, x1, 816, x2)

inst_646:
// rs1_val==3037000500 and rs2_val==7378697629483820645, 
// opcode: sub ; op1:x10; op2:x11; dest:x12; op1val:0xb504f334;  op2val:0x6666666666666665
TEST_RR_OP(sub, x12, x10, x11, 0x9999999a4e9e8ccf, 0xb504f334, 0x6666666666666665, x1, 824, x2)

inst_647:
// rs1_val==3037000500 and rs2_val==3037000498, 
// opcode: sub ; op1:x10; op2:x11; dest:x12; op1val:0xb504f334;  op2val:0xb504f332
TEST_RR_OP(sub, x12, x10, x11, 0x2, 0xb504f334, 0xb504f332, x1, 832, x2)

inst_648:
// rs1_val==3037000500 and rs2_val==6148914691236517206, 
// opcode: sub ; op1:x10; op2:x11; dest:x12; op1val:0xb504f334;  op2val:0x5555555555555556
TEST_RR_OP(sub, x12, x10, x11, 0xaaaaaaab5faf9dde, 0xb504f334, 0x5555555555555556, x1, 840, x2)

inst_649:
// rs1_val==3037000500 and rs2_val==-6148914691236517205, 
// opcode: sub ; op1:x10; op2:x11; dest:x12; op1val:0xb504f334;  op2val:-0x5555555555555555
TEST_RR_OP(sub, x12, x10, x11, 0x555555560a5a4889, 0xb504f334, -0x5555555555555555, x1, 848, x2)

inst_650:
// rs1_val==3037000500 and rs2_val==6, 
// opcode: sub ; op1:x10; op2:x11; dest:x12; op1val:0xb504f334;  op2val:0x6
TEST_RR_OP(sub, x12, x10, x11, 0xb504f32e, 0xb504f334, 0x6, x1, 856, x2)

inst_651:
// rs1_val==3037000500 and rs2_val==3689348814741910324, 
// opcode: sub ; op1:x10; op2:x11; dest:x12; op1val:0xb504f334;  op2val:0x3333333333333334
TEST_RR_OP(sub, x12, x10, x11, 0xcccccccd81d1c000, 0xb504f334, 0x3333333333333334, x1, 864, x2)

inst_652:
// rs1_val==3037000500 and rs2_val==7378697629483820647, 
// opcode: sub ; op1:x10; op2:x11; dest:x12; op1val:0xb504f334;  op2val:0x6666666666666667
TEST_RR_OP(sub, x12, x10, x11, 0x9999999a4e9e8ccd, 0xb504f334, 0x6666666666666667, x1, 872, x2)

inst_653:
// rs1_val==3037000500 and rs2_val==-3037000498, 
// opcode: sub ; op1:x10; op2:x11; dest:x12; op1val:0xb504f334;  op2val:-0xb504f332
TEST_RR_OP(sub, x12, x10, x11, 0x16a09e666, 0xb504f334, -0xb504f332, x1, 880, x2)

inst_654:
// rs1_val==3037000500 and rs2_val==3037000500, 
// opcode: sub ; op1:x10; op2:x11; dest:x12; op1val:0xb504f334;  op2val:0xb504f334
TEST_RR_OP(sub, x12, x10, x11, 0x0, 0xb504f334, 0xb504f334, x1, 888, x2)

inst_655:
// rs1_val==0 and rs2_val==3037000499, 
// opcode: sub ; op1:x10; op2:x11; dest:x12; op1val:0x0;  op2val:0xb504f333
TEST_RR_OP(sub, x12, x10, x11, 0xffffffff4afb0ccd, 0x0, 0xb504f333, x1, 896, x2)

inst_656:
// rs1_val==0 and rs2_val==2, 
// opcode: sub ; op1:x10; op2:x11; dest:x12; op1val:0x0;  op2val:0x2
TEST_RR_OP(sub, x12, x10, x11, 0xfffffffffffffffe, 0x0, 0x2, x1, 904, x2)

inst_657:
// rs1_val==0 and rs2_val==6148914691236517204, 
// opcode: sub ; op1:x10; op2:x11; dest:x12; op1val:0x0;  op2val:0x5555555555555554
TEST_RR_OP(sub, x12, x10, x11, 0xaaaaaaaaaaaaaaac, 0x0, 0x5555555555555554, x1, 912, x2)

inst_658:
// rs1_val==0 and rs2_val==4, 
// opcode: sub ; op1:x10; op2:x11; dest:x12; op1val:0x0;  op2val:0x4
TEST_RR_OP(sub, x12, x10, x11, 0xfffffffffffffffc, 0x0, 0x4, x1, 920, x2)

inst_659:
// rs1_val==0 and rs2_val==3689348814741910322, 
// opcode: sub ; op1:x10; op2:x11; dest:x12; op1val:0x0;  op2val:0x3333333333333332
TEST_RR_OP(sub, x12, x10, x11, 0xccccccccccccccce, 0x0, 0x3333333333333332, x1, 928, x2)

inst_660:
// rs1_val==0 and rs2_val==7378697629483820645, 
// opcode: sub ; op1:x10; op2:x11; dest:x12; op1val:0x0;  op2val:0x6666666666666665
TEST_RR_OP(sub, x12, x10, x11, 0x999999999999999b, 0x0, 0x6666666666666665, x1, 936, x2)

inst_661:
// rs1_val==0 and rs2_val==3037000498, 
// opcode: sub ; op1:x10; op2:x11; dest:x12; op1val:0x0;  op2val:0xb504f332
TEST_RR_OP(sub, x12, x10, x11, 0xffffffff4afb0cce, 0x0, 0xb504f332, x1, 944, x2)

inst_662:
// rs1_val==0 and rs2_val==6148914691236517206, 
// opcode: sub ; op1:x10; op2:x11; dest:x12; op1val:0x0;  op2val:0x5555555555555556
TEST_RR_OP(sub, x12, x10, x11, 0xaaaaaaaaaaaaaaaa, 0x0, 0x5555555555555556, x1, 952, x2)

inst_663:
// rs1_val==0 and rs2_val==-6148914691236517205, 
// opcode: sub ; op1:x10; op2:x11; dest:x12; op1val:0x0;  op2val:-0x5555555555555555
TEST_RR_OP(sub, x12, x10, x11, 0x5555555555555555, 0x0, -0x5555555555555555, x1, 960, x2)

inst_664:
// rs1_val==0 and rs2_val==6, 
// opcode: sub ; op1:x10; op2:x11; dest:x12; op1val:0x0;  op2val:0x6
TEST_RR_OP(sub, x12, x10, x11, 0xfffffffffffffffa, 0x0, 0x6, x1, 968, x2)

inst_665:
// rs1_val==0 and rs2_val==3689348814741910324, 
// opcode: sub ; op1:x10; op2:x11; dest:x12; op1val:0x0;  op2val:0x3333333333333334
TEST_RR_OP(sub, x12, x10, x11, 0xcccccccccccccccc, 0x0, 0x3333333333333334, x1, 976, x2)

inst_666:
// rs1_val==0 and rs2_val==7378697629483820647, 
// opcode: sub ; op1:x10; op2:x11; dest:x12; op1val:0x0;  op2val:0x6666666666666667
TEST_RR_OP(sub, x12, x10, x11, 0x9999999999999999, 0x0, 0x6666666666666667, x1, 984, x2)

inst_667:
// rs1_val < 0 and rs2_val < 0, rs1_val == -576460752303423489
// opcode: sub ; op1:x10; op2:x11; dest:x12; op1val:-0x800000000000001;  op2val:-0x5555555555555555
TEST_RR_OP(sub, x12, x10, x11, 0x4d55555555555554, -0x800000000000001, -0x5555555555555555, x1, 992, x2)

inst_668:
// rs2_val == 32768, rs1_val == -18014398509481985
// opcode: sub ; op1:x10; op2:x11; dest:x12; op1val:-0x40000000000001;  op2val:0x8000
TEST_RR_OP(sub, x12, x10, x11, 0xffbfffffffff7fff, -0x40000000000001, 0x8000, x1, 1000, x2)

inst_669:
// rs2_val == 4194304, rs1_val == 35184372088832
// opcode: sub ; op1:x10; op2:x11; dest:x12; op1val:0x200000000000;  op2val:0x400000
TEST_RR_OP(sub, x12, x10, x11, 0x1fffffc00000, 0x200000000000, 0x400000, x1, 1008, x2)
#endif


RVTEST_CODE_END
RVMODEL_HALT

RVTEST_DATA_BEGIN
.align 4
rvtest_data:
.word 0xbabecafe
RVTEST_DATA_END

RVMODEL_DATA_BEGIN


signature_x23_0:
    .fill 0*(XLEN/32),4,0xdeadbeef


signature_x23_1:
    .fill 16*(XLEN/32),4,0xdeadbeef


signature_x10_0:
    .fill 15*(XLEN/32),4,0xdeadbeef


signature_x1_0:
    .fill 256*(XLEN/32),4,0xdeadbeef


signature_x1_1:
    .fill 256*(XLEN/32),4,0xdeadbeef


signature_x1_2:
    .fill 127*(XLEN/32),4,0xdeadbeef

#ifdef rvtest_mtrap_routine

mtrap_sigptr:
    .fill 64*(XLEN/32),4,0xdeadbeef

#endif

#ifdef rvtest_gpr_save

gpr_save:
    .fill 32*(XLEN/32),4,0xdeadbeef

#endif

RVMODEL_DATA_END
